//+------------------------------------------------------------------+
//|                                               FX Multi-Meter V.3 |
//|                                       Copyright  2009, FX Tools |
//|                                                 www.fxtools.info |             
//|                                                                  |
//+------------------------------------------------------------------+

#property copyright "J.Arent 2009"
#property link "http://www.fxtools.info"

extern string Comment1 = "FX Multi-Meter III";
extern string Comment2 = "Copyright  2009, FX Tools";
extern string Comment3 = "www.fxtools.info";
extern string Title1 = "== History Line ======================";
extern bool DisplayHistoryLine = true;
extern color  LineColor = DimGray;
extern string Title2 = "== Compact Mode ===================";
extern bool DisplayCompact = false;
extern string Title3 = "== Alerts ===========================";
extern bool UseAlerts = false;
extern string Title4 = "== Processing Latency (Sleep) ==========";
extern string LatencyDescription1 = "Higher values reduce flickering.";
extern string LatencyDescription2 = "Lower values increase responsiveness.";
extern int Latency = 100;
extern string Title5 = "== Bulls/Bears Power Meter ============";
extern string AverageBars = "1=Current Bar, 2=Current+1, etc. Max=5";
extern int BarsToAverage = 3;
extern bool BlueScreen = false;
extern string Title6 = "== Overall Signal =====================";
extern string CurrentIndicators = "Current Indicators";
extern bool Include_MAXover = true;
extern bool Include_MACD = true;
extern bool Include_PSAR = true;
extern bool Include_MA = true;
extern bool Include_STOCH = true;
extern bool Include_WPR = true;
extern bool Include_PriceDirection = true;
extern string MultiIndicators = "Multi-Timeframe Indicators";
extern bool Include_M1_MA = false;
extern bool Include_M5_MA = false;
extern bool Include_M15_MA = false;
extern bool Include_M30_MA = false;
extern bool Include_H1_MA = false;
extern bool Include_H4_MA = false;
extern bool Include_D1_MA = false;
extern string Title7 = "== WPR or RSI Oscillator ==============";
extern bool UseRSI = false;
extern int RSI_Period = 14;
extern string Title8 = "== Bollinger Band Oscillator ============";
extern int BollingerBand_Period = 20;
extern int BollingerBand_Deviation = 2;
extern string Title9 = "== Trend-O-Graph ===================";
extern string MA_Types = "0=SMA, 1=EMA, 2=SMMA, 4=LWMA";
extern bool DisplayTrendGraph = false;
extern int MA_Type = 2;
extern int MA1_Period = 3;
extern int MA2_Period = 5;
extern int MA3_Period = 10;
extern int MA4_Period = 20;
extern int MA5_Period = 50;
extern int MA6_Period = 100;
extern int MA7_Period = 200;
extern string Title10 = "== Indicator Values ==================";
extern string Title11 = "Stochastic Oscillators";
extern int Stoch_K = 14;
extern int Stoch_D = 3;
extern int Stoch_Slowing = 3;
extern string Title12 = "Moving Average Trend-Bar";
extern string TrendBar_MA_Types = "0=SMA, 1=EMA, 2=SMMA, 4=LWMA";
extern int TrendBar_MA_Type = 1;
extern int MA_Period = 14;
extern int MA_Shift = 0;
extern string Title13 = "MACD";
extern int MACD_Period1 = 12;
extern int MACD_Period2 = 26;
extern int MACD_Period3 = 9;
extern string Title14 = "MA-Xover";
extern int FastLWMA = 3;
extern int SlowSMA = 5;
extern string Title15 = "Parabolic SAR";
extern double PSAR_Step = 0.02;
extern double PSAR_Max = 0.2;
extern string Title16 = "WPR";
extern int WPR_Period = 14;
extern string Title17 = "== Multi-Meter Position ================";
extern int PositionX = 0;
extern int PositionY = 0;
//-----------------------------
int MultiMeter_Horiz = 19;
int MultiMeter_Vert = 25;
int MAX_Horiz = 100;
int MAX_Vert = -267;
int MACD_Horiz = 50;
int MACD_Vert = -329;
int PSAR_Horiz = 50;
int PSAR_Vert = -329;
int Spread_Horiz = 50;
int Spread_Vert = 0;
int Signal_Horiz = 150;
int Signal_Vert = -149;
int BarMeter_Horiz = -42;
int BarMeter_Vert = -127;
int Price_Vert = -180;
int Price_Horiz = 105;
int Pair_Vert = 20;
int Pair_Horiz = 80;
int Chart_Vert = -132;
int Chart_Horiz = 102;
int WPR_Vert = -138;
int WPR_Horiz = 150;
int Title_Vert = 18;
int Title_Horiz = 80;
color PriceColor = 0;
string HistoryLine = "History Line";
int AlertStatus;
//+------------------------------------------------------------------+
//     expert initialization function                                |       
//+------------------------------------------------------------------+
int init()
  {
   int   err,lastError;
//----
      if (DisplayHistoryLine)
         {if (ObjectFind(HistoryLine)==-1)
          {
          ObjectCreate(HistoryLine,OBJ_VLINE,0,Time[0]+300,Close[0]);
          ObjectSet(HistoryLine,OBJPROP_COLOR,LineColor);
          }
         }
   AlertStatus = 0; 
   initGraph();   
   while (true)                                                             
      {
      if (IsConnected()) main();
      if (!IsConnected()) objectBlank();
      WindowRedraw();
      if(Period()==PERIOD_MN1) break;
      Sleep(Latency);                                                      
      }
//----
   return(0);                                                              
  }
//+------------------------------------------------------------------+
//     expert deinitialization function                              |       
//+------------------------------------------------------------------+
int deinit()
  {
//----
   ObjectsDeleteAll(0,OBJ_LABEL);
   Print("shutdown error - ",GetLastError());                               
//----
   return(0);                                                             
  }
//+------------------------------------------------------------------+
//     expert start function                                         |       
//+------------------------------------------------------------------+
int start()
  {
//----

//----
   return(0);                                                               
  }
//+------------------------------------------------------------------+
//     expert custom function                                        |       
//+------------------------------------------------------------------+    
void main()                                                             
  {   
   RefreshRates(); 
   if (GetLastError()==4013) init();  
   //History Line ----------------------------------------------------
   int BarShift,BarShiftM1,BarShiftM5,BarShiftM15,BarShiftM30,BarShiftH1,BarShiftH4,BarShiftD1;
  if (DisplayHistoryLine)
  {   
   datetime HLineTime=ObjectGet(HistoryLine,OBJPROP_TIME1);

   if (HLineTime>=Time[0]) {BarShift=0;}
     if (Period()==PERIOD_M1 && HLineTime<Time[0]) 
     {
     BarShift=iBarShift(NULL,PERIOD_M1,HLineTime);
     } 
   if (Period()==PERIOD_M5 && HLineTime<Time[0]) 
     {    
     BarShift=iBarShift(NULL,PERIOD_M5,HLineTime);
     } 
   if (Period()==PERIOD_M15 && HLineTime<Time[0]) 
     {
     BarShift=iBarShift(NULL,PERIOD_M15,HLineTime);
     }      
   if (Period()==PERIOD_M30 && HLineTime<Time[0]) 
     {
     BarShift=iBarShift(NULL,PERIOD_M30,HLineTime);
     }     
   if (Period()==PERIOD_H1 && HLineTime<Time[0]) 
     {
      BarShift=iBarShift(NULL,PERIOD_H1,HLineTime);
     }   
   if (Period()==PERIOD_H4 && HLineTime<Time[0]) 
     {
      BarShift=iBarShift(NULL,PERIOD_H4,HLineTime);
     }    
   if (Period()==PERIOD_D1 && HLineTime<Time[0]) 
     {
      BarShift=iBarShift(NULL,PERIOD_D1,HLineTime);
     }            
   if (Period()==PERIOD_W1 && HLineTime<Time[0]) 
     {
      BarShift=iBarShift(NULL,PERIOD_W1,HLineTime);
     }   
   if (Period()==PERIOD_MN1 && HLineTime<Time[0]) 
     {
      BarShift=iBarShift(NULL,PERIOD_MN1,HLineTime);
     }                           
     //---------------------------------
   
   if (HLineTime>=Time[0]) {BarShiftM1=0;}
   if (HLineTime<Time[0]) 
     {
     BarShiftM1=iBarShift(NULL,PERIOD_M1,HLineTime);
     }
  
   if (HLineTime>=Time[0]) {BarShiftM5=0;}
   if (HLineTime<Time[0]) 
     {
     BarShiftM5=iBarShift(NULL,PERIOD_M5,HLineTime);
     }
   
   if (HLineTime>=Time[0]) {BarShiftM15=0;}
   if (HLineTime<Time[0]) 
     {
     BarShiftM15=iBarShift(NULL,PERIOD_M15,HLineTime);
     }  
     
   if (HLineTime>=Time[0]) {BarShiftM30=0;}
   if (HLineTime<Time[0]) 
     {
     BarShiftM30=iBarShift(NULL,PERIOD_M30,HLineTime);
     }  
     
   if (HLineTime>=Time[0]) {BarShiftH1=0;}
   if (HLineTime<Time[0]) 
     {
     BarShiftH1=iBarShift(NULL,PERIOD_H1,HLineTime);
     }
     
   if (HLineTime>=Time[0]) {BarShiftH4=0;}
   if (HLineTime<Time[0]) 
     {
     BarShiftH4=iBarShift(NULL,PERIOD_H4,HLineTime);
     }
     
   if (HLineTime>=Time[0]) {BarShiftD1=0;}
   if (HLineTime<Time[0]) 
     {
     BarShiftD1=iBarShift(NULL,PERIOD_D1,HLineTime);
     }      
   }      
   
   else if (!DisplayHistoryLine) 
   {BarShift=0; BarShiftM1=0; BarShiftM5=0; BarShiftM15=0; BarShiftM30=0; BarShiftH1=0; BarShiftH4=0; BarShiftD1=0;}
   if (ObjectFind(HistoryLine)==-1) {BarShift=0; BarShiftM1=0; BarShiftM5=0; BarShiftM15=0; BarShiftM30=0; BarShiftH1=0; BarShiftH4=0; BarShiftD1=0;}
     
   // Variables -------------------
   double M1stochK,M1stochD,M5stochK,M5stochD,M15stochK,M15stochD,M30stochK,M30stochD,H1stochK,H1stochD,H4stochK,H4stochD,D1stochK,D1stochD,StochK,StochD,StochKprev,StochDprev;
   double M1stochKprev,M5stochKprev,M15stochKprev,M30stochKprev,H1stochKprev,H4stochKprev,D1stochKprev,M1stochDprev,M5stochDprev,M15stochDprev,M30stochDprev,H1stochDprev,H4stochDprev,D1stochDprev;
   double MAM1,MAM5,MAM15,MAM30,MAH1,MAH4,MAD1,MAM1prev,MAM5prev,MAM15prev,MAM30prev,MAH1prev,MAH4prev,MAD1prev,MACurrent,MAPrevious;
   double Spread,PSARCurrent,PSARPrev,MACDCurrent,MACDPrev,MACDSignal,MACDSignalPrev,MAXover1,MAXover2,VolumePercent,Vol,VolPrev,WPR,Bar1,Bar2,Bar3,Bar4,Bar5,Bar6,Bar7,Bar8,Bar9,Bar10;
   double Bar1percent,Bar2percent,Bar3percent,Bar4percent,Bar5percent,BarsAverage1,BarsAverage2,BarsAverage3,BarsAverage4,BarsAverage5,BarsAllpercent;
   int trendM1,trendM5,trendM15,trendM30,trendH1,trendH4,trendD1,PSAR,MACD,MAXoverSignal,VolValue,WPRValueUp,WPRValueDown,Bar1Col,Bar2Col,Bar3Col,Bar4Col,Bar5Col,BarReading,Signal;
   double TGMA1M1,TGMA1M5,TGMA1M15,TGMA1M30,TGMA1H1,TGMA1H4,TGMA1D1,TGMA2M1,TGMA2M5,TGMA2M15,TGMA2M30,TGMA2H1,TGMA2H4,TGMA2D1;
   double TGMA3M1,TGMA3M5,TGMA3M15,TGMA3M30,TGMA3H1,TGMA3H4,TGMA3D1,TGMA4M1,TGMA4M5,TGMA4M15,TGMA4M30,TGMA4H1,TGMA4H4,TGMA4D1;
   double TGMA5M1,TGMA5M5,TGMA5M15,TGMA5M30,TGMA5H1,TGMA5H4,TGMA5D1,TGMA6M1,TGMA6M5,TGMA6M15,TGMA6M30,TGMA6H1,TGMA6H4,TGMA6D1;
   double TGMA7M1,TGMA7M5,TGMA7M15,TGMA7M30,TGMA7H1,TGMA7H4,TGMA7D1;
   double TGMA1M1prev,TGMA1M5prev,TGMA1M15prev,TGMA1M30prev,TGMA1H1prev,TGMA1H4prev,TGMA1D1prev,TGMA2M1prev,TGMA2M5prev,TGMA2M15prev,TGMA2M30prev,TGMA2H1prev,TGMA2H4prev,TGMA2D1prev;
   double TGMA3M1prev,TGMA3M5prev,TGMA3M15prev,TGMA3M30prev,TGMA3H1prev,TGMA3H4prev,TGMA3D1prev,TGMA4M1prev,TGMA4M5prev,TGMA4M15prev,TGMA4M30prev,TGMA4H1prev,TGMA4H4prev,TGMA4D1prev;
   double TGMA5M1prev,TGMA5M5prev,TGMA5M15prev,TGMA5M30prev,TGMA5H1prev,TGMA5H4prev,TGMA5D1prev,TGMA6M1prev,TGMA6M5prev,TGMA6M15prev,TGMA6M30prev,TGMA6H1prev,TGMA6H4prev,TGMA6D1prev;
   double TGMA7M1prev,TGMA7M5prev,TGMA7M15prev,TGMA7M30prev,TGMA7H1prev,TGMA7H4prev,TGMA7D1prev;   
   int TGMA1M1Signal,TGMA1M5Signal,TGMA1M15Signal,TGMA1M30Signal,TGMA1H1Signal,TGMA1H4Signal,TGMA1D1Signal;
   int TGMA2M1Signal,TGMA2M5Signal,TGMA2M15Signal,TGMA2M30Signal,TGMA2H1Signal,TGMA2H4Signal,TGMA2D1Signal;
   int TGMA3M1Signal,TGMA3M5Signal,TGMA3M15Signal,TGMA3M30Signal,TGMA3H1Signal,TGMA3H4Signal,TGMA3D1Signal;
   int TGMA4M1Signal,TGMA4M5Signal,TGMA4M15Signal,TGMA4M30Signal,TGMA4H1Signal,TGMA4H4Signal,TGMA4D1Signal;
   int TGMA5M1Signal,TGMA5M5Signal,TGMA5M15Signal,TGMA5M30Signal,TGMA5H1Signal,TGMA5H4Signal,TGMA5D1Signal;
   int TGMA6M1Signal,TGMA6M5Signal,TGMA6M15Signal,TGMA6M30Signal,TGMA6H1Signal,TGMA6H4Signal,TGMA6D1Signal;
   int TGMA7M1Signal,TGMA7M5Signal,TGMA7M15Signal,TGMA7M30Signal,TGMA7H1Signal,TGMA7H4Signal,TGMA7D1Signal;

   double BBHighM1,BBHighM5,BBHighM15,BBHighM30,BBHighH1,BBHighH4,BBHighD1,BBLowM1,BBLowM5,BBLowM15,BBLowM30,BBLowH1,BBLowH4,BBLowD1;
   double BBHighM1_Prev,BBHighM5_Prev,BBHighM15_Prev,BBHighM30_Prev,BBHighH1_Prev,BBHighH4_Prev,BBHighD1_Prev,BBLowM1_Prev,BBLowM5_Prev,BBLowM15_Prev,BBLowM30_Prev,BBLowH1_Prev,BBLowH4_Prev,BBLowD1_Prev;
   int BBM1Signal,BBM5Signal,BBM15Signal,BBM30Signal,BBH1Signal,BBH4Signal,BBD1Signal;

   bool SignalBuy_MAXover = 0,SignalBuy_MACD = 0,SignalBuy_PSAR = 0,SignalBuy_MA = 0,SignalBuy_STOCH = 0,SignalBuy_WPR = 0,SignalBuy_Price = 0;
   bool SignalSell_MAXover = 0,SignalSell_MACD = 0,SignalSell_PSAR = 0,SignalSell_MA = 0,SignalSell_STOCH = 0,SignalSell_WPR = 0,SignalSell_Price = 0;
   bool M1Buy = 0,M5Buy = 0,M15Buy = 0,M30Buy = 0,H1Buy = 0,H4Buy = 0,D1Buy = 0,M1Sell = 0,M5Sell = 0,M15Sell = 0,M30Sell = 0,H1Sell = 0,H4Sell = 0,D1Sell = 0;
   
   double ClosePrice = iClose(NULL,0,BarShift);
   double OpenPrice = iOpen(NULL,0,BarShift);
   double VolumeValue = iVolume(NULL,0,BarShift);
   double HighPrice = iHigh(NULL,0,BarShift);
   double LowPrice = iLow(NULL,0,BarShift);
   
  // Stochs -------------------------------------------------------------------------------------------------------+  
   M1stochK = iStochastic(Symbol(), PERIOD_M1, Stoch_K,Stoch_D, Stoch_Slowing, MODE_SMA, 0, MODE_MAIN, BarShiftM1+0);
   M1stochD = iStochastic(Symbol(), PERIOD_M1, Stoch_K,Stoch_D, Stoch_Slowing, MODE_SMA, 0, MODE_SIGNAL, BarShiftM1+0);
   M5stochK = iStochastic(Symbol(), PERIOD_M5, Stoch_K,Stoch_D, Stoch_Slowing, MODE_SMA, 0, MODE_MAIN, BarShiftM5+0);
   M5stochD = iStochastic(Symbol(), PERIOD_M5, Stoch_K,Stoch_D, Stoch_Slowing, MODE_SMA, 0, MODE_SIGNAL, BarShiftM5+0);
   M15stochK = iStochastic(Symbol(), PERIOD_M15, Stoch_K,Stoch_D, Stoch_Slowing, MODE_SMA, 0, MODE_MAIN, BarShiftM15+0);
   M15stochD = iStochastic(Symbol(), PERIOD_M15, Stoch_K,Stoch_D, Stoch_Slowing, MODE_SMA, 0, MODE_SIGNAL, BarShiftM15+0);
   M30stochK = iStochastic(Symbol(), PERIOD_M30, Stoch_K,Stoch_D, Stoch_Slowing, MODE_SMA, 0, MODE_MAIN, BarShiftM30+0);
   M30stochD = iStochastic(Symbol(), PERIOD_M30, Stoch_K,Stoch_D, Stoch_Slowing, MODE_SMA, 0, MODE_SIGNAL, BarShiftM30+0);
   H1stochK = iStochastic(Symbol(), PERIOD_H1, Stoch_K,Stoch_D, Stoch_Slowing, MODE_SMA, 0, MODE_MAIN, BarShiftH1+0);
   H1stochD = iStochastic(Symbol(), PERIOD_H1, Stoch_K,Stoch_D, Stoch_Slowing, MODE_SMA, 0, MODE_SIGNAL, BarShiftH1+0);
   H4stochK = iStochastic(Symbol(), PERIOD_H4, Stoch_K,Stoch_D, Stoch_Slowing, MODE_SMA, 0, MODE_MAIN, BarShiftH4+0);
   H4stochD = iStochastic(Symbol(), PERIOD_H4, Stoch_K,Stoch_D, Stoch_Slowing, MODE_SMA, 0, MODE_SIGNAL, BarShiftH4+0);
   D1stochK = iStochastic(Symbol(), PERIOD_D1, Stoch_K,Stoch_D, Stoch_Slowing, MODE_SMA, 0, MODE_MAIN, BarShiftD1+0);
   D1stochD = iStochastic(Symbol(), PERIOD_D1, Stoch_K,Stoch_D, Stoch_Slowing, MODE_SMA, 0, MODE_SIGNAL, BarShiftD1+0);  
   M1stochKprev = iStochastic(Symbol(), PERIOD_M1, Stoch_K,Stoch_D, Stoch_Slowing, MODE_SMA, 0, MODE_MAIN, BarShiftM1+1);
   M5stochKprev = iStochastic(Symbol(), PERIOD_M5, Stoch_K,Stoch_D, Stoch_Slowing, MODE_SMA, 0, MODE_MAIN, BarShiftM5+1);
   M15stochKprev = iStochastic(Symbol(), PERIOD_M15, Stoch_K,Stoch_D, Stoch_Slowing, MODE_SMA, 0, MODE_MAIN, BarShiftM15+1);
   M30stochKprev = iStochastic(Symbol(), PERIOD_M30, Stoch_K,Stoch_D, Stoch_Slowing, MODE_SMA, 0, MODE_MAIN, BarShiftM30+1);
   H1stochKprev = iStochastic(Symbol(), PERIOD_H1, Stoch_K,Stoch_D, Stoch_Slowing, MODE_SMA, 0, MODE_MAIN, BarShiftH1+1);
   H4stochKprev = iStochastic(Symbol(), PERIOD_H4, Stoch_K,Stoch_D, Stoch_Slowing, MODE_SMA, 0, MODE_MAIN, BarShiftH4+1);
   D1stochKprev = iStochastic(Symbol(), PERIOD_D1, Stoch_K,Stoch_D, Stoch_Slowing, MODE_SMA, 0, MODE_MAIN, BarShiftD1+1);  
   M1stochDprev = iStochastic(Symbol(), PERIOD_M1, Stoch_K,Stoch_D, Stoch_Slowing, MODE_SMA, 0, MODE_MAIN, BarShiftM1+1);
   M5stochDprev = iStochastic(Symbol(), PERIOD_M5, Stoch_K,Stoch_D, Stoch_Slowing, MODE_SMA, 0, MODE_MAIN, BarShiftM5+1);
   M15stochDprev = iStochastic(Symbol(), PERIOD_M15, Stoch_K,Stoch_D, Stoch_Slowing, MODE_SMA, 0, MODE_MAIN, BarShiftM15+1);
   M30stochDprev = iStochastic(Symbol(), PERIOD_M30, Stoch_K,Stoch_D, Stoch_Slowing, MODE_SMA, 0, MODE_MAIN, BarShiftM30+1);
   H1stochDprev = iStochastic(Symbol(), PERIOD_H1, Stoch_K,Stoch_D, Stoch_Slowing, MODE_SMA, 0, MODE_MAIN, BarShiftH1+1);
   H4stochDprev = iStochastic(Symbol(), PERIOD_H4, Stoch_K,Stoch_D, Stoch_Slowing, MODE_SMA, 0, MODE_MAIN, BarShiftH4+1);
   D1stochDprev = iStochastic(Symbol(), PERIOD_D1, Stoch_K,Stoch_D, Stoch_Slowing, MODE_SMA, 0, MODE_MAIN, BarShiftD1+1);     
   StochK = iStochastic(Symbol(), 0, Stoch_K,Stoch_D, Stoch_Slowing, MODE_SMA, 0, MODE_MAIN, BarShift+0);
   StochD = iStochastic(Symbol(), 0, Stoch_K,Stoch_D, Stoch_Slowing, MODE_SMA, 0, MODE_SIGNAL, BarShift+0);
   StochKprev = iStochastic(Symbol(), 0, Stoch_K,Stoch_D, Stoch_Slowing, MODE_SMA, 0, MODE_MAIN, BarShift+1);
   StochDprev = iStochastic(Symbol(), 0, Stoch_K,Stoch_D, Stoch_Slowing, MODE_SMA, 0, MODE_SIGNAL, BarShift+1);  
   // MA's ------------------------------------------------------------------------------+ 
   MAM1=iMA(NULL,PERIOD_M1,MA_Period,MA_Shift,TrendBar_MA_Type,iClose(NULL,PERIOD_M1,BarShiftM1),BarShiftM1+0);
   MAM5=iMA(NULL,PERIOD_M5,MA_Period,MA_Shift,TrendBar_MA_Type,iClose(NULL,PERIOD_M5,BarShiftM5),BarShiftM5+0);
   MAM15=iMA(NULL,PERIOD_M15,MA_Period,MA_Shift,TrendBar_MA_Type,iClose(NULL,PERIOD_M15,BarShiftM15),BarShiftM15+0);
   MAM30=iMA(NULL,PERIOD_M30,MA_Period,MA_Shift,TrendBar_MA_Type,iClose(NULL,PERIOD_M30,BarShiftM30),BarShiftM30+0);
   MAH1=iMA(NULL,PERIOD_H1,MA_Period,MA_Shift,TrendBar_MA_Type,iClose(NULL,PERIOD_H1,BarShiftH1),BarShiftH1+0);
   MAH4=iMA(NULL,PERIOD_H4,MA_Period,MA_Shift,TrendBar_MA_Type,iClose(NULL,PERIOD_H4,BarShiftH4),BarShiftH4+0);
   MAD1=iMA(NULL,PERIOD_D1,MA_Period,MA_Shift,TrendBar_MA_Type,iClose(NULL,PERIOD_D1,BarShiftD1),BarShiftD1+0);
   
   MAM1prev=iMA(NULL,PERIOD_M1,MA_Period,MA_Shift,TrendBar_MA_Type,iClose(NULL,PERIOD_M1,BarShiftM1),BarShiftM1+1);
   MAM5prev=iMA(NULL,PERIOD_M5,MA_Period,MA_Shift,TrendBar_MA_Type,iClose(NULL,PERIOD_M5,BarShiftM5),BarShiftM5+1);
   MAM15prev=iMA(NULL,PERIOD_M15,MA_Period,MA_Shift,TrendBar_MA_Type,iClose(NULL,PERIOD_M15,BarShiftM15),BarShiftM15+1);
   MAM30prev=iMA(NULL,PERIOD_M30,MA_Period,MA_Shift,TrendBar_MA_Type,iClose(NULL,PERIOD_M30,BarShiftM30),BarShiftM30+1);
   MAH1prev=iMA(NULL,PERIOD_H1,MA_Period,MA_Shift,TrendBar_MA_Type,iClose(NULL,PERIOD_H1,BarShiftH1),BarShiftH1+1);
   MAH4prev=iMA(NULL,PERIOD_H4,MA_Period,MA_Shift,TrendBar_MA_Type,iClose(NULL,PERIOD_H4,BarShiftH4),BarShiftH4+1);
   MAD1prev=iMA(NULL,PERIOD_D1,MA_Period,MA_Shift,TrendBar_MA_Type,iClose(NULL,PERIOD_D1,BarShiftD1),BarShiftD1+1);
   
   MACurrent=iMA(NULL,0,MA_Period,MA_Shift,TrendBar_MA_Type,iClose(NULL,0,BarShift),BarShift+0);
   MAPrevious=iMA(NULL,0,MA_Period,MA_Shift,TrendBar_MA_Type,iClose(NULL,0,BarShift),BarShift+1);   
   // Trend Bar -------------------------------------------------------------------+
   if(MAM1 > MAM1prev)  
     {trendM1=1;}   
   if(MAM1 < MAM1prev)  
     {trendM1=0;}     
   if(MAM5 > MAM5prev)  
     {trendM5=1;}   
   if(MAM5 < MAM5prev)  
     {trendM5=0;}    
   if(MAM15 > MAM15prev)  
     {trendM15=1;} 
   if(MAM15 < MAM15prev)  
     {trendM15=0;}    
   if(MAM30 > MAM30prev)  
     {trendM30=1;} 
   if(MAM30 < MAM30prev)  
     {trendM30=0;}   
   if(MAH1 > MAH1prev)  
     {trendH1=1;} 
   if(MAH1 < MAH1prev)  
     {trendH1=0;}  
   if(MAH4 > MAH4prev)  
     {trendH4=1;} 
   if(MAH4 < MAH4prev)  
     {trendH4=0;}   
   if(MAD1 > MAD1prev)  
     {trendD1=1;} 
   if(MAD1 < MAD1prev)  
     {trendD1=0;} 
   // Price --------------------------------+
   if (iClose(NULL,0,BarShift)>iClose(NULL,0,BarShift+1))
     {PriceColor = DarkGreen;}
   if (iClose(NULL,0,BarShift)<iClose(NULL,0,BarShift+1))
     {PriceColor = FireBrick;}  
   // Spread --------------------------------+
   Spread=NormalizeDouble((Ask-Bid)/Point,0);
   // ParabolicSAR -------------------------------
   PSARCurrent= iSAR(NULL,0,PSAR_Step,PSAR_Max,BarShift+0);
   PSARPrev= iSAR(NULL,0,PSAR_Step,PSAR_Max,BarShift+1);
   
   if (PSARCurrent<iClose(NULL,0,BarShift))
     {PSAR=1;}
   if (PSARCurrent>iClose(NULL,0,BarShift))
     {PSAR=0;}
   // MACD ---------------------------------------
   MACDCurrent = iMACD(NULL,0,MACD_Period1,MACD_Period2,MACD_Period3,PRICE_CLOSE,MODE_MAIN,BarShift+0);
   MACDPrev = iMACD(NULL,0,MACD_Period1,MACD_Period2,MACD_Period3,PRICE_CLOSE,MODE_MAIN,BarShift+1);
   MACDSignal = iMACD(NULL,0,MACD_Period1,MACD_Period2,MACD_Period3,PRICE_CLOSE,MODE_SIGNAL,BarShift+0);
   MACDSignalPrev = iMACD(NULL,0,MACD_Period1,MACD_Period2,MACD_Period3,PRICE_CLOSE,MODE_SIGNAL,BarShift+1);
   
   if (MACDCurrent>MACDPrev && ((MACDCurrent && MACDPrev)>MACDSignal || (MACDCurrent && MACDPrev)<MACDSignal))
      {MACD=3;}
   if (MACDCurrent<MACDSignal && MACDPrev>MACDSignalPrev)
      {MACD=2;}      
   if (MACDCurrent<MACDPrev && ((MACDCurrent && MACDPrev)>MACDSignal || (MACDCurrent && MACDPrev)<MACDSignal))
      {MACD=1;}   
   if (MACDCurrent>MACDSignal && MACDPrev<MACDSignalPrev)
      {MACD=0;}   
   if (MACDCurrent>0 && MACDPrev<0)
      {MACD=4;}         
   if (MACDCurrent<0 && MACDPrev>0)
      {MACD=5;} 
  // MA XOVER  ---------------------------------------
      MAXover1=iMA(NULL,0,FastLWMA,0,MODE_LWMA,PRICE_CLOSE,BarShift+0);
      MAXover2=iMA(NULL,0,SlowSMA,0,MODE_SMA,PRICE_CLOSE,BarShift+0);

   if (MAXover1>MAXover2)
      {MAXoverSignal=1;}
   if (MAXover1<MAXover2)
      {MAXoverSignal=0;}
   // Williams%Range/RSI -----------------------------
   if (UseRSI)
   {WPR=iRSI(NULL,0,RSI_Period,PRICE_CLOSE,BarShift+0);
     if (WPR<=100 && WPR>=95)
      {WPRValueUp=1;}
     if (WPR>=80 && WPR<95)
      {WPRValueUp=2;}   
     if (WPR>=70 && WPR<80)
      {WPRValueUp=3;}   
     if (WPR>=60 && WPR<70)
      {WPRValueUp=4;}   
     if (WPR>50 && WPR<60)
      {WPRValueUp=5;}      
     if (WPR<50 && WPR>=40)
      {WPRValueDown=6;}   
     if (WPR<=40 && WPR>=30)
      {WPRValueDown=7;}
     if (WPR<=30 && WPR>=20)
      {WPRValueDown=8;}   
     if (WPR<=20 && WPR>=5)
      {WPRValueDown=9;}   
     if (WPR<=5 && WPR>=100)
      {WPRValueDown=10;}    
    }
   else {WPR=iWPR(NULL,0,WPR_Period,BarShift+0);
      
   if (WPR<=0 && WPR>=-5)
      {WPRValueUp=1;}
   if (WPR>=-20 && WPR<-5)
      {WPRValueUp=2;}   
   if (WPR>=-30 && WPR<-20)
      {WPRValueUp=3;}   
   if (WPR>=-40 && WPR<-30)
      {WPRValueUp=4;}   
   if (WPR>-50 && WPR<-40)
      {WPRValueUp=5;}      
   if (WPR<-50 && WPR>=-60)
      {WPRValueDown=6;}   
   if (WPR<=-60 && WPR>=-70)
      {WPRValueDown=7;}
   if (WPR<=-70 && WPR>=-80)
      {WPRValueDown=8;}   
   if (WPR<=-80 && WPR>=-95)
      {WPRValueDown=9;}   
   if (WPR<=-95 && WPR>=-100)
      {WPRValueDown=10;} 
    }      
   // BarMeter ---------------------------------------------------------
   if (Close[BarShift+0] > Close[BarShift+1])
      {Bar1 = (Close[BarShift+0] - Close[BarShift+1])*100000;}
   if (Close[BarShift+0] < Close[BarShift+1])
      {Bar1 = (Close[BarShift+1] - Close[BarShift+0])*100000;}
   if (Close[BarShift+1] > Close[BarShift+2])
      {Bar2 = (Close[BarShift+1] - Close[BarShift+2])*100000;}
   if (Close[BarShift+1] < Close[BarShift+2])
      {Bar2 = (Close[BarShift+2] - Close[BarShift+1])*100000;}
   if (Close[BarShift+2] > Close[BarShift+3])
      {Bar3 = (Close[BarShift+2] - Close[BarShift+3])*100000;}
   if (Close[BarShift+2] < Close[BarShift+3])
      {Bar3 = (Close[BarShift+3] - Close[BarShift+2])*100000;}
   if (Close[BarShift+3] > Close[BarShift+4])
      {Bar4 = (Close[BarShift+3] - Close[BarShift+4])*100000;}
   if (Close[BarShift+3] < Close[BarShift+4])
      {Bar4 = (Close[BarShift+4] - Close[BarShift+3])*100000;}
   if (Close[BarShift+4] > Close[BarShift+5])
      {Bar5 = (Close[BarShift+4] - Close[BarShift+5])*100000;}
   if (Close[BarShift+4] < Close[BarShift+5])
      {Bar5 = (Close[BarShift+5] - Close[BarShift+4])*100000;}
   if (Close[BarShift+5] > Close[BarShift+6])
      {Bar6 = (Close[BarShift+5] - Close[BarShift+6])*100000;}
   if (Close[BarShift+5] < Close[BarShift+6])
      {Bar6 = (Close[BarShift+6] - Close[BarShift+5])*100000;}
   if (Close[BarShift+6] > Close[BarShift+7])
      {Bar7 = (Close[BarShift+6] - Close[BarShift+7])*100000;}
   if (Close[BarShift+6] < Close[BarShift+7])
      {Bar7 = (Close[BarShift+7] - Close[BarShift+6])*100000;}
   if (Close[BarShift+7] > Close[BarShift+8])
      {Bar8 = (Close[BarShift+7] - Close[BarShift+8])*100000;}
   if (Close[BarShift+7] < Close[BarShift+8])
      {Bar8 = (Close[BarShift+8] - Close[BarShift+7])*100000;}
   if (Close[BarShift+8] > Close[BarShift+9])
      {Bar9 = (Close[BarShift+8] - Close[BarShift+9])*100000;}
   if (Close[BarShift+8] < Close[BarShift+9])
      {Bar9 = (Close[BarShift+9] - Close[BarShift+8])*100000;}
   if (Close[BarShift+9] > Close[BarShift+10])
      {Bar10 = (Close[BarShift+9] - Close[BarShift+10])*100000;}
   if (Close[BarShift+9] < Close[BarShift+10])
      {Bar10 = (Close[BarShift+10] - Close[BarShift+9])*100000;}            
      
   BarsAverage1 = (Bar2 + Bar3 + Bar4 + Bar5)/4;
   BarsAverage2 = (Bar3 + Bar4 + Bar5 + Bar6)/4;
   BarsAverage3 = (Bar4 + Bar5 + Bar6 + Bar7)/4;
   BarsAverage4 = (Bar5 + Bar6 + Bar7 + Bar8)/4;
   BarsAverage5 = (Bar6 + Bar7 + Bar8 + Bar9)/4;
   
   Bar1percent = NormalizeDouble((Bar1/BarsAverage1)*100,0);
   Bar2percent = NormalizeDouble((Bar2/BarsAverage2)*100,0);
   Bar3percent = NormalizeDouble((Bar3/BarsAverage3)*100,0);
   Bar4percent = NormalizeDouble((Bar4/BarsAverage4)*100,0);
   Bar5percent = NormalizeDouble((Bar5/BarsAverage5)*100,0);
   BarsAllpercent = NormalizeDouble(((Bar2 + Bar3 + Bar4 + Bar5)/4)*100,0);
   
   if (Bar1percent==0) //Stopped
   {BarReading = 1;}
   if (Bar1percent>Bar2percent && Bar1percent>100 && Bar1percent!=0) //Speeding Up
   {BarReading = 2;}
   if (Bar1percent<=100 && Bar1percent!=0) //Steady
   {BarReading = 3;}
   if (Bar1percent<Bar2percent && Bar2percent>100 && Bar1percent>100 && Bar1percent!=0) //Slowing Down
   {BarReading = 4;}
   //----------------------------------------  
   if (Bar1percent==0 || Close[BarShift+0] == Close[BarShift+1])
     {Bar1Col = 12;} 
   if (Bar1percent<25 && Bar1percent>0)
     {if (Close[BarShift+0] > Close[BarShift+1])
       {Bar1Col = 11;}
     }   
   if (Bar1percent<25 && Bar1percent>0)
     {if (Close[BarShift+0] < Close[BarShift+1])
       {Bar1Col = 13;}
     }    
   if (Bar1percent>=400)
     {if (Close[BarShift+0] > Close[BarShift+1])
       {Bar1Col = 1;}
       else if (Close[BarShift+0] < Close[BarShift+1]) Bar1Col = 10;
     }  
   if (Bar1percent>=200 && Bar1percent<400)
     {if (Close[BarShift+0] > Close[BarShift+1])
       {Bar1Col = 2;}
       else if (Close[BarShift+0] < Close[BarShift+1]) Bar1Col = 9;
     }  
   if (Bar1percent>=100 && Bar1percent<200)
     {if (Close[BarShift+0] > Close[BarShift+1])
       {Bar1Col = 3;}
       else if (Close[BarShift+0] < Close[BarShift+1]) Bar1Col = 8;
     }  
   if (Bar1percent>=50 && Bar1percent<100)
     {if (Close[BarShift+0] > Close[BarShift+1])
       {Bar1Col = 4;}
       else if (Close[BarShift+0] < Close[BarShift+1]) Bar1Col = 7;
     }    
   if (Bar1percent>=25 && Bar1percent<50)
     {if (Close[BarShift+0] > Close[BarShift+1])
       {Bar1Col = 5;}
       else if (Close[BarShift+0] < Close[BarShift+1]) Bar1Col = 6;
     }  
   //--------------------------------------
   if (Bar2percent==0 || Close[BarShift+1] == Close[BarShift+2])
     {Bar2Col = 12;} 
   if (Bar2percent<25 && Bar2percent>0)
     {if (Close[BarShift+1] > Close[BarShift+2])
       {Bar2Col = 11;}
     }   
   if (Bar2percent<25 && Bar2percent>0)
     {if (Close[BarShift+1] < Close[BarShift+2])
       {Bar2Col = 13;}
     }     
   if (Bar2percent>=400)
     {if (Close[BarShift+1] > Close[BarShift+2])
       {Bar2Col = 1;}
       else if (Close[BarShift+1] < Close[BarShift+2]) Bar2Col = 10;
     }  
   if (Bar2percent>=200 && Bar2percent<400)
     {if (Close[BarShift+1] > Close[BarShift+2])
       {Bar2Col = 2;}
       else if (Close[BarShift+1] < Close[BarShift+2]) Bar2Col = 9;
     }  
   if (Bar2percent>=100 && Bar2percent<200)
     {if (Close[BarShift+1] > Close[BarShift+2])
       {Bar2Col = 3;}
       else if (Close[BarShift+1] < Close[BarShift+2]) Bar2Col = 8;
     }  
   if (Bar2percent>=50 && Bar2percent<100)
     {if (Close[BarShift+1] > Close[BarShift+2])
       {Bar2Col = 4;}
       else if (Close[BarShift+1] < Close[BarShift+2]) Bar2Col = 7;
     }      
   if (Bar2percent>=25 && Bar2percent<50)
     {if (Close[BarShift+1] > Close[BarShift+2])
       {Bar2Col = 5;}
       else if (Close[BarShift+1] < Close[BarShift+2]) Bar2Col = 6;
     }    
   //--------------------------------------
   if (Bar3percent==0 || Close[BarShift+2] == Close[BarShift+3])
     {Bar3Col = 12;} 
   if (Bar3percent<25 && Bar3percent>0)
     {if (Close[BarShift+2] > Close[BarShift+3])
       {Bar3Col = 11;}
     }   
   if (Bar3percent<25 && Bar3percent>0)
     {if (Close[BarShift+2] < Close[BarShift+3])
       {Bar3Col = 13;}
     }    
   if (Bar3percent>=400)
     {if (Close[BarShift+2] > Close[BarShift+3])
       {Bar3Col = 1;}
       else if (Close[BarShift+2] < Close[BarShift+3]) Bar3Col = 10;
     }  
   if (Bar3percent>=200 && Bar3percent<400)
     {if (Close[BarShift+2] > Close[BarShift+3])
       {Bar3Col = 2;}
       else if (Close[BarShift+2] < Close[BarShift+3]) Bar3Col = 9;
     }  
   if (Bar3percent>=100 && Bar3percent<200)
     {if (Close[BarShift+2] > Close[BarShift+3])
       {Bar3Col = 3;}
       else if (Close[BarShift+2] < Close[BarShift+3]) Bar3Col = 8;
     }   
   if (Bar3percent>=50 && Bar3percent<100)
     {if (Close[BarShift+2] > Close[BarShift+3])
       {Bar3Col = 4;}
       else if (Close[BarShift+2] < Close[BarShift+3]) Bar3Col = 7;
     }        
   if (Bar3percent>=25 && Bar3percent<50)
     {if (Close[BarShift+2] > Close[BarShift+3])
       {Bar3Col = 5;}
       else if (Close[BarShift+2] < Close[BarShift+3]) Bar3Col = 6;
     }   
   //--------------------------------------
   if (Bar4percent==0 || Close[BarShift+3] == Close[BarShift+4])
     {Bar4Col = 12;} 
   if (Bar4percent<25 && Bar4percent>0)
     {if (Close[BarShift+3] > Close[BarShift+4])
       {Bar4Col = 11;}
     }   
   if (Bar4percent<25 && Bar4percent>0)
     {if (Close[BarShift+3] < Close[BarShift+4])
       {Bar4Col = 13;}
     }    
   if (Bar4percent>=400)
     {if (Close[BarShift+3] > Close[BarShift+4])
       {Bar4Col = 1;}
       else if (Close[BarShift+3] < Close[BarShift+4]) Bar4Col = 10;
     }   
   if (Bar4percent>=200 && Bar4percent<400)
     {if (Close[BarShift+3] > Close[BarShift+4])
       {Bar4Col = 2;}
       else if (Close[BarShift+3] < Close[BarShift+4]) Bar4Col = 9;
     }   
   if (Bar4percent>=100 && Bar4percent<200)
     {if (Close[BarShift+3] > Close[BarShift+4])
       {Bar4Col = 3;}
       else if (Close[BarShift+3] < Close[BarShift+4]) Bar4Col = 8;
     }    
   if (Bar4percent>=50 && Bar4percent<100)
      {if (Close[BarShift+3] > Close[BarShift+4])
       {Bar4Col = 4;}
       else if (Close[BarShift+3] < Close[BarShift+4]) Bar4Col = 7;
     }        
   if (Bar4percent>=25 && Bar4percent<50)
     {if (Close[BarShift+3] > Close[BarShift+4])
       {Bar4Col = 5;}
       else if (Close[BarShift+3] < Close[BarShift+4]) Bar4Col = 6;
     }   
   //--------------------------------------
   if (Bar5percent==0 || Close[BarShift+4] == Close[BarShift+5])
     {
     Bar5Col = 12;
     } 
   if (Bar5percent<25 && Bar5percent>0)
     {if (Close[BarShift+4] > Close[BarShift+5])
       {Bar5Col = 11;}
     }   
   if (Bar5percent<25 && Bar5percent>0)
     {if (Close[BarShift+4] < Close[BarShift+5])
       {Bar5Col = 13;}
     }    
   if (Bar5percent>=400)
     {if (Close[BarShift+4] > Close[BarShift+5])
       {Bar5Col = 1;}
       else if (Close[BarShift+4] < Close[BarShift+5]) Bar5Col = 10;
     }   
   if (Bar5percent>=200 && Bar5percent<400)
     {if (Close[BarShift+4] > Close[BarShift+5])
       {Bar5Col = 2;}
       else if (Close[BarShift+4] < Close[BarShift+5]) Bar5Col = 9;
     }    
   if (Bar5percent>=100 && Bar5percent<200)
     {if (Close[BarShift+4] > Close[BarShift+5])
       {Bar5Col = 3;}
       else if (Close[BarShift+4] < Close[BarShift+5]) Bar5Col = 8;
     }     
   if (Bar5percent>=50 && Bar5percent<100)
     {if (Close[BarShift+4] > Close[BarShift+5])
       {Bar5Col = 4;}
       else if (Close[BarShift+4] < Close[BarShift+5]) Bar5Col = 7;
     }         
   if (Bar5percent>=25 && Bar5percent<50)
     {if (Close[BarShift+4] > Close[BarShift+5])
       {Bar5Col = 5;}
       else if (Close[BarShift+4] < Close[BarShift+5]) Bar5Col = 6;
     } 
    
    // Trend-O-Graph ------------- 
   TGMA1M1=iMA(NULL,PERIOD_M1,MA1_Period,0,MA_Type,PRICE_CLOSE,BarShiftM1+0);
   TGMA1M5=iMA(NULL,PERIOD_M5,MA1_Period,0,MA_Type,PRICE_CLOSE,BarShiftM5+0);
   TGMA1M15=iMA(NULL,PERIOD_M15,MA1_Period,0,MA_Type,PRICE_CLOSE,BarShiftM15+0);
   TGMA1M30=iMA(NULL,PERIOD_M30,MA1_Period,0,MA_Type,PRICE_CLOSE,BarShiftM30+0);
   TGMA1H1=iMA(NULL,PERIOD_H1,MA1_Period,0,MA_Type,PRICE_CLOSE,BarShiftH1+0);
   TGMA1H4=iMA(NULL,PERIOD_H4,MA1_Period,0,MA_Type,PRICE_CLOSE,BarShiftH4+0);
   TGMA1D1=iMA(NULL,PERIOD_D1,MA1_Period,0,MA_Type,PRICE_CLOSE,BarShiftD1+0);
  
   TGMA2M1=iMA(NULL,PERIOD_M1,MA2_Period,0,MA_Type,PRICE_CLOSE,BarShiftM1+0);
   TGMA2M5=iMA(NULL,PERIOD_M5,MA2_Period,0,MA_Type,PRICE_CLOSE,BarShiftM5+0);
   TGMA2M15=iMA(NULL,PERIOD_M15,MA2_Period,0,MA_Type,PRICE_CLOSE,BarShiftM15+0);
   TGMA2M30=iMA(NULL,PERIOD_M30,MA2_Period,0,MA_Type,PRICE_CLOSE,BarShiftM30+0);
   TGMA2H1=iMA(NULL,PERIOD_H1,MA2_Period,0,MA_Type,PRICE_CLOSE,BarShiftH1+0);
   TGMA2H4=iMA(NULL,PERIOD_H4,MA2_Period,0,MA_Type,PRICE_CLOSE,BarShiftH4+0);
   TGMA2D1=iMA(NULL,PERIOD_D1,MA2_Period,0,MA_Type,PRICE_CLOSE,BarShiftD1+0);
   
   TGMA3M1=iMA(NULL,PERIOD_M1,MA3_Period,0,MA_Type,PRICE_CLOSE,BarShiftM1+0);
   TGMA3M5=iMA(NULL,PERIOD_M5,MA3_Period,0,MA_Type,PRICE_CLOSE,BarShiftM5+0);
   TGMA3M15=iMA(NULL,PERIOD_M15,MA3_Period,0,MA_Type,PRICE_CLOSE,BarShiftM15+0);
   TGMA3M30=iMA(NULL,PERIOD_M30,MA3_Period,0,MA_Type,PRICE_CLOSE,BarShiftM30+0);
   TGMA3H1=iMA(NULL,PERIOD_H1,MA3_Period,0,MA_Type,PRICE_CLOSE,BarShiftH1+0);
   TGMA3H4=iMA(NULL,PERIOD_H4,MA3_Period,0,MA_Type,PRICE_CLOSE,BarShiftH4+0);
   TGMA3D1=iMA(NULL,PERIOD_D1,MA3_Period,0,MA_Type,PRICE_CLOSE,BarShiftD1+0);
   
   TGMA4M1=iMA(NULL,PERIOD_M1,MA4_Period,0,MA_Type,PRICE_CLOSE,BarShiftM1+0);
   TGMA4M5=iMA(NULL,PERIOD_M5,MA4_Period,0,MA_Type,PRICE_CLOSE,BarShiftM5+0);
   TGMA4M15=iMA(NULL,PERIOD_M15,MA4_Period,0,MA_Type,PRICE_CLOSE,BarShiftM15+0);
   TGMA4M30=iMA(NULL,PERIOD_M30,MA4_Period,0,MA_Type,PRICE_CLOSE,BarShiftM30+0);
   TGMA4H1=iMA(NULL,PERIOD_H1,MA4_Period,0,MA_Type,PRICE_CLOSE,BarShiftH1+0);
   TGMA4H4=iMA(NULL,PERIOD_H4,MA4_Period,0,MA_Type,PRICE_CLOSE,BarShiftH4+0);
   TGMA4D1=iMA(NULL,PERIOD_D1,MA4_Period,0,MA_Type,PRICE_CLOSE,BarShiftD1+0);
   
   TGMA5M1=iMA(NULL,PERIOD_M1,MA5_Period,0,MA_Type,PRICE_CLOSE,BarShiftM1+0);
   TGMA5M5=iMA(NULL,PERIOD_M5,MA5_Period,0,MA_Type,PRICE_CLOSE,BarShiftM5+0);
   TGMA5M15=iMA(NULL,PERIOD_M15,MA5_Period,0,MA_Type,PRICE_CLOSE,BarShiftM15+0);
   TGMA5M30=iMA(NULL,PERIOD_M30,MA5_Period,0,MA_Type,PRICE_CLOSE,BarShiftM30+0);
   TGMA5H1=iMA(NULL,PERIOD_H1,MA5_Period,0,MA_Type,PRICE_CLOSE,BarShiftH1+0);
   TGMA5H4=iMA(NULL,PERIOD_H4,MA5_Period,0,MA_Type,PRICE_CLOSE,BarShiftH4+0);
   TGMA5D1=iMA(NULL,PERIOD_D1,MA5_Period,0,MA_Type,PRICE_CLOSE,BarShiftD1+0);
   
   TGMA6M1=iMA(NULL,PERIOD_M1,MA6_Period,0,MA_Type,PRICE_CLOSE,BarShiftM1+0);
   TGMA6M5=iMA(NULL,PERIOD_M5,MA6_Period,0,MA_Type,PRICE_CLOSE,BarShiftM5+0);
   TGMA6M15=iMA(NULL,PERIOD_M15,MA6_Period,0,MA_Type,PRICE_CLOSE,BarShiftM15+0);
   TGMA6M30=iMA(NULL,PERIOD_M30,MA6_Period,0,MA_Type,PRICE_CLOSE,BarShiftM30+0);
   TGMA6H1=iMA(NULL,PERIOD_H1,MA6_Period,0,MA_Type,PRICE_CLOSE,BarShiftH1+0);
   TGMA6H4=iMA(NULL,PERIOD_H4,MA6_Period,0,MA_Type,PRICE_CLOSE,BarShiftH4+0);
   TGMA6D1=iMA(NULL,PERIOD_D1,MA6_Period,0,MA_Type,PRICE_CLOSE,BarShiftD1+0);
   
   TGMA7M1=iMA(NULL,PERIOD_M1,MA7_Period,0,MA_Type,PRICE_CLOSE,BarShiftM1+0);
   TGMA7M5=iMA(NULL,PERIOD_M5,MA7_Period,0,MA_Type,PRICE_CLOSE,BarShiftM5+0);
   TGMA7M15=iMA(NULL,PERIOD_M15,MA7_Period,0,MA_Type,PRICE_CLOSE,BarShiftM15+0);
   TGMA7M30=iMA(NULL,PERIOD_M30,MA7_Period,0,MA_Type,PRICE_CLOSE,BarShiftM30+0);
   TGMA7H1=iMA(NULL,PERIOD_H1,MA7_Period,0,MA_Type,PRICE_CLOSE,BarShiftH1+0);
   TGMA7H4=iMA(NULL,PERIOD_H4,MA7_Period,0,MA_Type,PRICE_CLOSE,BarShiftH4+0);
   TGMA7D1=iMA(NULL,PERIOD_D1,MA7_Period,0,MA_Type,PRICE_CLOSE,BarShiftD1+0);
   
   TGMA7M1prev=iMA(NULL,PERIOD_M1,MA7_Period,0,MA_Type,PRICE_CLOSE,BarShiftM1+1);
   TGMA7M5prev=iMA(NULL,PERIOD_M5,MA7_Period,0,MA_Type,PRICE_CLOSE,BarShiftM5+1);
   TGMA7M15prev=iMA(NULL,PERIOD_M15,MA7_Period,0,MA_Type,PRICE_CLOSE,BarShiftM15+1);
   TGMA7M30prev=iMA(NULL,PERIOD_M30,MA7_Period,0,MA_Type,PRICE_CLOSE,BarShiftM30+1);
   TGMA7H1prev=iMA(NULL,PERIOD_H1,MA7_Period,0,MA_Type,PRICE_CLOSE,BarShiftH1+1);
   TGMA7H4prev=iMA(NULL,PERIOD_H4,MA7_Period,0,MA_Type,PRICE_CLOSE,BarShiftH4+1);
   TGMA7D1prev=iMA(NULL,PERIOD_D1,MA7_Period,0,MA_Type,PRICE_CLOSE,BarShiftD1+1);
   
   TGMA1M1prev=iMA(NULL,PERIOD_M1,MA1_Period,0,MA_Type,PRICE_CLOSE,BarShiftM1+1);
   TGMA1M5prev=iMA(NULL,PERIOD_M5,MA1_Period,0,MA_Type,PRICE_CLOSE,BarShiftM5+1);
   TGMA1M15prev=iMA(NULL,PERIOD_M15,MA1_Period,0,MA_Type,PRICE_CLOSE,BarShiftM15+1);
   TGMA1M30prev=iMA(NULL,PERIOD_M30,MA1_Period,0,MA_Type,PRICE_CLOSE,BarShiftM30+1);
   TGMA1H1prev=iMA(NULL,PERIOD_H1,MA1_Period,0,MA_Type,PRICE_CLOSE,BarShiftH1+1);
   TGMA1H4prev=iMA(NULL,PERIOD_H4,MA1_Period,0,MA_Type,PRICE_CLOSE,BarShiftH4+1);
   TGMA1D1prev=iMA(NULL,PERIOD_D1,MA1_Period,0,MA_Type,PRICE_CLOSE,BarShiftD1+1);
  
   TGMA2M1prev=iMA(NULL,PERIOD_M1,MA2_Period,0,MA_Type,PRICE_CLOSE,BarShiftM1+1);
   TGMA2M5prev=iMA(NULL,PERIOD_M5,MA2_Period,0,MA_Type,PRICE_CLOSE,BarShiftM5+1);
   TGMA2M15prev=iMA(NULL,PERIOD_M15,MA2_Period,0,MA_Type,PRICE_CLOSE,BarShiftM15+1);
   TGMA2M30prev=iMA(NULL,PERIOD_M30,MA2_Period,0,MA_Type,PRICE_CLOSE,BarShiftM30+1);
   TGMA2H1prev=iMA(NULL,PERIOD_H1,MA2_Period,0,MA_Type,PRICE_CLOSE,BarShiftH1+1);
   TGMA2H4prev=iMA(NULL,PERIOD_H4,MA2_Period,0,MA_Type,PRICE_CLOSE,BarShiftH4+1);
   TGMA2D1prev=iMA(NULL,PERIOD_D1,MA2_Period,0,MA_Type,PRICE_CLOSE,BarShiftD1+1);
   
   TGMA3M1prev=iMA(NULL,PERIOD_M1,MA3_Period,0,MA_Type,PRICE_CLOSE,BarShiftM1+1);
   TGMA3M5prev=iMA(NULL,PERIOD_M5,MA3_Period,0,MA_Type,PRICE_CLOSE,BarShiftM5+1);
   TGMA3M15prev=iMA(NULL,PERIOD_M15,MA3_Period,0,MA_Type,PRICE_CLOSE,BarShiftM15+1);
   TGMA3M30prev=iMA(NULL,PERIOD_M30,MA3_Period,0,MA_Type,PRICE_CLOSE,BarShiftM30+1);
   TGMA3H1prev=iMA(NULL,PERIOD_H1,MA3_Period,0,MA_Type,PRICE_CLOSE,BarShiftH1+1);
   TGMA3H4prev=iMA(NULL,PERIOD_H4,MA3_Period,0,MA_Type,PRICE_CLOSE,BarShiftH4+1);
   TGMA3D1prev=iMA(NULL,PERIOD_D1,MA3_Period,0,MA_Type,PRICE_CLOSE,BarShiftD1+1);
   
   TGMA4M1prev=iMA(NULL,PERIOD_M1,MA4_Period,0,MA_Type,PRICE_CLOSE,BarShiftM1+1);
   TGMA4M5prev=iMA(NULL,PERIOD_M5,MA4_Period,0,MA_Type,PRICE_CLOSE,BarShiftM5+1);
   TGMA4M15prev=iMA(NULL,PERIOD_M15,MA4_Period,0,MA_Type,PRICE_CLOSE,BarShiftM15+1);
   TGMA4M30prev=iMA(NULL,PERIOD_M30,MA4_Period,0,MA_Type,PRICE_CLOSE,BarShiftM30+1);
   TGMA4H1prev=iMA(NULL,PERIOD_H1,MA4_Period,0,MA_Type,PRICE_CLOSE,BarShiftH1+1);
   TGMA4H4prev=iMA(NULL,PERIOD_H4,MA4_Period,0,MA_Type,PRICE_CLOSE,BarShiftH4+1);
   TGMA4D1prev=iMA(NULL,PERIOD_D1,MA4_Period,0,MA_Type,PRICE_CLOSE,BarShiftD1+1);
   
   TGMA5M1prev=iMA(NULL,PERIOD_M1,MA5_Period,0,MA_Type,PRICE_CLOSE,BarShiftM1+1);
   TGMA5M5prev=iMA(NULL,PERIOD_M5,MA5_Period,0,MA_Type,PRICE_CLOSE,BarShiftM5+1);
   TGMA5M15prev=iMA(NULL,PERIOD_M15,MA5_Period,0,MA_Type,PRICE_CLOSE,BarShiftM15+1);
   TGMA5M30prev=iMA(NULL,PERIOD_M30,MA5_Period,0,MA_Type,PRICE_CLOSE,BarShiftM30+1);
   TGMA5H1prev=iMA(NULL,PERIOD_H1,MA5_Period,0,MA_Type,PRICE_CLOSE,BarShiftH1+1);
   TGMA5H4prev=iMA(NULL,PERIOD_H4,MA5_Period,0,MA_Type,PRICE_CLOSE,BarShiftH4+1);
   TGMA5D1prev=iMA(NULL,PERIOD_D1,MA5_Period,0,MA_Type,PRICE_CLOSE,BarShiftD1+1);
   
   TGMA6M1prev=iMA(NULL,PERIOD_M1,MA6_Period,0,MA_Type,PRICE_CLOSE,BarShiftM1+1);
   TGMA6M5prev=iMA(NULL,PERIOD_M5,MA6_Period,0,MA_Type,PRICE_CLOSE,BarShiftM5+1);
   TGMA6M15prev=iMA(NULL,PERIOD_M15,MA6_Period,0,MA_Type,PRICE_CLOSE,BarShiftM15+1);
   TGMA6M30prev=iMA(NULL,PERIOD_M30,MA6_Period,0,MA_Type,PRICE_CLOSE,BarShiftM30+1);
   TGMA6H1prev=iMA(NULL,PERIOD_H1,MA6_Period,0,MA_Type,PRICE_CLOSE,BarShiftH1+1);
   TGMA6H4prev=iMA(NULL,PERIOD_H4,MA6_Period,0,MA_Type,PRICE_CLOSE,BarShiftH4+1);
   TGMA6D1prev=iMA(NULL,PERIOD_D1,MA6_Period,0,MA_Type,PRICE_CLOSE,BarShiftD1+1);
   
   TGMA7M1prev=iMA(NULL,PERIOD_M1,MA7_Period,0,MA_Type,PRICE_CLOSE,BarShiftM1+1);
   TGMA7M5prev=iMA(NULL,PERIOD_M5,MA7_Period,0,MA_Type,PRICE_CLOSE,BarShiftM5+1);
   TGMA7M15prev=iMA(NULL,PERIOD_M15,MA7_Period,0,MA_Type,PRICE_CLOSE,BarShiftM15+1);
   TGMA7M30prev=iMA(NULL,PERIOD_M30,MA7_Period,0,MA_Type,PRICE_CLOSE,BarShiftM30+1);
   TGMA7H1prev=iMA(NULL,PERIOD_H1,MA7_Period,0,MA_Type,PRICE_CLOSE,BarShiftH1+1);
   TGMA7H4prev=iMA(NULL,PERIOD_H4,MA7_Period,0,MA_Type,PRICE_CLOSE,BarShiftH4+1);
   TGMA7D1prev=iMA(NULL,PERIOD_D1,MA7_Period,0,MA_Type,PRICE_CLOSE,BarShiftD1+1);   
   
   if (TGMA1M1>TGMA1M1prev) {TGMA1M1Signal=1;} else TGMA1M1Signal=0;
   if (TGMA1M5>TGMA1M5prev) {TGMA1M5Signal=1;} else TGMA1M5Signal=0;
   if (TGMA1M15>TGMA1M15prev) {TGMA1M15Signal=1;} else TGMA1M15Signal=0;
   if (TGMA1M30>TGMA1M30prev) {TGMA1M30Signal=1;} else TGMA1M30Signal=0;
   if (TGMA1H1>TGMA1H1prev) {TGMA1H1Signal=1;} else TGMA1H1Signal=0;
   if (TGMA1H4>TGMA1H4prev) {TGMA1H4Signal=1;} else TGMA1H4Signal=0;
   if (TGMA1D1>TGMA1D1prev) {TGMA1D1Signal=1;} else TGMA1D1Signal=0;
   
   if (TGMA2M1>TGMA2M1prev) {TGMA2M1Signal=1;} else TGMA2M1Signal=0;
   if (TGMA2M5>TGMA2M5prev) {TGMA2M5Signal=1;} else TGMA2M5Signal=0;
   if (TGMA2M15>TGMA2M15prev) {TGMA2M15Signal=1;} else TGMA2M15Signal=0;
   if (TGMA2M30>TGMA2M30prev) {TGMA2M30Signal=1;} else TGMA2M30Signal=0;
   if (TGMA2H1>TGMA2H1prev) {TGMA2H1Signal=1;} else TGMA2H1Signal=0;
   if (TGMA2H4>TGMA2H4prev) {TGMA2H4Signal=1;} else TGMA2H4Signal=0;
   if (TGMA2D1>TGMA2D1prev) {TGMA2D1Signal=1;} else TGMA2D1Signal=0;
   
   if (TGMA3M1>TGMA3M1prev) {TGMA3M1Signal=1;} else TGMA3M1Signal=0;
   if (TGMA3M5>TGMA3M5prev) {TGMA3M5Signal=1;} else TGMA3M5Signal=0;
   if (TGMA3M15>TGMA3M15prev) {TGMA3M15Signal=1;} else TGMA3M15Signal=0;
   if (TGMA3M30>TGMA3M30prev) {TGMA3M30Signal=1;} else TGMA3M30Signal=0;
   if (TGMA3H1>TGMA3H1prev) {TGMA3H1Signal=1;} else TGMA3H1Signal=0;
   if (TGMA3H4>TGMA3H4prev) {TGMA3H4Signal=1;} else TGMA3H4Signal=0;
   if (TGMA3D1>TGMA3D1prev) {TGMA3D1Signal=1;} else TGMA3D1Signal=0;
   
   if (TGMA4M1>TGMA4M1prev) {TGMA4M1Signal=1;} else TGMA4M1Signal=0;
   if (TGMA4M5>TGMA4M5prev) {TGMA4M5Signal=1;} else TGMA4M5Signal=0;
   if (TGMA4M15>TGMA4M15prev) {TGMA4M15Signal=1;} else TGMA4M15Signal=0;
   if (TGMA4M30>TGMA4M30prev) {TGMA4M30Signal=1;} else TGMA4M30Signal=0;
   if (TGMA4H1>TGMA4H1prev) {TGMA4H1Signal=1;} else TGMA4H1Signal=0;
   if (TGMA4H4>TGMA4H4prev) {TGMA4H4Signal=1;} else TGMA4H4Signal=0;
   if (TGMA4D1>TGMA4D1prev) {TGMA4D1Signal=1;} else TGMA4D1Signal=0;
   
   if (TGMA5M1>TGMA5M1prev) {TGMA5M1Signal=1;} else TGMA5M1Signal=0;
   if (TGMA5M5>TGMA5M5prev) {TGMA5M5Signal=1;} else TGMA5M5Signal=0;
   if (TGMA5M15>TGMA5M15prev) {TGMA5M15Signal=1;} else TGMA5M15Signal=0;
   if (TGMA5M30>TGMA5M30prev) {TGMA5M30Signal=1;} else TGMA5M30Signal=0;
   if (TGMA5H1>TGMA5H1prev) {TGMA5H1Signal=1;} else TGMA5H1Signal=0;
   if (TGMA5H4>TGMA5H4prev) {TGMA5H4Signal=1;} else TGMA5H4Signal=0;
   if (TGMA5D1>TGMA5D1prev) {TGMA5D1Signal=1;} else TGMA5D1Signal=0;
   
   if (TGMA6M1>TGMA6M1prev) {TGMA6M1Signal=1;} else TGMA6M1Signal=0;
   if (TGMA6M5>TGMA6M5prev) {TGMA6M5Signal=1;} else TGMA6M5Signal=0;
   if (TGMA6M15>TGMA6M15prev) {TGMA6M15Signal=1;} else TGMA6M15Signal=0;
   if (TGMA6M30>TGMA6M30prev) {TGMA6M30Signal=1;} else TGMA6M30Signal=0;
   if (TGMA6H1>TGMA6H1prev) {TGMA6H1Signal=1;} else TGMA6H1Signal=0;
   if (TGMA6H4>TGMA6H4prev) {TGMA6H4Signal=1;} else TGMA6H4Signal=0;
   if (TGMA6D1>TGMA6D1prev) {TGMA6D1Signal=1;} else TGMA6D1Signal=0;
   
   if (TGMA7M1>TGMA7M1prev) {TGMA7M1Signal=1;} else TGMA7M1Signal=0;
   if (TGMA7M5>TGMA7M5prev) {TGMA7M5Signal=1;} else TGMA7M5Signal=0;
   if (TGMA7M15>TGMA7M15prev) {TGMA7M15Signal=1;} else TGMA7M15Signal=0;
   if (TGMA7M30>TGMA7M30prev) {TGMA7M30Signal=1;} else TGMA7M30Signal=0;
   if (TGMA7H1>TGMA7H1prev) {TGMA7H1Signal=1;} else TGMA7H1Signal=0;
   if (TGMA7H4>TGMA7H4prev) {TGMA7H4Signal=1;} else TGMA7H4Signal=0;
   if (TGMA7D1>TGMA7D1prev) {TGMA7D1Signal=1;} else TGMA7D1Signal=0;
    
   // Bollinger Oscillator -------------------------------
   
   BBHighM1=iBands(NULL,PERIOD_M1,BollingerBand_Period,BollingerBand_Deviation,0,PRICE_CLOSE,MODE_UPPER,BarShiftM1+0);
   BBHighM5=iBands(NULL,PERIOD_M5,BollingerBand_Period,BollingerBand_Deviation,0,PRICE_CLOSE,MODE_UPPER,BarShiftM5+0);
   BBHighM15=iBands(NULL,PERIOD_M15,BollingerBand_Period,BollingerBand_Deviation,0,PRICE_CLOSE,MODE_UPPER,BarShiftM15+0);
   BBHighM30=iBands(NULL,PERIOD_M30,BollingerBand_Period,BollingerBand_Deviation,0,PRICE_CLOSE,MODE_UPPER,BarShiftM30+0);
   BBHighH1=iBands(NULL,PERIOD_H1,BollingerBand_Period,BollingerBand_Deviation,0,PRICE_CLOSE,MODE_UPPER,BarShiftH1+0);
   BBHighH4=iBands(NULL,PERIOD_H4,BollingerBand_Period,BollingerBand_Deviation,0,PRICE_CLOSE,MODE_UPPER,BarShiftH4+0);
   BBHighD1=iBands(NULL,PERIOD_D1,BollingerBand_Period,BollingerBand_Deviation,0,PRICE_CLOSE,MODE_UPPER,BarShiftD1+0);   
   BBLowM1=iBands(NULL,PERIOD_M1,BollingerBand_Period,BollingerBand_Deviation,0,PRICE_CLOSE,MODE_LOWER,BarShiftM1+0);
   BBLowM5=iBands(NULL,PERIOD_M5,BollingerBand_Period,BollingerBand_Deviation,0,PRICE_CLOSE,MODE_LOWER,BarShiftM5+0);
   BBLowM15=iBands(NULL,PERIOD_M15,BollingerBand_Period,BollingerBand_Deviation,0,PRICE_CLOSE,MODE_LOWER,BarShiftM15+0);
   BBLowM30=iBands(NULL,PERIOD_M30,BollingerBand_Period,BollingerBand_Deviation,0,PRICE_CLOSE,MODE_LOWER,BarShiftM30+0);
   BBLowH1=iBands(NULL,PERIOD_H1,BollingerBand_Period,BollingerBand_Deviation,0,PRICE_CLOSE,MODE_LOWER,BarShiftH1+0);
   BBLowH4=iBands(NULL,PERIOD_H4,BollingerBand_Period,BollingerBand_Deviation,0,PRICE_CLOSE,MODE_LOWER,BarShiftH4+0);
   BBLowD1=iBands(NULL,PERIOD_D1,BollingerBand_Period,BollingerBand_Deviation,0,PRICE_CLOSE,MODE_LOWER,BarShiftD1+0);
   
   BBHighM1_Prev=iBands(NULL,PERIOD_M1,BollingerBand_Period,BollingerBand_Deviation,0,PRICE_CLOSE,MODE_UPPER,BarShiftM1+1);
   BBHighM5_Prev=iBands(NULL,PERIOD_M5,BollingerBand_Period,BollingerBand_Deviation,0,PRICE_CLOSE,MODE_UPPER,BarShiftM5+1);
   BBHighM15_Prev=iBands(NULL,PERIOD_M15,BollingerBand_Period,BollingerBand_Deviation,0,PRICE_CLOSE,MODE_UPPER,BarShiftM15+1);
   BBHighM30_Prev=iBands(NULL,PERIOD_M30,BollingerBand_Period,BollingerBand_Deviation,0,PRICE_CLOSE,MODE_UPPER,BarShiftM30+1);
   BBHighH1_Prev=iBands(NULL,PERIOD_H1,BollingerBand_Period,BollingerBand_Deviation,0,PRICE_CLOSE,MODE_UPPER,BarShiftH1+1);
   BBHighH4_Prev=iBands(NULL,PERIOD_H4,BollingerBand_Period,BollingerBand_Deviation,0,PRICE_CLOSE,MODE_UPPER,BarShiftH4+1);
   BBHighD1_Prev=iBands(NULL,PERIOD_D1,BollingerBand_Period,BollingerBand_Deviation,0,PRICE_CLOSE,MODE_UPPER,BarShiftD1+1);   
   BBLowM1_Prev=iBands(NULL,PERIOD_M1,BollingerBand_Period,BollingerBand_Deviation,0,PRICE_CLOSE,MODE_LOWER,BarShiftM1+1);
   BBLowM5_Prev=iBands(NULL,PERIOD_M5,BollingerBand_Period,BollingerBand_Deviation,0,PRICE_CLOSE,MODE_LOWER,BarShiftM5+1);
   BBLowM15_Prev=iBands(NULL,PERIOD_M15,BollingerBand_Period,BollingerBand_Deviation,0,PRICE_CLOSE,MODE_LOWER,BarShiftM15+1);
   BBLowM30_Prev=iBands(NULL,PERIOD_M30,BollingerBand_Period,BollingerBand_Deviation,0,PRICE_CLOSE,MODE_LOWER,BarShiftM30+1);
   BBLowH1_Prev=iBands(NULL,PERIOD_H1,BollingerBand_Period,BollingerBand_Deviation,0,PRICE_CLOSE,MODE_LOWER,BarShiftH1+1);
   BBLowH4_Prev=iBands(NULL,PERIOD_H4,BollingerBand_Period,BollingerBand_Deviation,0,PRICE_CLOSE,MODE_LOWER,BarShiftH4+1);
   BBLowD1_Prev=iBands(NULL,PERIOD_D1,BollingerBand_Period,BollingerBand_Deviation,0,PRICE_CLOSE,MODE_LOWER,BarShiftD1+1);
   
   int BBPercent_M1= NormalizeDouble(((iClose(NULL,PERIOD_M1,BarShiftM1)-BBLowM1)/(BBHighM1-BBLowM1))*100,0); 
   int BBPercent_M5= NormalizeDouble(((iClose(NULL,PERIOD_M5,BarShiftM5)-BBLowM5)/(BBHighM5-BBLowM5))*100,0);   
   int BBPercent_M15= NormalizeDouble(((iClose(NULL,PERIOD_M15,BarShiftM15)-BBLowM15)/(BBHighM15-BBLowM15))*100,0); 
   int BBPercent_M30= NormalizeDouble(((iClose(NULL,PERIOD_M30,BarShiftM30)-BBLowM30)/(BBHighM30-BBLowM30))*100,0); 
   int BBPercent_H1= NormalizeDouble(((iClose(NULL,PERIOD_H1,BarShiftH1)-BBLowH1)/(BBHighH1-BBLowH1))*100,0); 
   int BBPercent_H4= NormalizeDouble(((iClose(NULL,PERIOD_H4,BarShiftH4)-BBLowH4)/(BBHighH4-BBLowH4))*100,0); 
   int BBPercent_D1= NormalizeDouble(((iClose(NULL,PERIOD_D1,BarShiftD1)-BBLowD1)/(BBHighD1-BBLowD1))*100,0); 
   
   // Analogue Bulls/Bears Meter -------------------------------------------------------------------------------+
   double BearsPercent,BullsPercent;
   double BullBar0,BullBar1,BullBar2,BullBar3,BullBar4,BullBar5,BullBar6,BearBar0,BearBar1,BearBar2,BearBar3,BearBar4,BearBar5,BearBar6;
   
      
   if (Volume[BarShift+6]<3) //Prevent Zero Divide error
    {
    BullBar6 = 0; 
    }
   if(Volume[BarShift+6]>=3) 
    {
    BullBar6 = ((((Close[BarShift+6]-Low[BarShift+6])+(High[BarShift+6]-Open[BarShift+6]))/2)*100)/(High[BarShift+6]-Low[BarShift+6]);  
    }
    
   if (Volume[BarShift+5]<3) //Prevent Zero Divide error
    {
    BullBar5 = BullBar6; 
    }
   if(Volume[BarShift+5]>=3) 
    {
    BullBar5 = ((((Close[BarShift+5]-Low[BarShift+5])+(High[BarShift+5]-Open[BarShift+5]))/2)*100)/(High[BarShift+5]-Low[BarShift+5]);  
    }
  
   if (Volume[BarShift+4]<3) //Prevent Zero Divide error
    {
    BullBar4 = BullBar5; 
    }
   if(Volume[BarShift+4]>=3)
    {
    BullBar4 = ((((Close[BarShift+4]-Low[BarShift+4])+(High[BarShift+4]-Open[BarShift+4]))/2)*100)/(High[BarShift+4]-Low[BarShift+4]);  
    } 
    
   if (Volume[BarShift+3]<3) //Prevent Zero Divide error
    {
    BullBar3 = BullBar4; 
    }
   if(Volume[BarShift+3]>=3) 
    {
    BullBar3 = ((((Close[BarShift+3]-Low[BarShift+3])+(High[BarShift+3]-Open[BarShift+3]))/2)*100)/(High[BarShift+3]-Low[BarShift+3]);  
    } 
   
   if (Volume[BarShift+2]<3) //Prevent Zero Divide error
    {
    BullBar2 = BullBar3; 
    }
   if(Volume[BarShift+2]>=3) 
    {
    BullBar2 = ((((Close[BarShift+2]-Low[BarShift+2])+(High[BarShift+2]-Open[BarShift+2]))/2)*100)/(High[BarShift+2]-Low[BarShift+2]);  
    } 
   
   if (Volume[BarShift+1]<3) //Prevent Zero Divide error
    {
    BullBar1 = BullBar2; 
    }
   if(Volume[BarShift+1]>=3) 
    {
    BullBar1 = ((((Close[BarShift+1]-Low[BarShift+1])+(High[BarShift+1]-Open[BarShift+1]))/2)*100)/(High[BarShift+1]-Low[BarShift+1]);  
    }
       
   if (Volume[BarShift]<3) //Prevent Zero Divide error
    {
    BullBar0 = BullBar1; 
    }
   if(Volume[BarShift]>=3) 
    {
    BullBar0 = ((((Close[BarShift]-Low[BarShift])+(High[BarShift]-Open[BarShift]))/2)*100)/(High[BarShift]-Low[BarShift]); 
    }
   //------------------------------------------------+  
   if (Volume[BarShift+6]<3) //Prevent Zero Divide error
    {
    BearBar6 = 0;
    }
   if(Volume[BarShift+6]>=3) 
    {
    BearBar6 = ((((High[BarShift+6]-Close[BarShift+6])+(Open[BarShift+6]-Low[BarShift+6]))/2)*100)/(High[BarShift+6]-Low[BarShift+6]);
    }    
   
   if (Volume[BarShift+5]<3) //Prevent Zero Divide error
    {
    BearBar5 = BearBar6;
    }
   if(Volume[BarShift+5]>=3)
    {
    BearBar5 = ((((High[BarShift+5]-Close[BarShift+5])+(Open[BarShift+5]-Low[BarShift+5]))/2)*100)/(High[BarShift+5]-Low[BarShift+5]);
    }    
 
   if (Volume[BarShift+4]<3) //Prevent Zero Divide error
    {
    BearBar4 = BearBar5;
    }
   if(Volume[BarShift+4]>=3)
    {
    BearBar4 = ((((High[BarShift+4]-Close[BarShift+4])+(Open[BarShift+4]-Low[BarShift+4]))/2)*100)/(High[BarShift+4]-Low[BarShift+4]);
    }   
     
   if (Volume[BarShift+3]<3) //Prevent Zero Divide error
    {
    BearBar3 = BearBar4;
    }
   if(Volume[BarShift+3]>=3)
    {
    BearBar3 = ((((High[BarShift+3]-Close[BarShift+3])+(Open[BarShift+3]-Low[BarShift+3]))/2)*100)/(High[BarShift+3]-Low[BarShift+3]);
    }
   
   if (Volume[BarShift+2]<3) //Prevent Zero Divide error
    {
    BearBar2 = BearBar3;
    }
   if(Volume[BarShift+2]>=3) 
    {
    BearBar2 = ((((High[BarShift+2]-Close[BarShift+2])+(Open[BarShift+2]-Low[BarShift+2]))/2)*100)/(High[BarShift+2]-Low[BarShift+2]);
    } 
     
   if (Volume[BarShift+1]<3) //Prevent Zero Divide error
    {
    BearBar1 = BearBar2;
    }
   if(Volume[BarShift+1]>=3) 
    {
    BearBar1 = ((((High[BarShift+1]-Close[BarShift+1])+(Open[BarShift+1]-Low[BarShift+1]))/2)*100)/(High[BarShift+1]-Low[BarShift+1]);
    } 
                 
   if (Volume[BarShift]<3) //Prevent Zero Divide error
    {
    BearBar0 = BearBar1;
    }
   if(Volume[BarShift]>=3) 
    {
    BearBar0 = ((((High[BarShift]-Close[BarShift])+(Open[BarShift]-Low[BarShift]))/2)*100)/(High[BarShift]-Low[BarShift]);
    } 
   //------------------------------------------------+  
  if (BarsToAverage==1 || BarsToAverage==0) 
   {
    if (Volume[BarShift]<3) //Prevent Zero Divide error
    {
    BearsPercent=BearBar1; 
    BullsPercent=BullBar1; 
    }
    if(Volume[BarShift]>=3) 
    {
    BearsPercent=BearBar0; 
    BullsPercent=BullBar0;  
    }
   }
  if (BarsToAverage==2) 
    {
      if (Volume[BarShift]<3) //Prevent Zero Divide error
      {
      BearsPercent=BearBar1; 
      BullsPercent=BullBar1;  
      }
      if(Volume[BarShift]>=3) 
      {
      BearsPercent=(BearBar0+BearBar1)/2; 
      BullsPercent=(BullBar0+BullBar1)/2;  
      }
    }  
  if (BarsToAverage==3) 
    {
      if (Volume[BarShift]<3) //Prevent Zero Divide error
      {
      BearsPercent=(BearBar1+BearBar2)/2; 
      BullsPercent=(BullBar1+BullBar2)/2; 
      }
      if(Volume[BarShift]>=3) 
      {
      BearsPercent=(BearBar0+BearBar1+BearBar2)/3; 
      BullsPercent=(BullBar0+BullBar1+BullBar2)/3;  
      }
    }     
  if (BarsToAverage==4) 
    {
      if (Volume[BarShift]<3) //Prevent Zero Divide error
      {
      BearsPercent=(BearBar1+BearBar2+BearBar3)/3; 
      BullsPercent=(BullBar1+BullBar2+BullBar3)/3; 
      }
      if(Volume[BarShift]>=3)
      {
      BearsPercent=(BearBar0+BearBar1+BearBar2+BearBar3)/4; 
      BullsPercent=(BullBar0+BullBar1+BullBar2+BullBar3)/4;  
      }
    }      
   if (BarsToAverage>=5) 
    {
      if (Volume[BarShift]<3) //Prevent Zero Divide error
      {
      BearsPercent=(BearBar1+BearBar2+BearBar3+BearBar4)/4; 
      BullsPercent=(BullBar1+BullBar2+BullBar3+BullBar4)/4; 
      }
      if(Volume[BarShift]>=3)
      {
      BearsPercent=(BearBar0+BearBar1+BearBar2+BearBar3+BearBar4)/5; 
      BullsPercent=(BullBar0+BullBar1+BullBar2+BullBar3+BullBar4)/5;  
      }
    }      
  
   //BearsPercent=((((High[Highest(NULL,0,MODE_HIGH,BarsToAverage+BarShift,BarShift)]-Close[BarShift])+(Open[BarsToAverage+BarShift]-Low[Lowest(NULL,0,MODE_LOW,BarsToAverage+BarShift,BarShift)]))/2)*100)/(High[Highest(NULL,0,MODE_HIGH,BarsToAverage+BarShift,BarShift)]-Low[Lowest(NULL,0,MODE_LOW,BarsToAverage+BarShift,BarShift)]); 
   //BullsPercent=((((Close[BarShift]-Low[Lowest(NULL,0,MODE_LOW,BarsToAverage+BarShift,BarShift)])+(High[Highest(NULL,0,MODE_HIGH,BarsToAverage+BarShift,BarShift)]-Open[BarsToAverage+BarShift]))/2)*100)/(High[Highest(NULL,0,MODE_HIGH,BarsToAverage+BarShift,BarShift)]-Low[Lowest(NULL,0,MODE_LOW,BarsToAverage+BarShift,BarShift)]);  

   // Current Signals ------------------------------------------------------------------------------+
   if (Include_MAXover) {SignalBuy_MAXover = MAXoverSignal==1; SignalSell_MAXover = MAXoverSignal==0;}
   if (Include_MACD) {SignalBuy_MACD = (MACD==3 || MACD==0); SignalSell_MACD = (MACD==1 || MACD==2);}
   if (Include_PSAR) {SignalBuy_PSAR = PSARCurrent<Close[BarShift+0]; SignalSell_PSAR = PSARCurrent>Close[BarShift+0];}
   if (Include_MA) {SignalBuy_MA = MACurrent>MAPrevious; SignalSell_MA = MACurrent<MAPrevious;}
   if (Include_STOCH) {SignalBuy_STOCH = StochK>StochKprev; SignalSell_STOCH = StochK<StochKprev;} 
   if (Include_WPR) {SignalBuy_WPR = WPR>-50; SignalSell_WPR = WPR<-50;}
   if (Include_PriceDirection) {SignalBuy_Price = Close[BarShift+0]>Close[BarShift+1]; SignalSell_Price = Close[BarShift+0]<Close[BarShift+1];}
   // Multi Signals -------------
   if (Include_M1_MA) {M1Buy = MAM1>MAM1prev; M1Sell = MAM1<MAM1prev;}
   if (Include_M5_MA) {M5Buy = MAM5>MAM5prev; M5Sell = MAM5<MAM5prev;}
   if (Include_M15_MA) {M15Buy = MAM15>MAM15prev; M15Sell = MAM15<MAM15prev;}
   if (Include_M30_MA) {M30Buy = MAM30>MAM30prev; M30Sell = MAM30<MAM30prev;}
   if (Include_H1_MA) {H1Buy = MAH1>MAH1prev; H1Sell = MAH1<MAH1prev;} 
   if (Include_H4_MA) {H4Buy = MAH4>MAH4prev; H4Sell = MAH4<MAH4prev;}
   if (Include_D1_MA) {D1Buy = MAD1>MAD1prev; D1Sell = MAD1<MAD1prev;}   
   
   if (!Include_MAXover) {SignalBuy_MAXover = true; SignalSell_MAXover = true;}
   if (!Include_MACD) {SignalBuy_MACD = true; SignalSell_MACD = true;}
   if (!Include_PSAR) {SignalBuy_PSAR = true; SignalSell_PSAR = true;}
   if (!Include_MA) {SignalBuy_MA = true; SignalSell_MA = true;}
   if (!Include_STOCH) {SignalBuy_STOCH = true; SignalSell_STOCH = true;} 
   if (!Include_WPR) {SignalBuy_WPR = true; SignalSell_WPR = true;}
   if (!Include_PriceDirection) {SignalBuy_Price = true; SignalSell_Price = true;} 
   
   if (!Include_M1_MA) {M1Buy = true; M1Sell = true;}
   if (!Include_M5_MA) {M5Buy = true; M5Sell = true;}
   if (!Include_M15_MA) {M15Buy = true; M15Sell = true;}
   if (!Include_M30_MA) {M30Buy = true; M30Sell = true;}
   if (!Include_H1_MA) {H1Buy = true; H1Sell = true;} 
   if (!Include_H4_MA) {H4Buy = true; H4Sell = true;}
   if (!Include_D1_MA) {D1Buy = true; D1Sell = true;}   

   
    //Signal Sell  ------------------------ 
    if (SignalSell_MACD && SignalSell_MAXover && SignalSell_WPR && SignalSell_MA && SignalSell_STOCH && SignalSell_Price && SignalSell_PSAR && M1Sell && M5Sell && M15Sell && M30Sell && H1Sell && H4Sell && D1Sell)
     {
     Signal = 1;
         if (UseAlerts == true && AlertStatus==0 && HLineTime >= Time[0]) 
         {
            Alert("SELL Signal at Ask=",Ask,"\n Bid=",Bid);
            AlertStatus=1;
         }
     }    
    
    //Signal Buy  ------------------------  
    if (SignalBuy_MACD && SignalBuy_MAXover && SignalBuy_WPR && SignalBuy_MA && SignalBuy_STOCH && SignalBuy_Price && SignalBuy_PSAR && M1Buy && M5Buy && M15Buy && M30Buy && H1Buy && H4Buy && D1Buy)
     {
     Signal = 2;
         if (UseAlerts == true && AlertStatus==0 && HLineTime >= Time[0]) 
         {
            Alert("BUY Signal at Ask=",Ask,"\n Bid=",Bid);
            AlertStatus=2;
         }
     }       
     
    if (Signal == 0 && UseAlerts == true && (AlertStatus==1 || AlertStatus==2) && HLineTime >= Time[0]) 
      {
        AlertStatus=0;
      }

   //--------------------------------------       
   objectBlank();
   paintCasing(); 
   paintVUMeter();
   paintBearsNeedle(BearsPercent);
   paintBullsNeedle(BullsPercent);
   paintCentreNeedle(BearsPercent);
   paintBearsPercent(BearsPercent);
   paintBullsPercent(BullsPercent);
   paintM1(M1stochK);
   paintM5(M5stochK);
   paintM15(M15stochK);
   paintM30(M30stochK);
   paintH1(H1stochK);
   paintH4(H4stochK);
   paintD1(D1stochK);
   paintLine();
   paintMA_M1(trendM1);
   paintMA_M5(trendM5);
   paintMA_M15(trendM15);
   paintMA_M30(trendM30);
   paintMA_H1(trendH1);
   paintMA_H4(trendH4);
   paintMA_D1(trendD1);
   paint2Line();
   paintWPRUp(WPRValueUp);
   paintWPRDown(WPRValueDown);
   paintWPRValue(WPR); 
   paintSpread(Spread);
   paintSpreadLines();
   paintPSAR(PSAR);
   paintMAXover(MAXoverSignal);
   paintMACD(MACD);
   paintBars();
   paintBarValue1(Bar1percent);
   paintBarValue2(Bar2percent);
   paintBarValue3(Bar3percent);
   paintBarValue4(Bar4percent);
   paintBarValue5(Bar5percent);
   paintBar1(Bar1Col);
   paintBar2(Bar2Col);
   paintBar3(Bar3Col);
   paintBar4(Bar4Col);
   paintBar5(Bar5Col);
   paintBarReading(BarReading);
   paintSignal(Signal); 
   if (DisplayTrendGraph  && !DisplayCompact)
   {
   paintTrendGraph();
   paintTGMA1M1(TGMA1M1Signal);
   paintTGMA1M5(TGMA1M5Signal);
   paintTGMA1M15(TGMA1M15Signal);
   paintTGMA1M30(TGMA1M30Signal);
   paintTGMA1H1(TGMA1H1Signal);
   paintTGMA1H4(TGMA1H4Signal);
   paintTGMA1D1(TGMA1D1Signal);
   paintTGMA2M1(TGMA2M1Signal);
   paintTGMA2M5(TGMA2M5Signal);
   paintTGMA2M15(TGMA2M15Signal);
   paintTGMA2M30(TGMA2M30Signal);
   paintTGMA2H1(TGMA2H1Signal);
   paintTGMA2H4(TGMA2H4Signal);
   paintTGMA2D1(TGMA2D1Signal);
   paintTGMA3M1(TGMA3M1Signal);
   paintTGMA3M5(TGMA3M5Signal);
   paintTGMA3M15(TGMA3M15Signal);
   paintTGMA3M30(TGMA3M30Signal);
   paintTGMA3H1(TGMA3H1Signal);
   paintTGMA3H4(TGMA3H4Signal);
   paintTGMA3D1(TGMA3D1Signal);
   paintTGMA4M1(TGMA4M1Signal);
   paintTGMA4M5(TGMA4M5Signal);
   paintTGMA4M15(TGMA4M15Signal);
   paintTGMA4M30(TGMA4M30Signal);
   paintTGMA4H1(TGMA4H1Signal);
   paintTGMA4H4(TGMA4H4Signal);
   paintTGMA4D1(TGMA4D1Signal);
   paintTGMA5M1(TGMA5M1Signal);
   paintTGMA5M5(TGMA5M5Signal);
   paintTGMA5M15(TGMA5M15Signal);
   paintTGMA5M30(TGMA5M30Signal);
   paintTGMA5H1(TGMA5H1Signal);
   paintTGMA5H4(TGMA5H4Signal);
   paintTGMA5D1(TGMA5D1Signal);
   paintTGMA6M1(TGMA6M1Signal);
   paintTGMA6M5(TGMA6M5Signal);
   paintTGMA6M15(TGMA6M15Signal);
   paintTGMA6M30(TGMA6M30Signal);
   paintTGMA6H1(TGMA6H1Signal);
   paintTGMA6H4(TGMA6H4Signal);
   paintTGMA6D1(TGMA6D1Signal);
   paintTGMA7M1(TGMA7M1Signal);
   paintTGMA7M5(TGMA7M5Signal);
   paintTGMA7M15(TGMA7M15Signal);
   paintTGMA7M30(TGMA7M30Signal);
   paintTGMA7H1(TGMA7H1Signal);
   paintTGMA7H4(TGMA7H4Signal);
   paintTGMA7D1(TGMA7D1Signal);                  
   }
   if (!DisplayTrendGraph && !DisplayCompact)
   {
   paintBBGraph();
   paintBBM1(BBPercent_M1);
   paintBBM5(BBPercent_M5);
   paintBBM15(BBPercent_M15);
   paintBBM30(BBPercent_M30);
   paintBBH1(BBPercent_H1);
   paintBBH4(BBPercent_H4);
   paintBBD1(BBPercent_D1);      
   }
   paintCurrentPrice(BarShift);                                                                     
  }
//-------------+  
void initGraph() 
  {
   ObjectsDeleteAll(0,OBJ_LABEL);

   int GraphShift,WPRShift;
   if (DisplayCompact){GraphShift=-156; WPRShift=-35;} else {GraphShift=0; WPRShift=0;}

// Casing---------------+
   if (!DisplayCompact)
   {
   a1Object("Z111",PositionX+MultiMeter_Horiz-19+10,PositionY+MultiMeter_Vert-25+10);
   a3Object("Z113",PositionX+MultiMeter_Horiz-19+10,PositionY+MultiMeter_Vert-25+10);
   a4Object("Z114",PositionX+MultiMeter_Horiz-19+10,PositionY+MultiMeter_Vert-25+10);
   a5Object("Z115",PositionX+MultiMeter_Horiz-19+16,PositionY+MultiMeter_Vert-25+10);
   a6Object("Z116",PositionX+MultiMeter_Horiz-19+3,PositionY+MultiMeter_Vert-25+10);
   a7Object("Z117",PositionX+MultiMeter_Horiz-19+11,PositionY+MultiMeter_Vert-25+11);
   a8Object("Z118",PositionX+MultiMeter_Horiz-19+9,PositionY+MultiMeter_Vert-25+9);
   }
   //-------------------+
    if (DisplayCompact)
   {a9Object("Z119",PositionX+MultiMeter_Horiz-19+10,PositionY+MultiMeter_Vert-25+10);
   a11Object("Z121",PositionX+MultiMeter_Horiz-19+10,PositionY+MultiMeter_Vert-25+10);
   a12Object("Z122",PositionX+MultiMeter_Horiz-19+10,PositionY+MultiMeter_Vert-25+10);
   a13Object("Z123",PositionX+MultiMeter_Horiz-19+3,PositionY+MultiMeter_Vert-25+10);
   a14Object("Z124",PositionX+MultiMeter_Horiz-19+16,PositionY+MultiMeter_Vert-25+10);
   a15Object("Z125",PositionX+MultiMeter_Horiz-19+11,PositionY+MultiMeter_Vert-25+11);
   a16Object("Z126",PositionX+MultiMeter_Horiz-19+9,PositionY+MultiMeter_Vert-25+9);
   }

// Stochastic Graphs -------------------------------------------+
   objectCreate("ZM_1_90",PositionX+MultiMeter_Horiz+130,PositionY+MultiMeter_Vert+91);
   objectCreate("ZM_1_80",PositionX+MultiMeter_Horiz+130,PositionY+MultiMeter_Vert+83);
   objectCreate("ZM_1_70",PositionX+MultiMeter_Horiz+130,PositionY+MultiMeter_Vert+75);
   objectCreate("ZM_1_60",PositionX+MultiMeter_Horiz+130,PositionY+MultiMeter_Vert+67);
   objectCreate("ZM_1_50",PositionX+MultiMeter_Horiz+130,PositionY+MultiMeter_Vert+59);  
   objectCreate("ZM_1_40",PositionX+MultiMeter_Horiz+130,PositionY+MultiMeter_Vert+51);
   objectCreate("ZM_1_30",PositionX+MultiMeter_Horiz+130,PositionY+MultiMeter_Vert+43);
   objectCreate("ZM_1_20",PositionX+MultiMeter_Horiz+130,PositionY+MultiMeter_Vert+35);
   objectCreate("ZM_1_10",PositionX+MultiMeter_Horiz+130,PositionY+MultiMeter_Vert+27);
   objectCreate("ZM_1_0",PositionX+MultiMeter_Horiz+130,PositionY+MultiMeter_Vert+19);
   objectCreate("ZM_1",PositionX+MultiMeter_Horiz+135,PositionY+MultiMeter_Vert+20,"M1",7,"Arial Narrow",SkyBlue);
   objectCreate("ZM_1p",PositionX+MultiMeter_Horiz+134,PositionY+MultiMeter_Vert+29,DoubleToStr(9,1),8,"Arial Narrow",Silver);
   
   objectCreate("ZM_5_90",PositionX+MultiMeter_Horiz+110,PositionY+MultiMeter_Vert+91);
   objectCreate("ZM_5_80",PositionX+MultiMeter_Horiz+110,PositionY+MultiMeter_Vert+83);
   objectCreate("ZM_5_70",PositionX+MultiMeter_Horiz+110,PositionY+MultiMeter_Vert+75);
   objectCreate("ZM_5_60",PositionX+MultiMeter_Horiz+110,PositionY+MultiMeter_Vert+67);
   objectCreate("ZM_5_50",PositionX+MultiMeter_Horiz+110,PositionY+MultiMeter_Vert+59);  
   objectCreate("ZM_5_40",PositionX+MultiMeter_Horiz+110,PositionY+MultiMeter_Vert+51);
   objectCreate("ZM_5_30",PositionX+MultiMeter_Horiz+110,PositionY+MultiMeter_Vert+43);
   objectCreate("ZM_5_20",PositionX+MultiMeter_Horiz+110,PositionY+MultiMeter_Vert+35);
   objectCreate("ZM_5_10",PositionX+MultiMeter_Horiz+110,PositionY+MultiMeter_Vert+27);
   objectCreate("ZM_5_0",PositionX+MultiMeter_Horiz+110,PositionY+MultiMeter_Vert+19);
   objectCreate("ZM_5",PositionX+MultiMeter_Horiz+115,PositionY+MultiMeter_Vert+20,"M5",7,"Arial Narrow",SkyBlue);
   objectCreate("ZM_5p",PositionX+MultiMeter_Horiz+114,PositionY+MultiMeter_Vert+29,DoubleToStr(9,1),8,"Arial Narrow",Silver);
   
   objectCreate("ZM_15_90",PositionX+MultiMeter_Horiz+90,PositionY+MultiMeter_Vert+91);
   objectCreate("ZM_15_80",PositionX+MultiMeter_Horiz+90,PositionY+MultiMeter_Vert+83);
   objectCreate("ZM_15_70",PositionX+MultiMeter_Horiz+90,PositionY+MultiMeter_Vert+75);
   objectCreate("ZM_15_60",PositionX+MultiMeter_Horiz+90,PositionY+MultiMeter_Vert+67);
   objectCreate("ZM_15_50",PositionX+MultiMeter_Horiz+90,PositionY+MultiMeter_Vert+59);  
   objectCreate("ZM_15_40",PositionX+MultiMeter_Horiz+90,PositionY+MultiMeter_Vert+51);
   objectCreate("ZM_15_30",PositionX+MultiMeter_Horiz+90,PositionY+MultiMeter_Vert+43);
   objectCreate("ZM_15_20",PositionX+MultiMeter_Horiz+90,PositionY+MultiMeter_Vert+35);
   objectCreate("ZM_15_10",PositionX+MultiMeter_Horiz+90,PositionY+MultiMeter_Vert+27);
   objectCreate("ZM_15_0",PositionX+MultiMeter_Horiz+90,PositionY+MultiMeter_Vert+19);
   objectCreate("ZM_15",PositionX+MultiMeter_Horiz+93,PositionY+MultiMeter_Vert+20,"M15",7,"Arial Narrow",SkyBlue);
   objectCreate("ZM_15p",PositionX+MultiMeter_Horiz+94,PositionY+MultiMeter_Vert+29,DoubleToStr(9,1),8,"Arial Narrow",Silver);
   
   objectCreate("ZM_30_90",PositionX+MultiMeter_Horiz+70,PositionY+MultiMeter_Vert+91);
   objectCreate("ZM_30_80",PositionX+MultiMeter_Horiz+70,PositionY+MultiMeter_Vert+83);
   objectCreate("ZM_30_70",PositionX+MultiMeter_Horiz+70,PositionY+MultiMeter_Vert+75);
   objectCreate("ZM_30_60",PositionX+MultiMeter_Horiz+70,PositionY+MultiMeter_Vert+67);
   objectCreate("ZM_30_50",PositionX+MultiMeter_Horiz+70,PositionY+MultiMeter_Vert+59);  
   objectCreate("ZM_30_40",PositionX+MultiMeter_Horiz+70,PositionY+MultiMeter_Vert+51);
   objectCreate("ZM_30_30",PositionX+MultiMeter_Horiz+70,PositionY+MultiMeter_Vert+43);
   objectCreate("ZM_30_20",PositionX+MultiMeter_Horiz+70,PositionY+MultiMeter_Vert+35);
   objectCreate("ZM_30_10",PositionX+MultiMeter_Horiz+70,PositionY+MultiMeter_Vert+27);
   objectCreate("ZM_30_0",PositionX+MultiMeter_Horiz+70,PositionY+MultiMeter_Vert+19);
   objectCreate("ZM_30",PositionX+MultiMeter_Horiz+73,PositionY+MultiMeter_Vert+20,"M30",7,"Arial Narrow",SkyBlue);
   objectCreate("ZM_30p",PositionX+MultiMeter_Horiz+74,PositionY+MultiMeter_Vert+29,DoubleToStr(9,1),8,"Arial Narrow",Silver);

   objectCreate("ZH_1_90",PositionX+MultiMeter_Horiz+50,PositionY+MultiMeter_Vert+91);
   objectCreate("ZH_1_80",PositionX+MultiMeter_Horiz+50,PositionY+MultiMeter_Vert+83);
   objectCreate("ZH_1_70",PositionX+MultiMeter_Horiz+50,PositionY+MultiMeter_Vert+75);
   objectCreate("ZH_1_60",PositionX+MultiMeter_Horiz+50,PositionY+MultiMeter_Vert+67);
   objectCreate("ZH_1_50",PositionX+MultiMeter_Horiz+50,PositionY+MultiMeter_Vert+59);  
   objectCreate("ZH_1_40",PositionX+MultiMeter_Horiz+50,PositionY+MultiMeter_Vert+51);
   objectCreate("ZH_1_30",PositionX+MultiMeter_Horiz+50,PositionY+MultiMeter_Vert+43);
   objectCreate("ZH_1_20",PositionX+MultiMeter_Horiz+50,PositionY+MultiMeter_Vert+35);
   objectCreate("ZH_1_10",PositionX+MultiMeter_Horiz+50,PositionY+MultiMeter_Vert+27);
   objectCreate("ZH_1_0",PositionX+MultiMeter_Horiz+50,PositionY+MultiMeter_Vert+19);
   objectCreate("ZH_1",PositionX+MultiMeter_Horiz+54,PositionY+MultiMeter_Vert+20,"H1",7,"Arial Narrow",SkyBlue);
   objectCreate("ZH_1p",PositionX+MultiMeter_Horiz+54,PositionY+MultiMeter_Vert+29,DoubleToStr(9,1),8,"Arial Narrow",Silver);
   
   objectCreate("ZH_4_90",PositionX+MultiMeter_Horiz+30,PositionY+MultiMeter_Vert+91);
   objectCreate("ZH_4_80",PositionX+MultiMeter_Horiz+30,PositionY+MultiMeter_Vert+83);
   objectCreate("ZH_4_70",PositionX+MultiMeter_Horiz+30,PositionY+MultiMeter_Vert+75);
   objectCreate("ZH_4_60",PositionX+MultiMeter_Horiz+30,PositionY+MultiMeter_Vert+67);
   objectCreate("ZH_4_50",PositionX+MultiMeter_Horiz+30,PositionY+MultiMeter_Vert+59);  
   objectCreate("ZH_4_40",PositionX+MultiMeter_Horiz+30,PositionY+MultiMeter_Vert+51);
   objectCreate("ZH_4_30",PositionX+MultiMeter_Horiz+30,PositionY+MultiMeter_Vert+43);
   objectCreate("ZH_4_20",PositionX+MultiMeter_Horiz+30,PositionY+MultiMeter_Vert+35);
   objectCreate("ZH_4_10",PositionX+MultiMeter_Horiz+30,PositionY+MultiMeter_Vert+27);
   objectCreate("ZH_4_0",PositionX+MultiMeter_Horiz+30,PositionY+MultiMeter_Vert+19);
   objectCreate("ZH_4",PositionX+MultiMeter_Horiz+34,PositionY+MultiMeter_Vert+20,"H4",7,"Arial Narrow",SkyBlue);
   objectCreate("ZH_4p",PositionX+MultiMeter_Horiz+34,PositionY+MultiMeter_Vert+29,DoubleToStr(9,1),8,"Arial Narrow",Silver);

   objectCreate("ZD_1_90",PositionX+MultiMeter_Horiz+10,PositionY+MultiMeter_Vert+91);
   objectCreate("ZD_1_80",PositionX+MultiMeter_Horiz+10,PositionY+MultiMeter_Vert+83);
   objectCreate("ZD_1_70",PositionX+MultiMeter_Horiz+10,PositionY+MultiMeter_Vert+75);
   objectCreate("ZD_1_60",PositionX+MultiMeter_Horiz+10,PositionY+MultiMeter_Vert+67);
   objectCreate("ZD_1_50",PositionX+MultiMeter_Horiz+10,PositionY+MultiMeter_Vert+59);  
   objectCreate("ZD_1_40",PositionX+MultiMeter_Horiz+10,PositionY+MultiMeter_Vert+51);
   objectCreate("ZD_1_30",PositionX+MultiMeter_Horiz+10,PositionY+MultiMeter_Vert+43);
   objectCreate("ZD_1_20",PositionX+MultiMeter_Horiz+10,PositionY+MultiMeter_Vert+35);
   objectCreate("ZD_1_10",PositionX+MultiMeter_Horiz+10,PositionY+MultiMeter_Vert+27);
   objectCreate("ZD_1_0",PositionX+MultiMeter_Horiz+10,PositionY+MultiMeter_Vert+19);
   objectCreate("ZD_1",PositionX+MultiMeter_Horiz+15,PositionY+MultiMeter_Vert+20,"D1",7,"Arial Narrow",SkyBlue);
   objectCreate("ZD_1p",PositionX+MultiMeter_Horiz+14,PositionY+MultiMeter_Vert+29,DoubleToStr(9,1),8,"Arial Narrow",Silver);
   
   objectCreate("Zline",PositionX+MultiMeter_Horiz+10,PositionY+MultiMeter_Vert+20,"____________________",10,"Arial",DimGray);  
   objectCreate("Zline1",PositionX+MultiMeter_Horiz+10,PositionY+MultiMeter_Vert+41,"____________________",10,"Arial",DimGray);  
   objectCreate("Zline2",PositionX+MultiMeter_Horiz+10,PositionY+MultiMeter_Vert+123,"____________________",10,"Arial",DimGray);
   objectCreate("Zsign",PositionX+MultiMeter_Horiz+22,PositionY+MultiMeter_Vert+5,"Stochastic Oscillators",10,"Times",DimGray);
   
   // MA Graphs -------------------------------------------------------------------------------
   objectCreate("Z2M_1_MA",PositionX+MultiMeter_Horiz+130,PositionY+MultiMeter_Vert+137);
   objectCreate("Z2M_5_MA",PositionX+MultiMeter_Horiz+110,PositionY+MultiMeter_Vert+137);
   objectCreate("Z2M_15_MA",PositionX+MultiMeter_Horiz+90,PositionY+MultiMeter_Vert+137);
   objectCreate("Z2M_30_MA",PositionX+MultiMeter_Horiz+70,PositionY+MultiMeter_Vert+137);
   objectCreate("Z2H_1_MA",PositionX+MultiMeter_Horiz+50,PositionY+MultiMeter_Vert+137);
   objectCreate("Z2H_4_MA",PositionX+MultiMeter_Horiz+30,PositionY+MultiMeter_Vert+137);
   objectCreate("Z2D_1_MA",PositionX+MultiMeter_Horiz+10,PositionY+MultiMeter_Vert+137);   
   
   objectCreate("Z2M_1",PositionX+MultiMeter_Horiz+135,PositionY+MultiMeter_Vert+147,"M1",7,"Arial Narrow",SkyBlue);
   objectCreate("Z2M_5",PositionX+MultiMeter_Horiz+115,PositionY+MultiMeter_Vert+147,"M5",7,"Arial Narrow",SkyBlue);
   objectCreate("Z2M_15",PositionX+MultiMeter_Horiz+93,PositionY+MultiMeter_Vert+147,"M15",7,"Arial Narrow",SkyBlue);
   objectCreate("Z2M_30",PositionX+MultiMeter_Horiz+73,PositionY+MultiMeter_Vert+147,"M30",7,"Arial Narrow",SkyBlue);
   objectCreate("Z2H_1",PositionX+MultiMeter_Horiz+54,PositionY+MultiMeter_Vert+147,"H1",7,"Arial Narrow",SkyBlue);
   objectCreate("Z2H_4",PositionX+MultiMeter_Horiz+34,PositionY+MultiMeter_Vert+147,"H4",7,"Arial Narrow",SkyBlue);
   objectCreate("Z2D_1",PositionX+MultiMeter_Horiz+15,PositionY+MultiMeter_Vert+147,"D1",7,"Arial Narrow",SkyBlue);
   
   objectCreate("Z2line",PositionX+MultiMeter_Horiz+10,PositionY+MultiMeter_Vert+147,"____________________",10,"Arial",DimGray);  
   objectCreate("Z2line1",PositionX+MultiMeter_Horiz+10,PositionY+MultiMeter_Vert+158,"____________________",10,"Arial",DimGray);  
   objectCreate("Z2line2",PositionX+MultiMeter_Horiz+10,PositionY+MultiMeter_Vert+170,"____________________",10,"Arial",DimGray);
   objectCreate("Z2sign",PositionX+MultiMeter_Horiz+16,PositionY+MultiMeter_Vert+132,"Moving Average Trend",10,"Times",DimGray);
   
   // MACD Graphs ----------------------------------------------------------------------------- 
   objectCreate("ZMACD_Value1",PositionX+MultiMeter_Horiz+MACD_Horiz+118,PositionY+MultiMeter_Vert+MACD_Vert+GraphShift+427,"p",20,"Wingdings 3",Lime);
   objectCreate("ZMACD_Value2",PositionX+MultiMeter_Horiz+MACD_Horiz+122,PositionY+MultiMeter_Vert+MACD_Vert+GraphShift+427,"X",20,"Arial",Red);
   objectCreate("ZMACD_Value3",PositionX+MultiMeter_Horiz+MACD_Horiz+118,PositionY+MultiMeter_Vert+MACD_Vert+GraphShift+427,"q",20,"Wingdings 3",Red);
   objectCreate("ZMACD_Value4",PositionX+MultiMeter_Horiz+MACD_Horiz+122,PositionY+MultiMeter_Vert+MACD_Vert+GraphShift+427,"X",20,"Arial",Lime);  
   objectCreate("ZMACD_Value5",PositionX+MultiMeter_Horiz+MACD_Horiz+122,PositionY+MultiMeter_Vert+MACD_Vert+GraphShift+427,"0",20,"Arial",Lime);  
   objectCreate("ZMACD_Value6",PositionX+MultiMeter_Horiz+MACD_Horiz+122,PositionY+MultiMeter_Vert+MACD_Vert+GraphShift+427,"0",20,"Arial",Red);  
   objectCreate("ZMACD_Chart",PositionX+MultiMeter_Horiz+MACD_Horiz+112,PositionY+MultiMeter_Vert+MACD_Vert+GraphShift+415,"CURRENT",7,"Arial Narrow",SkyBlue);   
   objectCreate("ZMACD_Line1",PositionX+MultiMeter_Horiz+MACD_Horiz+113,PositionY+MultiMeter_Vert+MACD_Vert+GraphShift+414,"_____",10,"Arial",DimGray);  
   objectCreate("ZMACD_Line2",PositionX+MultiMeter_Horiz+MACD_Horiz+113,PositionY+MultiMeter_Vert+MACD_Vert+GraphShift+427,"_____",10,"Arial",DimGray);  
   objectCreate("ZMACD_Title",PositionX+MultiMeter_Horiz+MACD_Horiz+111,PositionY+MultiMeter_Vert+MACD_Vert+GraphShift+399,"MACD",9,"Times",DimGray);
    
   // PSAR Graph ----------------------------------------------------------------------------- 
   objectCreate("ZPSAR_Value1",PositionX+MultiMeter_Horiz+PSAR_Horiz+118,PositionY+MultiMeter_Vert+PSAR_Vert+GraphShift+363,"p",20,"Wingdings 3",Lime);
   objectCreate("ZPSAR_Value2",PositionX+MultiMeter_Horiz+PSAR_Horiz+118,PositionY+MultiMeter_Vert+PSAR_Vert+GraphShift+363,"q",20,"Wingdings 3",Red);
   objectCreate("ZPSAR_Chart",PositionX+MultiMeter_Horiz+PSAR_Horiz+112,PositionY+MultiMeter_Vert+PSAR_Vert+GraphShift+350,"CURRENT",7,"Arial Narrow",SkyBlue);  
   objectCreate("ZPSAR_Line1",PositionX+MultiMeter_Horiz+PSAR_Horiz+113,PositionY+MultiMeter_Vert+PSAR_Vert+GraphShift+349,"_____",10,"Arial",DimGray);  
   objectCreate("ZPSAR_Line2",PositionX+MultiMeter_Horiz+PSAR_Horiz+113,PositionY+MultiMeter_Vert+PSAR_Vert+GraphShift+362,"_____",10,"Arial",DimGray);  
   objectCreate("ZPSAR_Title",PositionX+MultiMeter_Horiz+PSAR_Horiz+113,PositionY+MultiMeter_Vert+PSAR_Vert+GraphShift+334,"P-SAR",9,"Times",DimGray);
  
   // WPR Graph -----------------------------------------------------------------------------  
   objectCreate("ZWPRpercent",PositionX+MultiMeter_Horiz+WPR_Horiz+12,PositionY+MultiMeter_Vert+WPR_Vert+GraphShift+WPRShift+456,"%",8,"Arial",Silver);
   objectCreate("ZWPRValue",PositionX+MultiMeter_Horiz+WPR_Horiz+22,PositionY+MultiMeter_Vert+WPR_Vert+GraphShift+WPRShift+456,DoubleToStr(9,1),9,"Arial",Silver);
  
   object2Create("ZV+5",PositionX+MultiMeter_Horiz+WPR_Horiz+12,PositionY+MultiMeter_Vert+WPR_Vert+GraphShift+WPRShift+444); 
   object2Create("ZV+4",PositionX+MultiMeter_Horiz+WPR_Horiz+12,PositionY+MultiMeter_Vert+WPR_Vert+GraphShift+WPRShift+436); 
   object2Create("ZV+3",PositionX+MultiMeter_Horiz+WPR_Horiz+12,PositionY+MultiMeter_Vert+WPR_Vert+GraphShift+WPRShift+428); 
   object2Create("ZV+2",PositionX+MultiMeter_Horiz+WPR_Horiz+12,PositionY+MultiMeter_Vert+WPR_Vert+GraphShift+WPRShift+420); 
   object2Create("ZV+1",PositionX+MultiMeter_Horiz+WPR_Horiz+12,PositionY+MultiMeter_Vert+WPR_Vert+GraphShift+WPRShift+412);   
   object2Create("ZV=0",PositionX+MultiMeter_Horiz+WPR_Horiz+12,PositionY+MultiMeter_Vert+WPR_Vert+GraphShift+WPRShift+404); 
   object2Create("ZV-1",PositionX+MultiMeter_Horiz+WPR_Horiz+12,PositionY+MultiMeter_Vert+WPR_Vert+GraphShift+WPRShift+396); 
   object2Create("ZV-2",PositionX+MultiMeter_Horiz+WPR_Horiz+12,PositionY+MultiMeter_Vert+WPR_Vert+GraphShift+WPRShift+388); 
   object2Create("ZV-3",PositionX+MultiMeter_Horiz+WPR_Horiz+12,PositionY+MultiMeter_Vert+WPR_Vert+GraphShift+WPRShift+380); 
   object2Create("ZV-4",PositionX+MultiMeter_Horiz+WPR_Horiz+12,PositionY+MultiMeter_Vert+WPR_Vert+GraphShift+WPRShift+372); 
   object2Create("ZV-5",PositionX+MultiMeter_Horiz+WPR_Horiz+12,PositionY+MultiMeter_Vert+WPR_Vert+GraphShift+WPRShift+364); 
   
   objectCreate("ZVolumeChart",PositionX+MultiMeter_Horiz+WPR_Horiz+10,PositionY+MultiMeter_Vert+WPR_Vert+GraphShift+WPRShift+350,"CURRENT",7,"Arial Narrow",SkyBlue);
   objectCreate("ZWPRLine1",PositionX+MultiMeter_Horiz+WPR_Horiz+10,PositionY+MultiMeter_Vert+WPR_Vert+GraphShift+WPRShift+349,"_____",10,"Arial",DimGray);  
   objectCreate("ZWPRLine2",PositionX+MultiMeter_Horiz+WPR_Horiz+10,PositionY+MultiMeter_Vert+WPR_Vert+GraphShift+WPRShift+362,"_____",10,"Arial",DimGray);  
   objectCreate("ZWPRLine3",PositionX+MultiMeter_Horiz+WPR_Horiz+10,PositionY+MultiMeter_Vert+WPR_Vert+GraphShift+WPRShift+454,"_____",10,"Arial",DimGray);
   if (UseRSI)
   {
   objectCreate("ZWPRTitle",PositionX+MultiMeter_Horiz+WPR_Horiz+19,PositionY+MultiMeter_Vert+WPR_Vert+GraphShift+WPRShift+334,"RSI",9,"Times",DimGray);
   }
   else objectCreate("ZWPRTitle",PositionX+MultiMeter_Horiz+WPR_Horiz+9,PositionY+MultiMeter_Vert+WPR_Vert+GraphShift+WPRShift+334,"WPR%",9,"Times",DimGray);
   
   // Spread Graph ----------------------------------------------------------------------------- 
   objectCreate("ZSpreadLine3",PositionX+MultiMeter_Horiz+Spread_Horiz+63,PositionY+MultiMeter_Vert+Spread_Vert+GraphShift+392,"_____",10,"Arial",DimGray);
   objectCreate("ZSpreadLine2",PositionX+MultiMeter_Horiz+Spread_Horiz+63,PositionY+MultiMeter_Vert+Spread_Vert+GraphShift+360,"_____",10,"Arial",DimGray);
   objectCreate("ZSpreadLine1",PositionX+MultiMeter_Horiz+Spread_Horiz+63,PositionY+MultiMeter_Vert+Spread_Vert+GraphShift+349,"_____",10,"Arial",DimGray); 
   objectCreate("ZSpreadPips",PositionX+MultiMeter_Horiz+Spread_Horiz+67,PositionY+MultiMeter_Vert+Spread_Vert+GraphShift+349,"POINTS",7,"Arial Narrow",SkyBlue); 
   objectCreate("ZSpreadTitle",PositionX+MultiMeter_Horiz+Spread_Horiz+62,PositionY+MultiMeter_Vert+Spread_Vert+GraphShift+334,"Spread",10,"Times",DimGray);
   objectCreate("ZSpreadValue",PositionX+MultiMeter_Horiz+Spread_Horiz+70,PositionY+MultiMeter_Vert+Spread_Vert+GraphShift+362,DoubleToStr(9,1),18,"Arial",White);
   
   // MAXover Graph ------------------------------------------------------------------------ 
   if (!DisplayCompact)
   {objectCreate("ZMAXoverValue1",PositionX+MultiMeter_Horiz+MAX_Horiz+67,PositionY+MultiMeter_Vert+MAX_Vert+GraphShift+427,"p",20,"Wingdings 3",Lime);
   objectCreate("ZMAXoverValue2",PositionX+MultiMeter_Horiz+MAX_Horiz+67,PositionY+MultiMeter_Vert+MAX_Vert+GraphShift+427,"q",20,"Wingdings 3",Red);  
   objectCreate("ZMAXoverChart",PositionX+MultiMeter_Horiz+MAX_Horiz+62,PositionY+MultiMeter_Vert+MAX_Vert+GraphShift+415,"CURRENT",7,"Arial Narrow",SkyBlue);
   objectCreate("ZMAXoverLine1",PositionX+MultiMeter_Horiz+MAX_Horiz+62,PositionY+MultiMeter_Vert+MAX_Vert+GraphShift+414,"_____",10,"Arial",DimGray);  
   objectCreate("ZMAXoverLine2",PositionX+MultiMeter_Horiz+MAX_Horiz+62,PositionY+MultiMeter_Vert+MAX_Vert+GraphShift+427,"_____",10,"Arial",DimGray);  
   objectCreate("ZMAXoverTitle",PositionX+MultiMeter_Horiz+MAX_Horiz+63,PositionY+MultiMeter_Vert+MAX_Vert+GraphShift+399,"MA-X",9,"Times",DimGray);
   }
   // BarMeter Graph ------------------------------------------------------------------------
   objectCreate("ZBarsLine1",PositionX+MultiMeter_Horiz+BarMeter_Horiz+60,PositionY+MultiMeter_Vert+BarMeter_Vert+GraphShift+476,"____________",10,"Arial",DimGray);  
   objectCreate("ZBarsLine2",PositionX+MultiMeter_Horiz+BarMeter_Horiz+60,PositionY+MultiMeter_Vert+BarMeter_Vert+GraphShift+498,"____________",10,"Arial",DimGray);  
   objectCreate("ZBarsLine3",PositionX+MultiMeter_Horiz+BarMeter_Horiz+60,PositionY+MultiMeter_Vert+BarMeter_Vert+GraphShift+519,"____________",10,"Arial",DimGray);
   objectCreate("ZBarsTitle",PositionX+MultiMeter_Horiz+BarMeter_Horiz+67,PositionY+MultiMeter_Vert+BarMeter_Vert+GraphShift+461,"Bar % Meter",10,"Times",DimGray);
  
   object3Create("ZBar_5",PositionX+MultiMeter_Horiz+BarMeter_Horiz+123,PositionY+MultiMeter_Vert+BarMeter_Vert+GraphShift+482);
   object3Create("ZBar_4",PositionX+MultiMeter_Horiz+BarMeter_Horiz+106,PositionY+MultiMeter_Vert+BarMeter_Vert+GraphShift+482);
   object3Create("ZBar_3",PositionX+MultiMeter_Horiz+BarMeter_Horiz+89,PositionY+MultiMeter_Vert+BarMeter_Vert+GraphShift+482);
   object3Create("ZBar_2",PositionX+MultiMeter_Horiz+BarMeter_Horiz+72,PositionY+MultiMeter_Vert+BarMeter_Vert+GraphShift+482);
   object3Create("ZBar_1",PositionX+MultiMeter_Horiz+BarMeter_Horiz+55,PositionY+MultiMeter_Vert+BarMeter_Vert+GraphShift+482);   
   
   objectCreate("ZB_5",PositionX+MultiMeter_Horiz+BarMeter_Horiz+134,PositionY+MultiMeter_Vert+BarMeter_Vert+GraphShift+476,"B5",7,"Arial Narrow",SkyBlue);
   objectCreate("ZB_4",PositionX+MultiMeter_Horiz+BarMeter_Horiz+116,PositionY+MultiMeter_Vert+BarMeter_Vert+GraphShift+476,"B4",7,"Arial Narrow",SkyBlue);
   objectCreate("ZB_3",PositionX+MultiMeter_Horiz+BarMeter_Horiz+98,PositionY+MultiMeter_Vert+BarMeter_Vert+GraphShift+476,"B3",7,"Arial Narrow",SkyBlue);
   objectCreate("ZB_2",PositionX+MultiMeter_Horiz+BarMeter_Horiz+80,PositionY+MultiMeter_Vert+BarMeter_Vert+GraphShift+476,"B2",7,"Arial Narrow",SkyBlue);
   objectCreate("ZB_1",PositionX+MultiMeter_Horiz+BarMeter_Horiz+62,PositionY+MultiMeter_Vert+BarMeter_Vert+GraphShift+476,"B1",7,"Arial Narrow",SkyBlue);
   objectCreate("ZBarsPercent",PositionX+MultiMeter_Horiz+BarMeter_Horiz+50,PositionY+MultiMeter_Vert+BarMeter_Vert+GraphShift+486,"%",7,"Arial Narrow",Silver);
   objectCreate("ZBar_Value1",PositionX+MultiMeter_Horiz+BarMeter_Horiz+60,PositionY+MultiMeter_Vert+BarMeter_Vert+GraphShift+486,DoubleToStr(9,1),8,"Arial",White);
   objectCreate("ZBar_Value2",PositionX+MultiMeter_Horiz+BarMeter_Horiz+78,PositionY+MultiMeter_Vert+BarMeter_Vert+GraphShift+486,DoubleToStr(9,1),8,"Arial",White);
   objectCreate("ZBar_Value3",PositionX+MultiMeter_Horiz+BarMeter_Horiz+96,PositionY+MultiMeter_Vert+BarMeter_Vert+GraphShift+486,DoubleToStr(9,1),8,"Arial",White);
   objectCreate("ZBar_Value4",PositionX+MultiMeter_Horiz+BarMeter_Horiz+114,PositionY+MultiMeter_Vert+BarMeter_Vert+GraphShift+486,DoubleToStr(9,1),8,"Arial",White);
   objectCreate("ZBar_Value5",PositionX+MultiMeter_Horiz+BarMeter_Horiz+132,PositionY+MultiMeter_Vert+BarMeter_Vert+GraphShift+486,DoubleToStr(9,1),8,"Arial",White);
   objectCreate("ZBarsSlowing",PositionX+MultiMeter_Horiz+BarMeter_Horiz+70,PositionY+MultiMeter_Vert+BarMeter_Vert+GraphShift+542,"Slowing Down",8,"Arial",Silver);
   objectCreate("ZBarsSpeeding",PositionX+MultiMeter_Horiz+BarMeter_Horiz+70,PositionY+MultiMeter_Vert+BarMeter_Vert+GraphShift+542,"Speeding Up",8,"Arial",Silver);
   objectCreate("ZBarsStopped",PositionX+MultiMeter_Horiz+BarMeter_Horiz+83,PositionY+MultiMeter_Vert+BarMeter_Vert+GraphShift+542,"Stopped",8,"Arial",Silver);
   objectCreate("ZBarsSteady",PositionX+MultiMeter_Horiz+BarMeter_Horiz+85,PositionY+MultiMeter_Vert+BarMeter_Vert+GraphShift+542,"Steady",8,"Arial",Silver);
   
   // Signal Graph ------------------------------------------------------------------------
   objectCreate("ZSignalLine1",PositionX+MultiMeter_Horiz+Signal_Horiz+10,PositionY+MultiMeter_Vert+Signal_Vert+GraphShift+498,"_____",10,"Arial",DimGray);   
   objectCreate("ZSignalLine2",PositionX+MultiMeter_Horiz+Signal_Horiz+10,PositionY+MultiMeter_Vert+Signal_Vert+GraphShift+541,"_____",10,"Arial",DimGray);
   objectCreate("ZSignalTitle",PositionX+MultiMeter_Horiz+Signal_Horiz+5,PositionY+MultiMeter_Vert+Signal_Vert+GraphShift+483,"SIGNAL",9,"Times",DimGray);
   objectCreate("ZSignalUp",PositionX+MultiMeter_Horiz+Signal_Horiz+10,PositionY+MultiMeter_Vert+Signal_Vert+GraphShift+498,"p",28,"Wingdings 3",Lime);
   objectCreate("ZSignalDown",PositionX+MultiMeter_Horiz+Signal_Horiz+10,PositionY+MultiMeter_Vert+Signal_Vert+GraphShift+498,"q",28,"Wingdings 3",Red);
   objectCreate("ZSignalWait",PositionX+MultiMeter_Horiz+Signal_Horiz+10,PositionY+MultiMeter_Vert+Signal_Vert+GraphShift+498,"6",28,"Wingdings",Silver);
   
   // Trend-O-Graph ------------------------------------------------------------------------
   if (DisplayTrendGraph  && !DisplayCompact)
   {
   objectCreate("ZTGraphLine1",PositionX+MultiMeter_Horiz+27,PositionY+MultiMeter_Vert+192,"_________________",10,"Arial",DimGray);   
   objectCreate("ZTGraphLine2",PositionX+MultiMeter_Horiz+27,PositionY+MultiMeter_Vert+205,"_________________",10,"Arial",DimGray);
   objectCreate("ZTGraphLine3",PositionX+MultiMeter_Horiz+27,PositionY+MultiMeter_Vert+326,"_________________",10,"Arial",DimGray);
   objectCreate("ZTGraphTitle",PositionX+MultiMeter_Horiz+48,PositionY+MultiMeter_Vert+177,"Trend-O-Graph",10,"Times",DimGray);
   objectCreate("ZTGM_1",PositionX+MultiMeter_Horiz+132,PositionY+MultiMeter_Vert+193,"M1",7,"Arial Narrow",SkyBlue);
   objectCreate("ZTGM_5",PositionX+MultiMeter_Horiz+116,PositionY+MultiMeter_Vert+193,"M5",7,"Arial Narrow",SkyBlue);
   objectCreate("ZTGM_15",PositionX+MultiMeter_Horiz+96,PositionY+MultiMeter_Vert+193,"M15",7,"Arial Narrow",SkyBlue);
   objectCreate("ZTGM_30",PositionX+MultiMeter_Horiz+78,PositionY+MultiMeter_Vert+193,"M30",7,"Arial Narrow",SkyBlue);
   objectCreate("ZTGH_1",PositionX+MultiMeter_Horiz+63,PositionY+MultiMeter_Vert+193,"H1",7,"Arial Narrow",SkyBlue);
   objectCreate("ZTGH_4",PositionX+MultiMeter_Horiz+47,PositionY+MultiMeter_Vert+193,"H4",7,"Arial Narrow",SkyBlue);
   objectCreate("ZTGD_1",PositionX+MultiMeter_Horiz+30,PositionY+MultiMeter_Vert+193,"D1",7,"Arial Narrow",SkyBlue);
   objectCreate("ZTGMA_1",PositionX+MultiMeter_Horiz+10,PositionY+MultiMeter_Vert+311,"MA7",7,"Arial Narrow",SkyBlue);
   objectCreate("ZTGMA_2",PositionX+MultiMeter_Horiz+10,PositionY+MultiMeter_Vert+294,"MA6",7,"Arial Narrow",SkyBlue);
   objectCreate("ZTGMA_3",PositionX+MultiMeter_Horiz+10,PositionY+MultiMeter_Vert+277,"MA5",7,"Arial Narrow",SkyBlue);
   objectCreate("ZTGMA_4",PositionX+MultiMeter_Horiz+10,PositionY+MultiMeter_Vert+260,"MA4",7,"Arial Narrow",SkyBlue);
   objectCreate("ZTGMA_5",PositionX+MultiMeter_Horiz+10,PositionY+MultiMeter_Vert+242,"MA3",7,"Arial Narrow",SkyBlue);
   objectCreate("ZTGMA_6",PositionX+MultiMeter_Horiz+10,PositionY+MultiMeter_Vert+225,"MA2",7,"Arial Narrow",SkyBlue);
   objectCreate("ZTGMA_7",PositionX+MultiMeter_Horiz+10,PositionY+MultiMeter_Vert+208,"MA1",7,"Arial Narrow",SkyBlue);
   object4Create("ZTGM_1_MA1",PositionX+MultiMeter_Horiz+124,PositionY+MultiMeter_Vert+186);
   object4Create("ZTGM_5_MA1",PositionX+MultiMeter_Horiz+107,PositionY+MultiMeter_Vert+186);
   object4Create("ZTGM_15_MA1",PositionX+MultiMeter_Horiz+90,PositionY+MultiMeter_Vert+186);
   object4Create("ZTGM_30_MA1",PositionX+MultiMeter_Horiz+73,PositionY+MultiMeter_Vert+186);
   object4Create("ZTGH_1_MA1",PositionX+MultiMeter_Horiz+56,PositionY+MultiMeter_Vert+186);
   object4Create("ZTGH_4_MA1",PositionX+MultiMeter_Horiz+39,PositionY+MultiMeter_Vert+186);
   object4Create("ZTGD_1_MA1",PositionX+MultiMeter_Horiz+22,PositionY+MultiMeter_Vert+186); 
   object4Create("ZTGM_1_MA2",PositionX+MultiMeter_Horiz+124,PositionY+MultiMeter_Vert+203);
   object4Create("ZTGM_5_MA2",PositionX+MultiMeter_Horiz+107,PositionY+MultiMeter_Vert+203);
   object4Create("ZTGM_15_MA2",PositionX+MultiMeter_Horiz+90,PositionY+MultiMeter_Vert+203);
   object4Create("ZTGM_30_MA2",PositionX+MultiMeter_Horiz+73,PositionY+MultiMeter_Vert+203);
   object4Create("ZTGH_1_MA2",PositionX+MultiMeter_Horiz+56,PositionY+MultiMeter_Vert+203);
   object4Create("ZTGH_4_MA2",PositionX+MultiMeter_Horiz+39,PositionY+MultiMeter_Vert+203);
   object4Create("ZTGD_1_MA2",PositionX+MultiMeter_Horiz+22,PositionY+MultiMeter_Vert+203); 
   object4Create("ZTGM_1_MA3",PositionX+MultiMeter_Horiz+124,PositionY+MultiMeter_Vert+220);
   object4Create("ZTGM_5_MA3",PositionX+MultiMeter_Horiz+107,PositionY+MultiMeter_Vert+220);
   object4Create("ZTGM_15_MA3",PositionX+MultiMeter_Horiz+90,PositionY+MultiMeter_Vert+220);
   object4Create("ZTGM_30_MA3",PositionX+MultiMeter_Horiz+73,PositionY+MultiMeter_Vert+220);
   object4Create("ZTGH_1_MA3",PositionX+MultiMeter_Horiz+56,PositionY+MultiMeter_Vert+220);
   object4Create("ZTGH_4_MA3",PositionX+MultiMeter_Horiz+39,PositionY+MultiMeter_Vert+220);
   object4Create("ZTGD_1_MA3",PositionX+MultiMeter_Horiz+22,PositionY+MultiMeter_Vert+220); 
   object4Create("ZTGM_1_MA4",PositionX+MultiMeter_Horiz+124,PositionY+MultiMeter_Vert+237);
   object4Create("ZTGM_5_MA4",PositionX+MultiMeter_Horiz+107,PositionY+MultiMeter_Vert+237);
   object4Create("ZTGM_15_MA4",PositionX+MultiMeter_Horiz+90,PositionY+MultiMeter_Vert+237);
   object4Create("ZTGM_30_MA4",PositionX+MultiMeter_Horiz+73,PositionY+MultiMeter_Vert+237);
   object4Create("ZTGH_1_MA4",PositionX+MultiMeter_Horiz+56,PositionY+MultiMeter_Vert+237);
   object4Create("ZTGH_4_MA4",PositionX+MultiMeter_Horiz+39,PositionY+MultiMeter_Vert+237);
   object4Create("ZTGD_1_MA4",PositionX+MultiMeter_Horiz+22,PositionY+MultiMeter_Vert+237); 
   object4Create("ZTGM_1_MA5",PositionX+MultiMeter_Horiz+124,PositionY+MultiMeter_Vert+254);
   object4Create("ZTGM_5_MA5",PositionX+MultiMeter_Horiz+107,PositionY+MultiMeter_Vert+254);
   object4Create("ZTGM_15_MA5",PositionX+MultiMeter_Horiz+90,PositionY+MultiMeter_Vert+254);
   object4Create("ZTGM_30_MA5",PositionX+MultiMeter_Horiz+73,PositionY+MultiMeter_Vert+254);
   object4Create("ZTGH_1_MA5",PositionX+MultiMeter_Horiz+56,PositionY+MultiMeter_Vert+254);
   object4Create("ZTGH_4_MA5",PositionX+MultiMeter_Horiz+39,PositionY+MultiMeter_Vert+254);
   object4Create("ZTGD_1_MA5",PositionX+MultiMeter_Horiz+22,PositionY+MultiMeter_Vert+254); 
   object4Create("ZTGM_1_MA6",PositionX+MultiMeter_Horiz+124,PositionY+MultiMeter_Vert+271);
   object4Create("ZTGM_5_MA6",PositionX+MultiMeter_Horiz+107,PositionY+MultiMeter_Vert+271);
   object4Create("ZTGM_15_MA6",PositionX+MultiMeter_Horiz+90,PositionY+MultiMeter_Vert+271);
   object4Create("ZTGM_30_MA6",PositionX+MultiMeter_Horiz+73,PositionY+MultiMeter_Vert+271);
   object4Create("ZTGH_1_MA6",PositionX+MultiMeter_Horiz+56,PositionY+MultiMeter_Vert+271);
   object4Create("ZTGH_4_MA6",PositionX+MultiMeter_Horiz+39,PositionY+MultiMeter_Vert+271);
   object4Create("ZTGD_1_MA6",PositionX+MultiMeter_Horiz+22,PositionY+MultiMeter_Vert+271); 
   object4Create("ZTGM_1_MA7",PositionX+MultiMeter_Horiz+124,PositionY+MultiMeter_Vert+288);
   object4Create("ZTGM_5_MA7",PositionX+MultiMeter_Horiz+107,PositionY+MultiMeter_Vert+288);
   object4Create("ZTGM_15_MA7",PositionX+MultiMeter_Horiz+90,PositionY+MultiMeter_Vert+288);
   object4Create("ZTGM_30_MA7",PositionX+MultiMeter_Horiz+73,PositionY+MultiMeter_Vert+288);
   object4Create("ZTGH_1_MA7",PositionX+MultiMeter_Horiz+56,PositionY+MultiMeter_Vert+288);
   object4Create("ZTGH_4_MA7",PositionX+MultiMeter_Horiz+39,PositionY+MultiMeter_Vert+288);
   object4Create("ZTGD_1_MA7",PositionX+MultiMeter_Horiz+22,PositionY+MultiMeter_Vert+288); 
   }
   
   // B-Band Oscillator ------------------------------------------------------------------------
   if (!DisplayTrendGraph  && !DisplayCompact)
   {
   objectCreate("ZBBLine1",PositionX+MultiMeter_Horiz+30,PositionY+MultiMeter_Vert+192,"_________________",10,"Arial",DimGray);   
   objectCreate("ZBBLine2",PositionX+MultiMeter_Horiz+30,PositionY+MultiMeter_Vert+213,"_________________",10,"Arial",DimGray); 
   objectCreate("ZBBLine3",PositionX+MultiMeter_Horiz+30,PositionY+MultiMeter_Vert+223,"_________________",10,"Arial",DimGray);
   objectCreate("ZBBLine4",PositionX+MultiMeter_Horiz+30,PositionY+MultiMeter_Vert+270,"_________________",10,"Arial",DimGray);
   objectCreate("ZBBLine5",PositionX+MultiMeter_Horiz+30,PositionY+MultiMeter_Vert+317,"_________________",10,"Arial",DimGray);
   objectCreate("ZBBLine6",PositionX+MultiMeter_Horiz+30,PositionY+MultiMeter_Vert+327,"_________________",10,"Arial",DimGray);
   objectCreate("ZBBTitle",PositionX+MultiMeter_Horiz+35,PositionY+MultiMeter_Vert+177,"Bollinger Oscillators",10,"Times",DimGray);
   objectCreate("ZBBM_1",PositionX+MultiMeter_Horiz+135,PositionY+MultiMeter_Vert+192,"M1",7,"Arial Narrow",SkyBlue);
   objectCreate("ZBBM_5",PositionX+MultiMeter_Horiz+118,PositionY+MultiMeter_Vert+192,"M5",7,"Arial Narrow",SkyBlue);
   objectCreate("ZBBM_15",PositionX+MultiMeter_Horiz+100,PositionY+MultiMeter_Vert+192,"M15",7,"Arial Narrow",SkyBlue);
   objectCreate("ZBBM_30",PositionX+MultiMeter_Horiz+81,PositionY+MultiMeter_Vert+192,"M30",7,"Arial Narrow",SkyBlue);
   objectCreate("ZBBH_1",PositionX+MultiMeter_Horiz+65,PositionY+MultiMeter_Vert+192,"H1",7,"Arial Narrow",SkyBlue);
   objectCreate("ZBBH_4",PositionX+MultiMeter_Horiz+49,PositionY+MultiMeter_Vert+192,"H4",7,"Arial Narrow",SkyBlue);
   objectCreate("ZBBD_1",PositionX+MultiMeter_Horiz+32,PositionY+MultiMeter_Vert+192,"D1",7,"Arial Narrow",SkyBlue);
   objectCreate("ZBBVol",PositionX+MultiMeter_Horiz+14,PositionY+MultiMeter_Vert+264,"50",8,"Arial Narrow",SkyBlue);
   objectCreate("ZZBBBreakoutUp",PositionX+MultiMeter_Horiz+14,PositionY+MultiMeter_Vert+314,"I",14,"Multimeter",Red);
   objectCreate("ZZBBBreakoutDown",PositionX+MultiMeter_Horiz+14,PositionY+MultiMeter_Vert+211,"I",14,"Multimeter",Red);
   objectCreate("ZBBPercent",PositionX+MultiMeter_Horiz+BarMeter_Horiz+63,PositionY+MultiMeter_Vert+BarMeter_Vert+GraphShift+328,"%",7,"Arial Narrow",Silver);
 
   object6Create("ZBB_M1_100",PositionX+MultiMeter_Horiz+132,PositionY+MultiMeter_Vert+306);
   object6Create("ZBB_M1_90",PositionX+MultiMeter_Horiz+132,PositionY+MultiMeter_Vert+295);
   object6Create("ZBB_M1_80",PositionX+MultiMeter_Horiz+132,PositionY+MultiMeter_Vert+286);
   object6Create("ZBB_M1_70",PositionX+MultiMeter_Horiz+132,PositionY+MultiMeter_Vert+277);
   object6Create("ZBB_M1_60",PositionX+MultiMeter_Horiz+132,PositionY+MultiMeter_Vert+268);
   object6Create("ZBB_M1_50",PositionX+MultiMeter_Horiz+132,PositionY+MultiMeter_Vert+259);  
   object6Create("ZBB_M1_40",PositionX+MultiMeter_Horiz+132,PositionY+MultiMeter_Vert+249);
   object6Create("ZBB_M1_30",PositionX+MultiMeter_Horiz+132,PositionY+MultiMeter_Vert+240);
   object6Create("ZBB_M1_20",PositionX+MultiMeter_Horiz+132,PositionY+MultiMeter_Vert+231);
   object6Create("ZBB_M1_10",PositionX+MultiMeter_Horiz+132,PositionY+MultiMeter_Vert+222);
   object6Create("ZBB_M1_0",PositionX+MultiMeter_Horiz+132,PositionY+MultiMeter_Vert+213);
   object6Create("ZBB_M1_-0",PositionX+MultiMeter_Horiz+132,PositionY+MultiMeter_Vert+202);
   objectCreate("ZBB_M1p",PositionX+MultiMeter_Horiz+134,PositionY+MultiMeter_Vert+201,DoubleToStr(9,0),8,"Arial Narrow",Silver);
   
   object6Create("ZBB_M5_100",PositionX+MultiMeter_Horiz+115,PositionY+MultiMeter_Vert+306);
   object6Create("ZBB_M5_90",PositionX+MultiMeter_Horiz+115,PositionY+MultiMeter_Vert+295);
   object6Create("ZBB_M5_80",PositionX+MultiMeter_Horiz+115,PositionY+MultiMeter_Vert+286);
   object6Create("ZBB_M5_70",PositionX+MultiMeter_Horiz+115,PositionY+MultiMeter_Vert+277);
   object6Create("ZBB_M5_60",PositionX+MultiMeter_Horiz+115,PositionY+MultiMeter_Vert+268);
   object6Create("ZBB_M5_50",PositionX+MultiMeter_Horiz+115,PositionY+MultiMeter_Vert+259);  
   object6Create("ZBB_M5_40",PositionX+MultiMeter_Horiz+115,PositionY+MultiMeter_Vert+249);
   object6Create("ZBB_M5_30",PositionX+MultiMeter_Horiz+115,PositionY+MultiMeter_Vert+240);
   object6Create("ZBB_M5_20",PositionX+MultiMeter_Horiz+115,PositionY+MultiMeter_Vert+231);
   object6Create("ZBB_M5_10",PositionX+MultiMeter_Horiz+115,PositionY+MultiMeter_Vert+222);
   object6Create("ZBB_M5_0",PositionX+MultiMeter_Horiz+115,PositionY+MultiMeter_Vert+213);
   object6Create("ZBB_M5_-0",PositionX+MultiMeter_Horiz+115,PositionY+MultiMeter_Vert+202);
   object6Create("ZBB_M5p",PositionX+MultiMeter_Horiz+117,PositionY+MultiMeter_Vert+201,DoubleToStr(9,0),8,"Arial Narrow",Silver);
   
   object6Create("ZBB_M15_100",PositionX+MultiMeter_Horiz+98,PositionY+MultiMeter_Vert+306);
   object6Create("ZBB_M15_90",PositionX+MultiMeter_Horiz+98,PositionY+MultiMeter_Vert+295);
   object6Create("ZBB_M15_80",PositionX+MultiMeter_Horiz+98,PositionY+MultiMeter_Vert+286);
   object6Create("ZBB_M15_70",PositionX+MultiMeter_Horiz+98,PositionY+MultiMeter_Vert+277);
   object6Create("ZBB_M15_60",PositionX+MultiMeter_Horiz+98,PositionY+MultiMeter_Vert+268);
   object6Create("ZBB_M15_50",PositionX+MultiMeter_Horiz+98,PositionY+MultiMeter_Vert+259);  
   object6Create("ZBB_M15_40",PositionX+MultiMeter_Horiz+98,PositionY+MultiMeter_Vert+249);
   object6Create("ZBB_M15_30",PositionX+MultiMeter_Horiz+98,PositionY+MultiMeter_Vert+240);
   object6Create("ZBB_M15_20",PositionX+MultiMeter_Horiz+98,PositionY+MultiMeter_Vert+231);
   object6Create("ZBB_M15_10",PositionX+MultiMeter_Horiz+98,PositionY+MultiMeter_Vert+222);
   object6Create("ZBB_M15_0",PositionX+MultiMeter_Horiz+98,PositionY+MultiMeter_Vert+213);
   object6Create("ZBB_M15_-0",PositionX+MultiMeter_Horiz+98,PositionY+MultiMeter_Vert+202);
   object6Create("ZBB_M15p",PositionX+MultiMeter_Horiz+100,PositionY+MultiMeter_Vert+201,DoubleToStr(9,0),8,"Arial Narrow",Silver);
   
   object6Create("ZBB_M30_100",PositionX+MultiMeter_Horiz+81,PositionY+MultiMeter_Vert+306);
   object6Create("ZBB_M30_90",PositionX+MultiMeter_Horiz+81,PositionY+MultiMeter_Vert+295);
   object6Create("ZBB_M30_80",PositionX+MultiMeter_Horiz+81,PositionY+MultiMeter_Vert+286);
   object6Create("ZBB_M30_70",PositionX+MultiMeter_Horiz+81,PositionY+MultiMeter_Vert+277);
   object6Create("ZBB_M30_60",PositionX+MultiMeter_Horiz+81,PositionY+MultiMeter_Vert+268);
   object6Create("ZBB_M30_50",PositionX+MultiMeter_Horiz+81,PositionY+MultiMeter_Vert+259);  
   object6Create("ZBB_M30_40",PositionX+MultiMeter_Horiz+81,PositionY+MultiMeter_Vert+249);
   object6Create("ZBB_M30_30",PositionX+MultiMeter_Horiz+81,PositionY+MultiMeter_Vert+240);
   object6Create("ZBB_M30_20",PositionX+MultiMeter_Horiz+81,PositionY+MultiMeter_Vert+231);
   object6Create("ZBB_M30_10",PositionX+MultiMeter_Horiz+81,PositionY+MultiMeter_Vert+222);
   object6Create("ZBB_M30_0",PositionX+MultiMeter_Horiz+81,PositionY+MultiMeter_Vert+213);
   object6Create("ZBB_M30_-0",PositionX+MultiMeter_Horiz+81,PositionY+MultiMeter_Vert+202);
   object6Create("ZBB_M30p",PositionX+MultiMeter_Horiz+83,PositionY+MultiMeter_Vert+201,DoubleToStr(9,0),8,"Arial Narrow",Silver);

   object6Create("ZBB_H1_100",PositionX+MultiMeter_Horiz+64,PositionY+MultiMeter_Vert+306);
   object6Create("ZBB_H1_90",PositionX+MultiMeter_Horiz+64,PositionY+MultiMeter_Vert+295);
   object6Create("ZBB_H1_80",PositionX+MultiMeter_Horiz+64,PositionY+MultiMeter_Vert+286);
   object6Create("ZBB_H1_70",PositionX+MultiMeter_Horiz+64,PositionY+MultiMeter_Vert+277);
   object6Create("ZBB_H1_60",PositionX+MultiMeter_Horiz+64,PositionY+MultiMeter_Vert+268);
   object6Create("ZBB_H1_50",PositionX+MultiMeter_Horiz+64,PositionY+MultiMeter_Vert+259);  
   object6Create("ZBB_H1_40",PositionX+MultiMeter_Horiz+64,PositionY+MultiMeter_Vert+249);
   object6Create("ZBB_H1_30",PositionX+MultiMeter_Horiz+64,PositionY+MultiMeter_Vert+240);
   object6Create("ZBB_H1_20",PositionX+MultiMeter_Horiz+64,PositionY+MultiMeter_Vert+231);
   object6Create("ZBB_H1_10",PositionX+MultiMeter_Horiz+64,PositionY+MultiMeter_Vert+222);
   object6Create("ZBB_H1_0",PositionX+MultiMeter_Horiz+64,PositionY+MultiMeter_Vert+213);
   object6Create("ZBB_H1_-0",PositionX+MultiMeter_Horiz+64,PositionY+MultiMeter_Vert+202);
   object6Create("ZBB_H1p",PositionX+MultiMeter_Horiz+66,PositionY+MultiMeter_Vert+201,DoubleToStr(9,0),8,"Arial Narrow",Silver);
  
   object6Create("ZBB_H4_100",PositionX+MultiMeter_Horiz+47,PositionY+MultiMeter_Vert+306);
   object6Create("ZBB_H4_90",PositionX+MultiMeter_Horiz+47,PositionY+MultiMeter_Vert+295);
   object6Create("ZBB_H4_80",PositionX+MultiMeter_Horiz+47,PositionY+MultiMeter_Vert+286);
   object6Create("ZBB_H4_70",PositionX+MultiMeter_Horiz+47,PositionY+MultiMeter_Vert+277);
   object6Create("ZBB_H4_60",PositionX+MultiMeter_Horiz+47,PositionY+MultiMeter_Vert+268);
   object6Create("ZBB_H4_50",PositionX+MultiMeter_Horiz+47,PositionY+MultiMeter_Vert+259);  
   object6Create("ZBB_H4_40",PositionX+MultiMeter_Horiz+47,PositionY+MultiMeter_Vert+249);
   object6Create("ZBB_H4_30",PositionX+MultiMeter_Horiz+47,PositionY+MultiMeter_Vert+240);
   object6Create("ZBB_H4_20",PositionX+MultiMeter_Horiz+47,PositionY+MultiMeter_Vert+231);
   object6Create("ZBB_H4_10",PositionX+MultiMeter_Horiz+47,PositionY+MultiMeter_Vert+222);
   object6Create("ZBB_H4_0",PositionX+MultiMeter_Horiz+47,PositionY+MultiMeter_Vert+213);
   object6Create("ZBB_H4_-0",PositionX+MultiMeter_Horiz+47,PositionY+MultiMeter_Vert+202);
   object6Create("ZBB_H4p",PositionX+MultiMeter_Horiz+49,PositionY+MultiMeter_Vert+201,DoubleToStr(9,0),8,"Arial Narrow",Silver);

   object6Create("ZBB_D1_100",PositionX+MultiMeter_Horiz+30,PositionY+MultiMeter_Vert+306);
   object6Create("ZBB_D1_90",PositionX+MultiMeter_Horiz+30,PositionY+MultiMeter_Vert+295);
   object6Create("ZBB_D1_80",PositionX+MultiMeter_Horiz+30,PositionY+MultiMeter_Vert+286);
   object6Create("ZBB_D1_70",PositionX+MultiMeter_Horiz+30,PositionY+MultiMeter_Vert+277);
   object6Create("ZBB_D1_60",PositionX+MultiMeter_Horiz+30,PositionY+MultiMeter_Vert+268);
   object6Create("ZBB_D1_50",PositionX+MultiMeter_Horiz+30,PositionY+MultiMeter_Vert+259);  
   object6Create("ZBB_D1_40",PositionX+MultiMeter_Horiz+30,PositionY+MultiMeter_Vert+249);
   object6Create("ZBB_D1_30",PositionX+MultiMeter_Horiz+30,PositionY+MultiMeter_Vert+240);
   object6Create("ZBB_D1_20",PositionX+MultiMeter_Horiz+30,PositionY+MultiMeter_Vert+231);
   object6Create("ZBB_D1_10",PositionX+MultiMeter_Horiz+30,PositionY+MultiMeter_Vert+222);
   object6Create("ZBB_D1_0",PositionX+MultiMeter_Horiz+30,PositionY+MultiMeter_Vert+213);
   object6Create("ZBB_D1_-0",PositionX+MultiMeter_Horiz+30,PositionY+MultiMeter_Vert+202);
   object6Create("ZBB_D1p",PositionX+MultiMeter_Horiz+32,PositionY+MultiMeter_Vert+201,DoubleToStr(9,0),8,"Arial Narrow",Silver);
   } 
   
   // Bulls/Bears VU Meter -------------------------------------
   object7Create("ZVUMeterBkgnd",PositionX+MultiMeter_Horiz+12,PositionY+MultiMeter_Vert+GraphShift+336);
   object8Create("ZVUMeterScaleLeft",PositionX+MultiMeter_Horiz+12,PositionY+MultiMeter_Vert+GraphShift+336);
   object9Create("ZVUMeterScaleRight",PositionX+MultiMeter_Horiz+12,PositionY+MultiMeter_Vert+GraphShift+336);
   object10Create("ZVUMeterScaleCentre",PositionX+MultiMeter_Horiz+12,PositionY+MultiMeter_Vert+GraphShift+336);
   objectCreate("ZVUMeterScale-100",PositionX+MultiMeter_Horiz+174,PositionY+MultiMeter_Vert+GraphShift+500,"100",7,"Arial Narrow",Black);
   objectCreate("ZVUMeterScale0",PositionX+MultiMeter_Horiz+98,PositionY+MultiMeter_Vert+GraphShift+534,"50",7,"Arial Narrow",Black);
   objectCreate("ZVUMeterScale100",PositionX+MultiMeter_Horiz+18,PositionY+MultiMeter_Vert+GraphShift+500,"100",7,"Arial Narrow",Black);
   objectCreate("ZVUMeterZBears",PositionX+MultiMeter_Horiz+155,PositionY+MultiMeter_Vert+GraphShift+450,"BEARS",8,"Arial Narrow",Black);
   objectCreate("ZVUMeterZBulls",PositionX+MultiMeter_Horiz+22,PositionY+MultiMeter_Vert+GraphShift+450,"BULLS",8,"Arial Narrow",Black);
   objectCreate("ZVUMeterZ%Left",PositionX+MultiMeter_Horiz+150,PositionY+MultiMeter_Vert+GraphShift+460,"%",8,"Arial Narrow",Black);
   objectCreate("ZVUMeterZ%Right",PositionX+MultiMeter_Horiz+17,PositionY+MultiMeter_Vert+GraphShift+460,"%",8,"Arial Narrow",Black);
   objectCreate("ZVUMeterZBearsPercent",PositionX+MultiMeter_Horiz+160,PositionY+MultiMeter_Vert+GraphShift+460,DoubleToStr(0,0),13,"Arial Narrow",Black);
   objectCreate("ZVUMeterZBullsPercent",PositionX+MultiMeter_Horiz+27,PositionY+MultiMeter_Vert+GraphShift+460,DoubleToStr(0,0),13,"Arial Narrow",Black);
   object11Create("ZVUMeterPos1",PositionX+MultiMeter_Horiz+12,PositionY+MultiMeter_Vert+GraphShift+336);
   object12Create("ZVUMeterPos2",PositionX+MultiMeter_Horiz+12,PositionY+MultiMeter_Vert+GraphShift+336);
   object13Create("ZVUMeterPos3",PositionX+MultiMeter_Horiz+12,PositionY+MultiMeter_Vert+GraphShift+336);
   object14Create("ZVUMeterPos4",PositionX+MultiMeter_Horiz+12,PositionY+MultiMeter_Vert+GraphShift+336);
   object15Create("ZVUMeterPos5",PositionX+MultiMeter_Horiz+12,PositionY+MultiMeter_Vert+GraphShift+336);
   object16Create("ZVUMeterPos6",PositionX+MultiMeter_Horiz+12,PositionY+MultiMeter_Vert+GraphShift+336);
   object17Create("ZVUMeterPos7",PositionX+MultiMeter_Horiz+12,PositionY+MultiMeter_Vert+GraphShift+336);
   object18Create("ZVUMeterPos8",PositionX+MultiMeter_Horiz+12,PositionY+MultiMeter_Vert+GraphShift+336);
   object19Create("ZVUMeterPos9",PositionX+MultiMeter_Horiz+12,PositionY+MultiMeter_Vert+GraphShift+336);
   object20Create("ZVUMeterPos10",PositionX+MultiMeter_Horiz+12,PositionY+MultiMeter_Vert+GraphShift+336);
   object21Create("ZVUMeterPos11",PositionX+MultiMeter_Horiz+12,PositionY+MultiMeter_Vert+GraphShift+336);
   object22Create("ZVUMeterPos12",PositionX+MultiMeter_Horiz+12,PositionY+MultiMeter_Vert+GraphShift+336);
   object23Create("ZVUMeterPos13",PositionX+MultiMeter_Horiz+12,PositionY+MultiMeter_Vert+GraphShift+336);
   object24Create("ZVUMeterPos14",PositionX+MultiMeter_Horiz+12,PositionY+MultiMeter_Vert+GraphShift+336);
   object25Create("ZVUMeterPos15",PositionX+MultiMeter_Horiz+12,PositionY+MultiMeter_Vert+GraphShift+336);
   object26Create("ZVUMeterPos16",PositionX+MultiMeter_Horiz+12,PositionY+MultiMeter_Vert+GraphShift+336);
   object27Create("ZVUMeterPos17",PositionX+MultiMeter_Horiz+12,PositionY+MultiMeter_Vert+GraphShift+336);
   object28Create("ZVUMeterPos18",PositionX+MultiMeter_Horiz+12,PositionY+MultiMeter_Vert+GraphShift+336);
   object29Create("ZVUMeterPos19",PositionX+MultiMeter_Horiz+12,PositionY+MultiMeter_Vert+GraphShift+336);
   object30Create("ZVUMeterPos20",PositionX+MultiMeter_Horiz+12,PositionY+MultiMeter_Vert+GraphShift+336);
   object31Create("ZVUMeterPos21",PositionX+MultiMeter_Horiz+12,PositionY+MultiMeter_Vert+GraphShift+336);
   object32Create("ZVUMeterZPivot",PositionX+MultiMeter_Horiz+12,PositionY+MultiMeter_Vert+GraphShift+336);
   object33Create("ZVUMeterZFarLeft",PositionX+MultiMeter_Horiz+12,PositionY+MultiMeter_Vert+GraphShift+336);
   object34Create("ZVUMeterZFarRight",PositionX+MultiMeter_Horiz+12,PositionY+MultiMeter_Vert+GraphShift+336);
   object35Create("ZVUMeterBkgndShdw",PositionX+MultiMeter_Horiz+12,PositionY+MultiMeter_Vert+GraphShift+336);
   objectCreate("ZVUMeterStatus1",PositionX+MultiMeter_Horiz+18,PositionY+MultiMeter_Vert+GraphShift+533,"CURRENT BAR",7,"Arial Narrow",Black);
   objectCreate("ZVUMeterStatus2",PositionX+MultiMeter_Horiz+18,PositionY+MultiMeter_Vert+GraphShift+533,"2 BAR AVERAGE",7,"Arial Narrow",Black);
   objectCreate("ZVUMeterStatus3",PositionX+MultiMeter_Horiz+18,PositionY+MultiMeter_Vert+GraphShift+533,"3 BAR AVERAGE",7,"Arial Narrow",Black);
   objectCreate("ZVUMeterStatus4",PositionX+MultiMeter_Horiz+18,PositionY+MultiMeter_Vert+GraphShift+533,"4 BAR AVERAGE",7,"Arial Narrow",Black);
   objectCreate("ZVUMeterStatus5",PositionX+MultiMeter_Horiz+18,PositionY+MultiMeter_Vert+GraphShift+533,"5 BAR AVERAGE",7,"Arial Narrow",Black);
   
   WindowRedraw();
  }
  
//+------------------------------------------------------------------+
void a1Object(string name,int x,int y,string text="e",int size=666,
                  string font="Multimeter",color colour=CLR_NONE)
  {
   ObjectCreate(name,OBJ_LABEL,0,0,0);
   ObjectSet(name,OBJPROP_CORNER,3);
   ObjectSet(name,OBJPROP_COLOR,colour);
   ObjectSet(name,OBJPROP_XDISTANCE,x);
   ObjectSet(name,OBJPROP_YDISTANCE,y);
   ObjectSetText(name,text,size,font,colour);
  } 
  
void a3Object(string name,int x,int y,string text="d",int size=666,
                  string font="Multimeter",color colour=CLR_NONE)
  {
   ObjectCreate(name,OBJ_LABEL,0,0,0);
   ObjectSet(name,OBJPROP_CORNER,3);
   ObjectSet(name,OBJPROP_COLOR,colour);
   ObjectSet(name,OBJPROP_XDISTANCE,x);
   ObjectSet(name,OBJPROP_YDISTANCE,y);
   ObjectSetText(name,text,size,font,colour);
  }   
  
void a4Object(string name,int x,int y,string text="c",int size=666,
                  string font="Multimeter",color colour=CLR_NONE)
  {
   ObjectCreate(name,OBJ_LABEL,0,0,0);
   ObjectSet(name,OBJPROP_CORNER,3);
   ObjectSet(name,OBJPROP_COLOR,colour);
   ObjectSet(name,OBJPROP_XDISTANCE,x);
   ObjectSet(name,OBJPROP_YDISTANCE,y);
   ObjectSetText(name,text,size,font,colour);
  }   
  
void a5Object(string name,int x,int y,string text="a",int size=666,
                  string font="Multimeter",color colour=CLR_NONE)
  {
   ObjectCreate(name,OBJ_LABEL,0,0,0);
   ObjectSet(name,OBJPROP_CORNER,3);
   ObjectSet(name,OBJPROP_COLOR,colour);
   ObjectSet(name,OBJPROP_XDISTANCE,x);
   ObjectSet(name,OBJPROP_YDISTANCE,y);
   ObjectSetText(name,text,size,font,colour);
  }   
  
void a6Object(string name,int x,int y,string text="b",int size=666,
                  string font="Multimeter",color colour=CLR_NONE)
  {
   ObjectCreate(name,OBJ_LABEL,0,0,0);
   ObjectSet(name,OBJPROP_CORNER,3);
   ObjectSet(name,OBJPROP_COLOR,colour);
   ObjectSet(name,OBJPROP_XDISTANCE,x);
   ObjectSet(name,OBJPROP_YDISTANCE,y);
   ObjectSetText(name,text,size,font,colour);
  }   

void a7Object(string name,int x,int y,string text="g",int size=666,
                  string font="Multimeter",color colour=CLR_NONE)
  {
   ObjectCreate(name,OBJ_LABEL,0,0,0);
   ObjectSet(name,OBJPROP_CORNER,3);
   ObjectSet(name,OBJPROP_COLOR,colour);
   ObjectSet(name,OBJPROP_XDISTANCE,x);
   ObjectSet(name,OBJPROP_YDISTANCE,y);
   ObjectSetText(name,text,size,font,colour);
  }    

void a8Object(string name,int x,int y,string text="h",int size=666,
                  string font="Multimeter",color colour=CLR_NONE)
  {
   ObjectCreate(name,OBJ_LABEL,0,0,0);
   ObjectSet(name,OBJPROP_CORNER,3);
   ObjectSet(name,OBJPROP_COLOR,colour);
   ObjectSet(name,OBJPROP_XDISTANCE,x);
   ObjectSet(name,OBJPROP_YDISTANCE,y);
   ObjectSetText(name,text,size,font,colour);
  }    
  
void a9Object(string name,int x,int y,string text="0",int size=666,
                  string font="Multimeter",color colour=CLR_NONE)
  {
   ObjectCreate(name,OBJ_LABEL,0,0,0);
   ObjectSet(name,OBJPROP_CORNER,3);
   ObjectSet(name,OBJPROP_COLOR,colour);
   ObjectSet(name,OBJPROP_XDISTANCE,x);
   ObjectSet(name,OBJPROP_YDISTANCE,y);
   ObjectSetText(name,text,size,font,colour);
  }  
  
void a11Object(string name,int x,int y,string text="2",int size=666,
                  string font="Multimeter",color colour=CLR_NONE)
  {
   ObjectCreate(name,OBJ_LABEL,0,0,0);
   ObjectSet(name,OBJPROP_CORNER,3);
   ObjectSet(name,OBJPROP_COLOR,colour);
   ObjectSet(name,OBJPROP_XDISTANCE,x);
   ObjectSet(name,OBJPROP_YDISTANCE,y);
   ObjectSetText(name,text,size,font,colour);
  }  

void a12Object(string name,int x,int y,string text="3",int size=666,
                  string font="Multimeter",color colour=CLR_NONE)
  {
   ObjectCreate(name,OBJ_LABEL,0,0,0);
   ObjectSet(name,OBJPROP_CORNER,3);
   ObjectSet(name,OBJPROP_COLOR,colour);
   ObjectSet(name,OBJPROP_XDISTANCE,x);
   ObjectSet(name,OBJPROP_YDISTANCE,y);
   ObjectSetText(name,text,size,font,colour);
  }  
  
void a13Object(string name,int x,int y,string text="4",int size=666,
                  string font="Multimeter",color colour=CLR_NONE)
  {
   ObjectCreate(name,OBJ_LABEL,0,0,0);
   ObjectSet(name,OBJPROP_CORNER,3);
   ObjectSet(name,OBJPROP_COLOR,colour);
   ObjectSet(name,OBJPROP_XDISTANCE,x);
   ObjectSet(name,OBJPROP_YDISTANCE,y);
   ObjectSetText(name,text,size,font,colour);
  }   
  
void a14Object(string name,int x,int y,string text="5",int size=666,
                  string font="Multimeter",color colour=CLR_NONE)
  {
   ObjectCreate(name,OBJ_LABEL,0,0,0);
   ObjectSet(name,OBJPROP_CORNER,3);
   ObjectSet(name,OBJPROP_COLOR,colour);
   ObjectSet(name,OBJPROP_XDISTANCE,x);
   ObjectSet(name,OBJPROP_YDISTANCE,y);
   ObjectSetText(name,text,size,font,colour);
  }             
  
void a15Object(string name,int x,int y,string text="6",int size=666,
                  string font="Multimeter",color colour=CLR_NONE)
  {
   ObjectCreate(name,OBJ_LABEL,0,0,0);
   ObjectSet(name,OBJPROP_CORNER,3);
   ObjectSet(name,OBJPROP_COLOR,colour);
   ObjectSet(name,OBJPROP_XDISTANCE,x);
   ObjectSet(name,OBJPROP_YDISTANCE,y);
   ObjectSetText(name,text,size,font,colour);
  } 
  
void a16Object(string name,int x,int y,string text="7",int size=666,
                  string font="Multimeter",color colour=CLR_NONE)
  {
   ObjectCreate(name,OBJ_LABEL,0,0,0);
   ObjectSet(name,OBJPROP_CORNER,3);
   ObjectSet(name,OBJPROP_COLOR,colour);
   ObjectSet(name,OBJPROP_XDISTANCE,x);
   ObjectSet(name,OBJPROP_YDISTANCE,y);
   ObjectSetText(name,text,size,font,colour);
  }   
              
    
void objectCreate(string name,int x,int y,string text="-",int size=42,
                  string font="Arial",color colour=CLR_NONE)
  {
   ObjectCreate(name,OBJ_LABEL,0,0,0);
   ObjectSet(name,OBJPROP_CORNER,3);
   ObjectSet(name,OBJPROP_COLOR,colour);
   ObjectSet(name,OBJPROP_XDISTANCE,x);
   ObjectSet(name,OBJPROP_YDISTANCE,y);
   ObjectSetText(name,text,size,font,colour);
  }

void object2Create(string name,int x,int y,string text="_",int size=42,
                  string font="Arial",color colour=CLR_NONE)
  {
   ObjectCreate(name,OBJ_LABEL,0,0,0);
   ObjectSet(name,OBJPROP_CORNER,3);
   ObjectSet(name,OBJPROP_COLOR,colour);
   ObjectSet(name,OBJPROP_XDISTANCE,x);
   ObjectSet(name,OBJPROP_YDISTANCE,y);
   ObjectSetText(name,text,size,font,colour);
  }
  
void object3Create(string name,int x,int y,string text=".",int size=70,
                  string font="Arial Bold",color colour=CLR_NONE)
  {
   ObjectCreate(name,OBJ_LABEL,0,0,0);
   ObjectSet(name,OBJPROP_CORNER,3);
   ObjectSet(name,OBJPROP_COLOR,colour);
   ObjectSet(name,OBJPROP_XDISTANCE,x);
   ObjectSet(name,OBJPROP_YDISTANCE,y);
   ObjectSetText(name,text,size,font,colour);
  }
  
void object4Create(string name,int x,int y,string text=".",int size=74,
                  string font="Arial Bold",color colour=CLR_NONE)
  {
   ObjectCreate(name,OBJ_LABEL,0,0,0);
   ObjectSet(name,OBJPROP_CORNER,3);
   ObjectSet(name,OBJPROP_COLOR,colour);
   ObjectSet(name,OBJPROP_XDISTANCE,x);
   ObjectSet(name,OBJPROP_YDISTANCE,y);
   ObjectSetText(name,text,size,font,colour);
  }  
    
void object6Create(string name,int x,int y,string text=".",int size=40,
                  string font="Arial Bold",color colour=CLR_NONE)
  {
   ObjectCreate(name,OBJ_LABEL,0,0,0);
   ObjectSet(name,OBJPROP_CORNER,3);
   ObjectSet(name,OBJPROP_COLOR,colour);
   ObjectSet(name,OBJPROP_XDISTANCE,x);
   ObjectSet(name,OBJPROP_YDISTANCE,y);
   ObjectSetText(name,text,size,font,colour);
  }  
  
void object7Create(string name,int x,int y,string text="l",int size=410,
                  string font="Multimeter",color colour=CLR_NONE)
  {
   ObjectCreate(name,OBJ_LABEL,0,0,0);
   ObjectSet(name,OBJPROP_CORNER,3);
   ObjectSet(name,OBJPROP_COLOR,colour);
   ObjectSet(name,OBJPROP_XDISTANCE,x);
   ObjectSet(name,OBJPROP_YDISTANCE,y);
   ObjectSetText(name,text,size,font,colour);
  }    
  
void object8Create(string name,int x,int y,string text="J",int size=410,
                  string font="Multimeter",color colour=CLR_NONE)
  {
   ObjectCreate(name,OBJ_LABEL,0,0,0);
   ObjectSet(name,OBJPROP_CORNER,3);
   ObjectSet(name,OBJPROP_COLOR,colour);
   ObjectSet(name,OBJPROP_XDISTANCE,x);
   ObjectSet(name,OBJPROP_YDISTANCE,y);
   ObjectSetText(name,text,size,font,colour);
  }    
  
void object9Create(string name,int x,int y,string text="L",int size=410,
                  string font="Multimeter",color colour=CLR_NONE)
  {
   ObjectCreate(name,OBJ_LABEL,0,0,0);
   ObjectSet(name,OBJPROP_CORNER,3);
   ObjectSet(name,OBJPROP_COLOR,colour);
   ObjectSet(name,OBJPROP_XDISTANCE,x);
   ObjectSet(name,OBJPROP_YDISTANCE,y);
   ObjectSetText(name,text,size,font,colour);
  }        
  
void object10Create(string name,int x,int y,string text="K",int size=410,
                  string font="Multimeter",color colour=CLR_NONE)
  {
   ObjectCreate(name,OBJ_LABEL,0,0,0);
   ObjectSet(name,OBJPROP_CORNER,3);
   ObjectSet(name,OBJPROP_COLOR,colour);
   ObjectSet(name,OBJPROP_XDISTANCE,x);
   ObjectSet(name,OBJPROP_YDISTANCE,y);
   ObjectSetText(name,text,size,font,colour);
  }          
  
void object11Create(string name,int x,int y,string text="m",int size=410,
                  string font="Multimeter",color colour=CLR_NONE)
  {
   ObjectCreate(name,OBJ_LABEL,0,0,0);
   ObjectSet(name,OBJPROP_CORNER,3);
   ObjectSet(name,OBJPROP_COLOR,colour);
   ObjectSet(name,OBJPROP_XDISTANCE,x);
   ObjectSet(name,OBJPROP_YDISTANCE,y);
   ObjectSetText(name,text,size,font,colour);
  }    
  
void object12Create(string name,int x,int y,string text="n",int size=410,
                  string font="Multimeter",color colour=CLR_NONE)
  {
   ObjectCreate(name,OBJ_LABEL,0,0,0);
   ObjectSet(name,OBJPROP_CORNER,3);
   ObjectSet(name,OBJPROP_COLOR,colour);
   ObjectSet(name,OBJPROP_XDISTANCE,x);
   ObjectSet(name,OBJPROP_YDISTANCE,y);
   ObjectSetText(name,text,size,font,colour);
  }    
  
void object13Create(string name,int x,int y,string text="o",int size=410,
                  string font="Multimeter",color colour=CLR_NONE)
  {
   ObjectCreate(name,OBJ_LABEL,0,0,0);
   ObjectSet(name,OBJPROP_CORNER,3);
   ObjectSet(name,OBJPROP_COLOR,colour);
   ObjectSet(name,OBJPROP_XDISTANCE,x);
   ObjectSet(name,OBJPROP_YDISTANCE,y);
   ObjectSetText(name,text,size,font,colour);
  }        
  
void object14Create(string name,int x,int y,string text="p",int size=410,
                  string font="Multimeter",color colour=CLR_NONE)
  {
   ObjectCreate(name,OBJ_LABEL,0,0,0);
   ObjectSet(name,OBJPROP_CORNER,3);
   ObjectSet(name,OBJPROP_COLOR,colour);
   ObjectSet(name,OBJPROP_XDISTANCE,x);
   ObjectSet(name,OBJPROP_YDISTANCE,y);
   ObjectSetText(name,text,size,font,colour);
  }          
  
void object15Create(string name,int x,int y,string text="q",int size=410,
                  string font="Multimeter",color colour=CLR_NONE)
  {
   ObjectCreate(name,OBJ_LABEL,0,0,0);
   ObjectSet(name,OBJPROP_CORNER,3);
   ObjectSet(name,OBJPROP_COLOR,colour);
   ObjectSet(name,OBJPROP_XDISTANCE,x);
   ObjectSet(name,OBJPROP_YDISTANCE,y);
   ObjectSetText(name,text,size,font,colour);
  }    
  
void object16Create(string name,int x,int y,string text="r",int size=410,
                  string font="Multimeter",color colour=CLR_NONE)
  {
   ObjectCreate(name,OBJ_LABEL,0,0,0);
   ObjectSet(name,OBJPROP_CORNER,3);
   ObjectSet(name,OBJPROP_COLOR,colour);
   ObjectSet(name,OBJPROP_XDISTANCE,x);
   ObjectSet(name,OBJPROP_YDISTANCE,y);
   ObjectSetText(name,text,size,font,colour);
  }    
  
void object17Create(string name,int x,int y,string text="s",int size=410,
                  string font="Multimeter",color colour=CLR_NONE)
  {
   ObjectCreate(name,OBJ_LABEL,0,0,0);
   ObjectSet(name,OBJPROP_CORNER,3);
   ObjectSet(name,OBJPROP_COLOR,colour);
   ObjectSet(name,OBJPROP_XDISTANCE,x);
   ObjectSet(name,OBJPROP_YDISTANCE,y);
   ObjectSetText(name,text,size,font,colour);
  }        
  
void object18Create(string name,int x,int y,string text="t",int size=410,
                  string font="Multimeter",color colour=CLR_NONE)
  {
   ObjectCreate(name,OBJ_LABEL,0,0,0);
   ObjectSet(name,OBJPROP_CORNER,3);
   ObjectSet(name,OBJPROP_COLOR,colour);
   ObjectSet(name,OBJPROP_XDISTANCE,x);
   ObjectSet(name,OBJPROP_YDISTANCE,y);
   ObjectSetText(name,text,size,font,colour);
  }          
  
void object19Create(string name,int x,int y,string text="u",int size=410,
                  string font="Multimeter",color colour=CLR_NONE)
  {
   ObjectCreate(name,OBJ_LABEL,0,0,0);
   ObjectSet(name,OBJPROP_CORNER,3);
   ObjectSet(name,OBJPROP_COLOR,colour);
   ObjectSet(name,OBJPROP_XDISTANCE,x);
   ObjectSet(name,OBJPROP_YDISTANCE,y);
   ObjectSetText(name,text,size,font,colour);
  }    
  
void object20Create(string name,int x,int y,string text="v",int size=410,
                  string font="Multimeter",color colour=CLR_NONE)
  {
   ObjectCreate(name,OBJ_LABEL,0,0,0);
   ObjectSet(name,OBJPROP_CORNER,3);
   ObjectSet(name,OBJPROP_COLOR,colour);
   ObjectSet(name,OBJPROP_XDISTANCE,x);
   ObjectSet(name,OBJPROP_YDISTANCE,y);
   ObjectSetText(name,text,size,font,colour);
  }    
  
void object21Create(string name,int x,int y,string text="w",int size=410,
                  string font="Multimeter",color colour=CLR_NONE)
  {
   ObjectCreate(name,OBJ_LABEL,0,0,0);
   ObjectSet(name,OBJPROP_CORNER,3);
   ObjectSet(name,OBJPROP_COLOR,colour);
   ObjectSet(name,OBJPROP_XDISTANCE,x);
   ObjectSet(name,OBJPROP_YDISTANCE,y);
   ObjectSetText(name,text,size,font,colour);
  }        
  
void object22Create(string name,int x,int y,string text="x",int size=410,
                  string font="Multimeter",color colour=CLR_NONE)
  {
   ObjectCreate(name,OBJ_LABEL,0,0,0);
   ObjectSet(name,OBJPROP_CORNER,3);
   ObjectSet(name,OBJPROP_COLOR,colour);
   ObjectSet(name,OBJPROP_XDISTANCE,x);
   ObjectSet(name,OBJPROP_YDISTANCE,y);
   ObjectSetText(name,text,size,font,colour);
  }          
  
void object23Create(string name,int x,int y,string text="y",int size=410,
                  string font="Multimeter",color colour=CLR_NONE)
  {
   ObjectCreate(name,OBJ_LABEL,0,0,0);
   ObjectSet(name,OBJPROP_CORNER,3);
   ObjectSet(name,OBJPROP_COLOR,colour);
   ObjectSet(name,OBJPROP_XDISTANCE,x);
   ObjectSet(name,OBJPROP_YDISTANCE,y);
   ObjectSetText(name,text,size,font,colour);
  }    
  
void object24Create(string name,int x,int y,string text="z",int size=410,
                  string font="Multimeter",color colour=CLR_NONE)
  {
   ObjectCreate(name,OBJ_LABEL,0,0,0);
   ObjectSet(name,OBJPROP_CORNER,3);
   ObjectSet(name,OBJPROP_COLOR,colour);
   ObjectSet(name,OBJPROP_XDISTANCE,x);
   ObjectSet(name,OBJPROP_YDISTANCE,y);
   ObjectSetText(name,text,size,font,colour);
  }    
  
void object25Create(string name,int x,int y,string text="A",int size=410,
                  string font="Multimeter",color colour=CLR_NONE)
  {
   ObjectCreate(name,OBJ_LABEL,0,0,0);
   ObjectSet(name,OBJPROP_CORNER,3);
   ObjectSet(name,OBJPROP_COLOR,colour);
   ObjectSet(name,OBJPROP_XDISTANCE,x);
   ObjectSet(name,OBJPROP_YDISTANCE,y);
   ObjectSetText(name,text,size,font,colour);
  }        
  
void object26Create(string name,int x,int y,string text="B",int size=410,
                  string font="Multimeter",color colour=CLR_NONE)
  {
   ObjectCreate(name,OBJ_LABEL,0,0,0);
   ObjectSet(name,OBJPROP_CORNER,3);
   ObjectSet(name,OBJPROP_COLOR,colour);
   ObjectSet(name,OBJPROP_XDISTANCE,x);
   ObjectSet(name,OBJPROP_YDISTANCE,y);
   ObjectSetText(name,text,size,font,colour);
  }          

void object27Create(string name,int x,int y,string text="C",int size=410,
                  string font="Multimeter",color colour=CLR_NONE)
  {
   ObjectCreate(name,OBJ_LABEL,0,0,0);
   ObjectSet(name,OBJPROP_CORNER,3);
   ObjectSet(name,OBJPROP_COLOR,colour);
   ObjectSet(name,OBJPROP_XDISTANCE,x);
   ObjectSet(name,OBJPROP_YDISTANCE,y);
   ObjectSetText(name,text,size,font,colour);
  }    
  
void object28Create(string name,int x,int y,string text="D",int size=410,
                  string font="Multimeter",color colour=CLR_NONE)
  {
   ObjectCreate(name,OBJ_LABEL,0,0,0);
   ObjectSet(name,OBJPROP_CORNER,3);
   ObjectSet(name,OBJPROP_COLOR,colour);
   ObjectSet(name,OBJPROP_XDISTANCE,x);
   ObjectSet(name,OBJPROP_YDISTANCE,y);
   ObjectSetText(name,text,size,font,colour);
  }        
  
void object29Create(string name,int x,int y,string text="E",int size=410,
                  string font="Multimeter",color colour=CLR_NONE)
  {
   ObjectCreate(name,OBJ_LABEL,0,0,0);
   ObjectSet(name,OBJPROP_CORNER,3);
   ObjectSet(name,OBJPROP_COLOR,colour);
   ObjectSet(name,OBJPROP_XDISTANCE,x);
   ObjectSet(name,OBJPROP_YDISTANCE,y);
   ObjectSetText(name,text,size,font,colour);
  }          

void object30Create(string name,int x,int y,string text="F",int size=410,
                  string font="Multimeter",color colour=CLR_NONE)
  {
   ObjectCreate(name,OBJ_LABEL,0,0,0);
   ObjectSet(name,OBJPROP_CORNER,3);
   ObjectSet(name,OBJPROP_COLOR,colour);
   ObjectSet(name,OBJPROP_XDISTANCE,x);
   ObjectSet(name,OBJPROP_YDISTANCE,y);
   ObjectSetText(name,text,size,font,colour);
  }    
  
void object31Create(string name,int x,int y,string text="G",int size=410,
                  string font="Multimeter",color colour=CLR_NONE)
  {
   ObjectCreate(name,OBJ_LABEL,0,0,0);
   ObjectSet(name,OBJPROP_CORNER,3);
   ObjectSet(name,OBJPROP_COLOR,colour);
   ObjectSet(name,OBJPROP_XDISTANCE,x);
   ObjectSet(name,OBJPROP_YDISTANCE,y);
   ObjectSetText(name,text,size,font,colour);
  }        
  
void object32Create(string name,int x,int y,string text="H",int size=410,
                  string font="Multimeter",color colour=CLR_NONE)
  {
   ObjectCreate(name,OBJ_LABEL,0,0,0);
   ObjectSet(name,OBJPROP_CORNER,3);
   ObjectSet(name,OBJPROP_COLOR,colour);
   ObjectSet(name,OBJPROP_XDISTANCE,x);
   ObjectSet(name,OBJPROP_YDISTANCE,y);
   ObjectSetText(name,text,size,font,colour);
  }   
  
void object33Create(string name,int x,int y,string text="N",int size=410,
                  string font="Multimeter",color colour=CLR_NONE)
  {
   ObjectCreate(name,OBJ_LABEL,0,0,0);
   ObjectSet(name,OBJPROP_CORNER,3);
   ObjectSet(name,OBJPROP_COLOR,colour);
   ObjectSet(name,OBJPROP_XDISTANCE,x);
   ObjectSet(name,OBJPROP_YDISTANCE,y);
   ObjectSetText(name,text,size,font,colour);
  }        
  
void object34Create(string name,int x,int y,string text="O",int size=410,
                  string font="Multimeter",color colour=CLR_NONE)
  {
   ObjectCreate(name,OBJ_LABEL,0,0,0);
   ObjectSet(name,OBJPROP_CORNER,3);
   ObjectSet(name,OBJPROP_COLOR,colour);
   ObjectSet(name,OBJPROP_XDISTANCE,x);
   ObjectSet(name,OBJPROP_YDISTANCE,y);
   ObjectSetText(name,text,size,font,colour);
  }              

void object35Create(string name,int x,int y,string text="P",int size=410,
                  string font="Multimeter",color colour=CLR_NONE)
  {
   ObjectCreate(name,OBJ_LABEL,0,0,0);
   ObjectSet(name,OBJPROP_CORNER,3);
   ObjectSet(name,OBJPROP_COLOR,colour);
   ObjectSet(name,OBJPROP_XDISTANCE,x);
   ObjectSet(name,OBJPROP_YDISTANCE,y);
   ObjectSetText(name,text,size,font,colour);
  }       
 
void objectBlank()
  {
  // Casing -------------------  
   ObjectSet("Z111",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("Z113",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("Z114",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("Z115",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("Z116",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("Z117",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("Z118",OBJPROP_COLOR,CLR_NONE);
   
   ObjectSet("Z119",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("Z121",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("Z122",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("Z123",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("Z124",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("Z125",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("Z126",OBJPROP_COLOR,CLR_NONE);
// Stochastic Graphs -------------------
   ObjectSet("ZM_1_90",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZM_1_80",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZM_1_70",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZM_1_60",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZM_1_50",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZM_1_40",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZM_1_30",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZM_1_20",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZM_1_10",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZM_1_0",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZM_1",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZM_1p",OBJPROP_COLOR,CLR_NONE);

   ObjectSet("ZM_5_90",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZM_5_80",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZM_5_70",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZM_5_60",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZM_5_50",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZM_5_40",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZM_5_30",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZM_5_20",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZM_5_10",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZM_5_0",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZM_5",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZM_5p",OBJPROP_COLOR,CLR_NONE);

   ObjectSet("ZM_15_90",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZM_15_80",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZM_15_70",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZM_15_60",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZM_15_50",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZM_15_40",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZM_15_30",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZM_15_20",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZM_15_10",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZM_15_0",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZM_15",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZM_15p",OBJPROP_COLOR,CLR_NONE);

   ObjectSet("ZM_30_90",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZM_30_80",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZM_30_70",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZM_30_60",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZM_30_50",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZM_30_40",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZM_30_30",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZM_30_20",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZM_30_10",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZM_30_0",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZM_30",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZM_30p",OBJPROP_COLOR,CLR_NONE);

   ObjectSet("ZH_1_90",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZH_1_80",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZH_1_70",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZH_1_60",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZH_1_50",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZH_1_40",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZH_1_30",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZH_1_20",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZH_1_10",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZH_1_0",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZH_1",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZH_1p",OBJPROP_COLOR,CLR_NONE);

   ObjectSet("ZH_4_90",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZH_4_80",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZH_4_70",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZH_4_60",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZH_4_50",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZH_4_40",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZH_4_30",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZH_4_20",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZH_4_10",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZH_4_0",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZH_4",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZH_4p",OBJPROP_COLOR,CLR_NONE);

   ObjectSet("ZD_1_90",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZD_1_80",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZD_1_70",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZD_1_60",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZD_1_50",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZD_1_40",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZD_1_30",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZD_1_20",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZD_1_10",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZD_1_0",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZD_1",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZD_1p",OBJPROP_COLOR,CLR_NONE);
   
   ObjectSet("Zline",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("Zline1",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("Zline2",OBJPROP_COLOR,CLR_NONE); 
   ObjectSet("Zsign",OBJPROP_COLOR,CLR_NONE);
   
   // MA Graphs -------------------
   ObjectSet("Z2M_1_MA",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("Z2M_5_MA",OBJPROP_COLOR,CLR_NONE); 
   ObjectSet("Z2M_15_MA",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("Z2M_30_MA",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("Z2H_1_MA",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("Z2H_4_MA",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("Z2D_1_MA",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("Z2D_1_MA",OBJPROP_COLOR,CLR_NONE);   
   
   ObjectSet("Z2M_1",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("Z2M_5",OBJPROP_COLOR,CLR_NONE); 
   ObjectSet("Z2M_15",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("Z2M_30",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("Z2H_1",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("Z2H_4",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("Z2D_1",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("Z2D_1",OBJPROP_COLOR,CLR_NONE);
   
   ObjectSet("Z2line1",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("Z2line2",OBJPROP_COLOR,CLR_NONE); 
   ObjectSet("Z2line",OBJPROP_COLOR,CLR_NONE); 
   ObjectSet("Z2sign",OBJPROP_COLOR,CLR_NONE); 
   
   // WPR Graph ------------------- 
   ObjectSet("ZV+5",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZV+4",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZV+3",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZV+2",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZV+1",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZV=0",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZV-1",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZV-2",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZV-3",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZV-4",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZV-5",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZVolumeChart",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZWPRTitle",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZWPRpercent",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZWPRValue",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZWPRLine1",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZWPRLine2",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZWPRLine3",OBJPROP_COLOR,CLR_NONE);
   
   // Spread Graph ------------------- 
   ObjectSet("ZSpreadValue",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZSpreadTitle",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZSpreadPips",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZSpreadLine1",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZSpreadLine2",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZSpreadLine3",OBJPROP_COLOR,CLR_NONE);
   
   // PSAR Graph -------------------
   ObjectSet("ZPSAR_Value1",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZPSAR_Value2",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZPSAR_Chart",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZPSAR_Line1",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZPSAR_Line2",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZPSAR_Line3",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZPSAR_Title",OBJPROP_COLOR,CLR_NONE);
   
   // MACD Graph -------------------
   ObjectSet("ZMACD_Value1",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZMACD_Value2",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZMACD_Value3",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZMACD_Value4",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZMACD_Value5",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZMACD_Value6",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZMACD_Chart",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZMACD_Line1",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZMACD_Line2",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZMACD_Title",OBJPROP_COLOR,CLR_NONE);
   
   // MA Xover Graph -------------------
   if (!DisplayCompact)
   {ObjectSet("ZMAXoverValue1",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZMAXoverValue2",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZMAXoverChart",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZMAXoverLine1",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZMAXoverLine2",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZMAXoverTitle",OBJPROP_COLOR,CLR_NONE);
   }  
   
   // BarMeter Graph -------------------
   ObjectSet("ZBarsLine1",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZBarsLine2",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZBarsLine3",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZBarsTitle",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZBarsDescription",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZBar_Value1",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZBar_Value2",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZBar_Value3",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZBar_Value4",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZBar_Value5",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZBar_1",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZBar_2",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZBar_3",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZBar_4",OBJPROP_COLOR,CLR_NONE); 
   ObjectSet("ZBar_5",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZB_1",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZB_2",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZB_3",OBJPROP_COLOR,CLR_NONE); 
   ObjectSet("ZB_4",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZB_5",OBJPROP_COLOR,CLR_NONE); 
   ObjectSet("ZBarsSpeeding",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZBarsSlowing",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZBarsSteady",OBJPROP_COLOR,CLR_NONE); 
   ObjectSet("ZBarsStopped",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZBarsPercent",OBJPROP_COLOR,CLR_NONE);
   
   // B-Band Oscillator -------------------
   ObjectSet("ZBBLine1",OBJPROP_COLOR,CLR_NONE);  
   ObjectSet("ZBBLine2",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZBBLine3",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZBBLine4",OBJPROP_COLOR,CLR_NONE);  
   ObjectSet("ZBBLine5",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZBBLine6",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZBBTitle",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZBBVol",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZBBM_1",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZBBM_5",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZBBM_15",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZBBM_30",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZBBH_1",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZBBH_4",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZBBD_1",OBJPROP_COLOR,CLR_NONE); 
   ObjectSet("ZBB_M1_100",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZBB_M1_90",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZBB_M1_80",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZBB_M1_70",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZBB_M1_60",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZBB_M1_50",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZBB_M1_40",OBJPROP_COLOR,CLR_NONE); 
   ObjectSet("ZBB_M1_30",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZBB_M1_20",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZBB_M1_10",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZBB_M1_0",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZBB_M1_-0",OBJPROP_COLOR,CLR_NONE); 
   ObjectSet("ZBB_M5_100",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZBB_M5_90",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZBB_M5_80",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZBB_M5_70",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZBB_M5_60",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZBB_M5_50",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZBB_M5_40",OBJPROP_COLOR,CLR_NONE); 
   ObjectSet("ZBB_M5_30",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZBB_M5_20",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZBB_M5_10",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZBB_M5_0",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZBB_M5_-0",OBJPROP_COLOR,CLR_NONE); 
   ObjectSet("ZBB_M15_100",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZBB_M15_90",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZBB_M15_80",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZBB_M15_70",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZBB_M15_60",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZBB_M15_50",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZBB_M15_40",OBJPROP_COLOR,CLR_NONE); 
   ObjectSet("ZBB_M15_30",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZBB_M15_20",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZBB_M15_10",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZBB_M15_0",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZBB_M15_-0",OBJPROP_COLOR,CLR_NONE); 
   ObjectSet("ZBB_M30_100",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZBB_M30_90",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZBB_M30_80",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZBB_M30_70",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZBB_M30_60",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZBB_M30_50",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZBB_M30_40",OBJPROP_COLOR,CLR_NONE); 
   ObjectSet("ZBB_M30_30",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZBB_M30_20",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZBB_M30_10",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZBB_M30_0",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZBB_M30_-0",OBJPROP_COLOR,CLR_NONE); 
   ObjectSet("ZBB_H1_100",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZBB_H1_90",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZBB_H1_80",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZBB_H1_70",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZBB_H1_60",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZBB_H1_50",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZBB_H1_40",OBJPROP_COLOR,CLR_NONE); 
   ObjectSet("ZBB_H1_30",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZBB_H1_20",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZBB_H1_10",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZBB_H1_0",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZBB_H1_-0",OBJPROP_COLOR,CLR_NONE); 
   ObjectSet("ZBB_H4_100",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZBB_H4_90",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZBB_H4_80",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZBB_H4_70",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZBB_H4_60",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZBB_H4_50",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZBB_H4_40",OBJPROP_COLOR,CLR_NONE); 
   ObjectSet("ZBB_H4_30",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZBB_H4_20",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZBB_H4_10",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZBB_H4_0",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZBB_H4_-0",OBJPROP_COLOR,CLR_NONE); 
   ObjectSet("ZBB_D1_100",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZBB_D1_90",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZBB_D1_80",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZBB_D1_70",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZBB_D1_60",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZBB_D1_50",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZBB_D1_40",OBJPROP_COLOR,CLR_NONE); 
   ObjectSet("ZBB_D1_30",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZBB_D1_20",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZBB_D1_10",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZBB_D1_0",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZBB_D1_-0",OBJPROP_COLOR,CLR_NONE); 
   ObjectSet("ZZBBBreakoutUp",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZZBBBreakoutDown",OBJPROP_COLOR,CLR_NONE);
   
   // Trend-O-Graph ------------------------------
   ObjectSet("ZTGraphLine1",OBJPROP_COLOR,CLR_NONE); 
   ObjectSet("ZTGraphLine2",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZTGraphLine3",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZTGraphTitle",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZTGM_1",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZTGM_5",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZTGM_15",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZTGM_30",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZTGH_1",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZTGH_4",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZTGD_1",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZTGMA_1",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZTGMA_2",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZTGMA_3",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZTGMA_4",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZTGMA_5",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZTGMA_6",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZTGMA_7",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZTGM_1_MA1",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZTGM_5_MA1",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZTGM_15_MA1",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZTGM_30_MA1",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZTGH_1_MA1",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZTGH_4_MA1",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZTGD_1_MA1",OBJPROP_COLOR,CLR_NONE); 
   ObjectSet("ZTGM_1_MA2",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZTGM_5_MA2",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZTGM_15_MA2",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZTGM_30_MA2",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZTGH_1_MA2",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZTGH_4_MA2",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZTGD_1_MA2",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZTGM_1_MA3",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZTGM_5_MA3",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZTGM_15_MA3",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZTGM_30_MA3",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZTGH_1_MA3",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZTGH_4_MA3",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZTGD_1_MA3",OBJPROP_COLOR,CLR_NONE); 
   ObjectSet("ZTGM_1_MA4",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZTGM_5_MA4",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZTGM_15_MA4",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZTGM_30_MA4",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZTGH_1_MA4",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZTGH_4_MA4",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZTGD_1_MA4",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZTGM_1_MA5",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZTGM_5_MA5",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZTGM_15_MA5",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZTGM_30_MA5",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZTGH_1_MA5",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZTGH_4_MA5",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZTGD_1_MA5",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZTGM_1_MA6",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZTGM_5_MA6",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZTGM_15_MA6",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZTGM_30_MA6",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZTGH_1_MA6",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZTGH_4_MA6",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZTGD_1_MA6",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZTGM_1_MA7",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZTGM_5_MA7",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZTGM_15_MA7",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZTGM_30_MA7",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZTGH_1_MA7",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZTGH_4_MA7",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZTGD_1_MA7",OBJPROP_COLOR,CLR_NONE);
   
   // Signal Graph -------------------
   ObjectSet("ZSignalLine1",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZSignalLine2",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZSignalTitle",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZSignalUp",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZSignalDown",OBJPROP_COLOR,CLR_NONE);
   ObjectSet("ZSignalWait",OBJPROP_COLOR,CLR_NONE); 
   
   // Bulls/Bears VU Meter
  ObjectSet("ZVUMeterBkgnd",OBJPROP_COLOR,C'179,110,040');
  ObjectSet("ZVUMeterBkgndShdw",OBJPROP_COLOR,C'150,080,010');
  ObjectSet("ZVUMeterScaleLeft",OBJPROP_COLOR,Red);
  ObjectSet("ZVUMeterScaleRight",OBJPROP_COLOR,Green);
  ObjectSet("ZVUMeterScaleCentre",OBJPROP_COLOR,Black);
  ObjectSet("ZVUMeterScale-100",OBJPROP_COLOR,Black);
  ObjectSet("ZVUMeterScale0",OBJPROP_COLOR,Black);
  ObjectSet("ZVUMeterScale100",OBJPROP_COLOR,Black);
  //ObjectSet("ZVUMeterScale-50",OBJPROP_COLOR,Black);
  //ObjectSet("ZVUMeterScale50",OBJPROP_COLOR,Black);
  ObjectSet("ZVUMeterStatus1",OBJPROP_COLOR,C'179,110,040');
  ObjectSet("ZVUMeterStatus2",OBJPROP_COLOR,C'179,110,040');
  ObjectSet("ZVUMeterStatus3",OBJPROP_COLOR,C'179,110,040');
  ObjectSet("ZVUMeterStatus4",OBJPROP_COLOR,C'179,110,040');
  ObjectSet("ZVUMeterStatus5",OBJPROP_COLOR,C'179,110,040');
  ObjectSet("ZVUMeterZBears",OBJPROP_COLOR,Black);
  ObjectSet("ZVUMeterZBulls",OBJPROP_COLOR,Black);
  ObjectSet("ZVUMeterZ%Left",OBJPROP_COLOR,Black);
  ObjectSet("ZVUMeterZ%Right",OBJPROP_COLOR,Black);
  ObjectSet("ZVUMeterZBearsPercent",OBJPROP_COLOR,Black);
  ObjectSet("ZVUMeterZBullsPercent",OBJPROP_COLOR,Black);
  if (BlueScreen)
  {
  ObjectSet("ZVUMeterPos1",OBJPROP_COLOR,C'060,130,160');
  ObjectSet("ZVUMeterPos2",OBJPROP_COLOR,C'060,130,160');
  ObjectSet("ZVUMeterPos3",OBJPROP_COLOR,C'060,130,160');
  ObjectSet("ZVUMeterPos4",OBJPROP_COLOR,C'060,130,160');
  ObjectSet("ZVUMeterPos5",OBJPROP_COLOR,C'060,130,160');
  ObjectSet("ZVUMeterPos6",OBJPROP_COLOR,C'060,130,160');
  ObjectSet("ZVUMeterPos7",OBJPROP_COLOR,C'060,130,160');
  ObjectSet("ZVUMeterPos8",OBJPROP_COLOR,C'060,130,160');
  ObjectSet("ZVUMeterPos9",OBJPROP_COLOR,C'060,130,160');
  ObjectSet("ZVUMeterPos10",OBJPROP_COLOR,C'060,130,160');
  ObjectSet("ZVUMeterPos11",OBJPROP_COLOR,C'060,130,160');
  ObjectSet("ZVUMeterPos12",OBJPROP_COLOR,C'060,130,160');
  ObjectSet("ZVUMeterPos13",OBJPROP_COLOR,C'060,130,160');
  ObjectSet("ZVUMeterPos14",OBJPROP_COLOR,C'060,130,160');
  ObjectSet("ZVUMeterPos15",OBJPROP_COLOR,C'060,130,160');
  ObjectSet("ZVUMeterPos16",OBJPROP_COLOR,C'060,130,160');
  ObjectSet("ZVUMeterPos17",OBJPROP_COLOR,C'060,130,160');
  ObjectSet("ZVUMeterPos18",OBJPROP_COLOR,C'060,130,160');
  ObjectSet("ZVUMeterPos19",OBJPROP_COLOR,C'060,130,160');
  ObjectSet("ZVUMeterPos20",OBJPROP_COLOR,C'060,130,160');
  ObjectSet("ZVUMeterPos21",OBJPROP_COLOR,C'060,130,160');
  }
 else
 {
  ObjectSet("ZVUMeterPos1",OBJPROP_COLOR,C'179,110,040');
  ObjectSet("ZVUMeterPos2",OBJPROP_COLOR,C'179,110,040');
  ObjectSet("ZVUMeterPos3",OBJPROP_COLOR,C'179,110,040');
  ObjectSet("ZVUMeterPos4",OBJPROP_COLOR,C'179,110,040');
  ObjectSet("ZVUMeterPos5",OBJPROP_COLOR,C'179,110,040');
  ObjectSet("ZVUMeterPos6",OBJPROP_COLOR,C'179,110,040');
  ObjectSet("ZVUMeterPos7",OBJPROP_COLOR,C'179,110,040');
  ObjectSet("ZVUMeterPos8",OBJPROP_COLOR,C'179,110,040');
  ObjectSet("ZVUMeterPos9",OBJPROP_COLOR,C'179,110,040');
  ObjectSet("ZVUMeterPos10",OBJPROP_COLOR,C'179,110,040');
  ObjectSet("ZVUMeterPos11",OBJPROP_COLOR,C'179,110,040');
  ObjectSet("ZVUMeterPos12",OBJPROP_COLOR,C'179,110,040');
  ObjectSet("ZVUMeterPos13",OBJPROP_COLOR,C'179,110,040');
  ObjectSet("ZVUMeterPos14",OBJPROP_COLOR,C'179,110,040');
  ObjectSet("ZVUMeterPos15",OBJPROP_COLOR,C'179,110,040');
  ObjectSet("ZVUMeterPos16",OBJPROP_COLOR,C'179,110,040');
  ObjectSet("ZVUMeterPos17",OBJPROP_COLOR,C'179,110,040');
  ObjectSet("ZVUMeterPos18",OBJPROP_COLOR,C'179,110,040');
  ObjectSet("ZVUMeterPos19",OBJPROP_COLOR,C'179,110,040');
  ObjectSet("ZVUMeterPos20",OBJPROP_COLOR,C'179,110,040');
  ObjectSet("ZVUMeterPos21",OBJPROP_COLOR,C'179,110,040');
 }
  ObjectSet("ZVUMeterZFarLeft",OBJPROP_COLOR,Black);
  ObjectSet("ZVUMeterZFarRight",OBJPROP_COLOR,Black);
  ObjectSet("ZVUMeterZPivot",OBJPROP_COLOR,Black);
  }

void paintCasing()
{
ObjectSet("Z111",OBJPROP_COLOR,C'000,000,000');
ObjectSet("Z113",OBJPROP_COLOR,C'025,025,022');
ObjectSet("Z114",OBJPROP_COLOR,C'014,014,012');
ObjectSet("Z115",OBJPROP_COLOR,C'040,040,035');
ObjectSet("Z116",OBJPROP_COLOR,C'040,040,035');
ObjectSet("Z117",OBJPROP_COLOR,C'120,120,100');
ObjectSet("Z118",OBJPROP_COLOR,C'120,120,100');

ObjectSet("Z119",OBJPROP_COLOR,C'000,000,000');
ObjectSet("Z121",OBJPROP_COLOR,C'023,023,020');
ObjectSet("Z122",OBJPROP_COLOR,C'010,010,010');
ObjectSet("Z123",OBJPROP_COLOR,C'040,040,035');
ObjectSet("Z124",OBJPROP_COLOR,C'040,040,035');
ObjectSet("Z125",OBJPROP_COLOR,C'125,125,115');
ObjectSet("Z126",OBJPROP_COLOR,C'125,125,115');
}
   
void paintM1(double value)
  {
   if (value >= 90) ObjectSet("ZM_1_90",OBJPROP_COLOR,Lime);
   if (value >= 80) ObjectSet("ZM_1_80",OBJPROP_COLOR,Lime);
   if (value >= 70) ObjectSet("ZM_1_70",OBJPROP_COLOR,LawnGreen);   
   if (value >= 60) ObjectSet("ZM_1_60",OBJPROP_COLOR,GreenYellow);
   if (value >= 50) ObjectSet("ZM_1_50",OBJPROP_COLOR,Yellow);
   if (value >= 40) ObjectSet("ZM_1_40",OBJPROP_COLOR,Gold);
   if (value >= 30) ObjectSet("ZM_1_30",OBJPROP_COLOR,Orange);
   if (value >= 20) ObjectSet("ZM_1_20",OBJPROP_COLOR,DarkOrange);   
   if (value >= 10) ObjectSet("ZM_1_10",OBJPROP_COLOR,OrangeRed);
   if (value >= 0) ObjectSet("ZM_1_0",OBJPROP_COLOR,Red);
   ObjectSet("ZM_1",OBJPROP_COLOR,SkyBlue);
   ObjectSetText("ZM_1p",DoubleToStr(value,0),8,"Arial Narrow",Silver);
  }

void paintM5(double value)
  {
   if (value > 90) ObjectSet("ZM_5_90",OBJPROP_COLOR,Lime);
   if (value > 80) ObjectSet("ZM_5_80",OBJPROP_COLOR,Lime);
   if (value > 70) ObjectSet("ZM_5_70",OBJPROP_COLOR,LawnGreen);   
   if (value > 60) ObjectSet("ZM_5_60",OBJPROP_COLOR,GreenYellow);
   if (value > 50) ObjectSet("ZM_5_50",OBJPROP_COLOR,Yellow);
   if (value > 40) ObjectSet("ZM_5_40",OBJPROP_COLOR,Gold);
   if (value > 30) ObjectSet("ZM_5_30",OBJPROP_COLOR,Orange);
   if (value > 20) ObjectSet("ZM_5_20",OBJPROP_COLOR,DarkOrange);   
   if (value > 10) ObjectSet("ZM_5_10",OBJPROP_COLOR,OrangeRed);
   if (value > 0) ObjectSet("ZM_5_0",OBJPROP_COLOR,Red);
   ObjectSet("ZM_5",OBJPROP_COLOR,SkyBlue);
   ObjectSetText("ZM_5p",DoubleToStr(value,0),8,"Arial Narrow",Silver);
  }

void paintM15(double value)
  {
   if (value > 90) ObjectSet("ZM_15_90",OBJPROP_COLOR,Lime);
   if (value > 80) ObjectSet("ZM_15_80",OBJPROP_COLOR,Lime);
   if (value > 70) ObjectSet("ZM_15_70",OBJPROP_COLOR,LawnGreen);   
   if (value > 60) ObjectSet("ZM_15_60",OBJPROP_COLOR,GreenYellow);
   if (value > 50) ObjectSet("ZM_15_50",OBJPROP_COLOR,Yellow);
   if (value > 40) ObjectSet("ZM_15_40",OBJPROP_COLOR,Gold);
   if (value > 30) ObjectSet("ZM_15_30",OBJPROP_COLOR,Orange);
   if (value > 20) ObjectSet("ZM_15_20",OBJPROP_COLOR,DarkOrange);   
   if (value > 10) ObjectSet("ZM_15_10",OBJPROP_COLOR,OrangeRed);
   if (value > 0) ObjectSet("ZM_15_0",OBJPROP_COLOR,Red);
   ObjectSet("ZM_15",OBJPROP_COLOR,SkyBlue);
   ObjectSetText("ZM_15p",DoubleToStr(value,0),8,"Arial Narrow",Silver);
  }

void paintM30(double value)
  {
   if (value > 90) ObjectSet("ZM_30_90",OBJPROP_COLOR,Lime);
   if (value > 80) ObjectSet("ZM_30_80",OBJPROP_COLOR,Lime);
   if (value > 70) ObjectSet("ZM_30_70",OBJPROP_COLOR,LawnGreen);   
   if (value > 60) ObjectSet("ZM_30_60",OBJPROP_COLOR,GreenYellow);
   if (value > 50) ObjectSet("ZM_30_50",OBJPROP_COLOR,Yellow);
   if (value > 40) ObjectSet("ZM_30_40",OBJPROP_COLOR,Gold);
   if (value > 30) ObjectSet("ZM_30_30",OBJPROP_COLOR,Orange);
   if (value > 20) ObjectSet("ZM_30_20",OBJPROP_COLOR,DarkOrange);   
   if (value > 10) ObjectSet("ZM_30_10",OBJPROP_COLOR,OrangeRed);
   if (value > 0) ObjectSet("ZM_30_0",OBJPROP_COLOR,Red);
   ObjectSet("ZM_30",OBJPROP_COLOR,SkyBlue);
   ObjectSetText("ZM_30p",DoubleToStr(value,0),8,"Arial Narrow",Silver);
  }

void paintH1(double value)
  {
   if (value > 90) ObjectSet("ZH_1_90",OBJPROP_COLOR,Lime);
   if (value > 80) ObjectSet("ZH_1_80",OBJPROP_COLOR,Lime);
   if (value > 70) ObjectSet("ZH_1_70",OBJPROP_COLOR,LawnGreen);   
   if (value > 60) ObjectSet("ZH_1_60",OBJPROP_COLOR,GreenYellow);
   if (value > 50) ObjectSet("ZH_1_50",OBJPROP_COLOR,Yellow);
   if (value > 40) ObjectSet("ZH_1_40",OBJPROP_COLOR,Gold);
   if (value > 30) ObjectSet("ZH_1_30",OBJPROP_COLOR,Orange);
   if (value > 20) ObjectSet("ZH_1_20",OBJPROP_COLOR,DarkOrange);   
   if (value > 10) ObjectSet("ZH_1_10",OBJPROP_COLOR,OrangeRed);
   if (value > 0) ObjectSet("ZH_1_0",OBJPROP_COLOR,Red);
   ObjectSet("ZH_1",OBJPROP_COLOR,SkyBlue);
   ObjectSetText("ZH_1p",DoubleToStr(value,0),8,"Arial Narrow",Silver);
  }

void paintH4(double value)
  {
   if (value > 90) ObjectSet("ZH_4_90",OBJPROP_COLOR,Lime);
   if (value > 80) ObjectSet("ZH_4_80",OBJPROP_COLOR,Lime);
   if (value > 70) ObjectSet("ZH_4_70",OBJPROP_COLOR,LawnGreen);   
   if (value > 60) ObjectSet("ZH_4_60",OBJPROP_COLOR,GreenYellow);
   if (value > 50) ObjectSet("ZH_4_50",OBJPROP_COLOR,Yellow);
   if (value > 40) ObjectSet("ZH_4_40",OBJPROP_COLOR,Gold);
   if (value > 30) ObjectSet("ZH_4_30",OBJPROP_COLOR,Orange);
   if (value > 20) ObjectSet("ZH_4_20",OBJPROP_COLOR,DarkOrange);   
   if (value > 10) ObjectSet("ZH_4_10",OBJPROP_COLOR,OrangeRed);
   if (value > 0) ObjectSet("ZH_4_0",OBJPROP_COLOR,Red);
   ObjectSet("ZH_4",OBJPROP_COLOR,SkyBlue);
   ObjectSetText("ZH_4p",DoubleToStr(value,0),8,"Arial Narrow",Silver);
  }

void paintD1(double value)
  {
   if (value > 90) ObjectSet("ZD_1_90",OBJPROP_COLOR,Lime);
   if (value > 80) ObjectSet("ZD_1_80",OBJPROP_COLOR,Lime);
   if (value > 70) ObjectSet("ZD_1_70",OBJPROP_COLOR,LawnGreen);   
   if (value > 60) ObjectSet("ZD_1_60",OBJPROP_COLOR,GreenYellow);
   if (value > 50) ObjectSet("ZD_1_50",OBJPROP_COLOR,Yellow);
   if (value > 40) ObjectSet("ZD_1_40",OBJPROP_COLOR,Gold);
   if (value > 30) ObjectSet("ZD_1_30",OBJPROP_COLOR,Orange);
   if (value > 20) ObjectSet("ZD_1_20",OBJPROP_COLOR,DarkOrange);   
   if (value > 10) ObjectSet("ZD_1_10",OBJPROP_COLOR,OrangeRed);
   if (value > 0) ObjectSet("ZD_1_0",OBJPROP_COLOR,Red);
   ObjectSet("ZD_1",OBJPROP_COLOR,SkyBlue);
   ObjectSetText("ZD_1p",DoubleToStr(value,0),8,"Arial Narrow",Silver);
  }
  
void paintLine()
  {
   ObjectSet("Zline",OBJPROP_COLOR,C'070,070,060');
   ObjectSet("Zline1",OBJPROP_COLOR,C'070,070,060');
   ObjectSet("Zline2",OBJPROP_COLOR,C'070,070,060');
   ObjectSet("Zsign",OBJPROP_COLOR,C'070,070,060');
  }
  
  // MA Graphs ------------------
  void paintMA_M1(int value)
  {
   if (value==1) ObjectSet("Z2M_1_MA",OBJPROP_COLOR,Lime);
   if (value==0) ObjectSet("Z2M_1_MA",OBJPROP_COLOR,Red);
   ObjectSet("Z2M_1",OBJPROP_COLOR,SkyBlue);
  }
  
    void paintMA_M5(int value)
  {
   if (value==1) ObjectSet("Z2M_5_MA",OBJPROP_COLOR,Lime);
   if (value==0) ObjectSet("Z2M_5_MA",OBJPROP_COLOR,Red);
   ObjectSet("Z2M_5",OBJPROP_COLOR,SkyBlue);
  }
  
    void paintMA_M15(int value)
  {
   if (value==1) ObjectSet("Z2M_15_MA",OBJPROP_COLOR,Lime);
   if (value==0) ObjectSet("Z2M_15_MA",OBJPROP_COLOR,Red);
   ObjectSet("Z2M_15",OBJPROP_COLOR,SkyBlue);
  }
  
    void paintMA_M30(int value)
  {
   if (value==1) ObjectSet("Z2M_30_MA",OBJPROP_COLOR,Lime);
   if (value==0) ObjectSet("Z2M_30_MA",OBJPROP_COLOR,Red);
   ObjectSet("Z2M_30",OBJPROP_COLOR,SkyBlue);
  }
  
    void paintMA_H1(int value)
  {
   if (value==1) ObjectSet("Z2H_1_MA",OBJPROP_COLOR,Lime);
   if (value==0) ObjectSet("Z2H_1_MA",OBJPROP_COLOR,Red);
   ObjectSet("Z2H_1",OBJPROP_COLOR,SkyBlue);
  }
  
    void paintMA_H4(int value)
  {
   if (value==1) ObjectSet("Z2H_4_MA",OBJPROP_COLOR,Lime);
   if (value==0) ObjectSet("Z2H_4_MA",OBJPROP_COLOR,Red);
   ObjectSet("Z2H_4",OBJPROP_COLOR,SkyBlue);
  }
  
    void paintMA_D1(int value)
  {
   if (value==1) ObjectSet("Z2D_1_MA",OBJPROP_COLOR,Lime);
   if (value==0) ObjectSet("Z2D_1_MA",OBJPROP_COLOR,Red);
   ObjectSet("Z2D_1",OBJPROP_COLOR,SkyBlue);
  }
  
  void paint2Line()
  {
   ObjectSet("Z2line",OBJPROP_COLOR,C'070,070,060');
   ObjectSet("Z2line1",OBJPROP_COLOR,C'070,070,060');
   ObjectSet("Z2line2",OBJPROP_COLOR,C'070,070,060');
   ObjectSet("Z2sign",OBJPROP_COLOR,C'070,070,060');
  }
 
  // WPR% Graphs -------------------
   void paintWPRUp(int value)
  {
   if (value==1 && value>0) ObjectSet("ZV+5",OBJPROP_COLOR,Lime);
   if (value<=2 && value>0) ObjectSet("ZV+4",OBJPROP_COLOR,Lime);
   if (value<=3 && value>0) ObjectSet("ZV+3",OBJPROP_COLOR,LawnGreen);
   if (value<=4 && value>0) ObjectSet("ZV+2",OBJPROP_COLOR,LawnGreen);
   if (value<=5 && value>0) ObjectSet("ZV+1",OBJPROP_COLOR,GreenYellow);
  }
   void paintWPRDown(int value)
   {
   ObjectSet("ZV=0",OBJPROP_COLOR,Yellow);
   if (value>=6) ObjectSet("ZV-1",OBJPROP_COLOR,Gold);
   if (value>=7) ObjectSet("ZV-2",OBJPROP_COLOR,Orange);
   if (value>=8) ObjectSet("ZV-3",OBJPROP_COLOR,DarkOrange); 
   if (value>=9) ObjectSet("ZV-4",OBJPROP_COLOR,OrangeRed); 
   if (value==10) ObjectSet("ZV-5",OBJPROP_COLOR,Red);   
   ObjectSet("ZWPRLine1",OBJPROP_COLOR,C'070,070,060');
   ObjectSet("ZWPRLine2",OBJPROP_COLOR,C'070,070,060');
   ObjectSet("ZWPRLine3",OBJPROP_COLOR,C'070,070,060');
   ObjectSet("ZWPRTitle",OBJPROP_COLOR,C'070,070,060');
   ObjectSet("ZVolumeChart",OBJPROP_COLOR,SkyBlue);
   ObjectSet("ZWPRpercent",OBJPROP_COLOR,Silver);  
  }     
  void paintWPRValue(int value)
  {
   ObjectSetText("ZWPRValue",DoubleToStr(value,0),9,"Arial",White);        
  }   
    
  // Spread Graphs -------------------    
  void paintSpread(double value)
  {
   ObjectSet("ZSpreadPips",OBJPROP_COLOR,SkyBlue);
   ObjectSetText("ZSpreadValue",DoubleToStr(value,0),19,"Arial Narrow",White);
  }   
  
    void paintSpreadLines()
  {
   ObjectSet("ZSpreadLine1",OBJPROP_COLOR,C'070,070,060');
   ObjectSet("ZSpreadLine2",OBJPROP_COLOR,C'070,070,060');
   ObjectSet("ZSpreadLine3",OBJPROP_COLOR,C'070,070,060');
   ObjectSet("ZSpreadTitle",OBJPROP_COLOR,C'070,070,060');
  }
  
  // PSAR Graphs -------------------
    void paintPSAR(int value)
  {int GraphShift; if (DisplayCompact){GraphShift=-156;} else GraphShift=0;
   if (!DisplayCompact)
   {if (value==1) 
   {
   objectCreate("ZPSAR_Value1",PositionX+MultiMeter_Horiz+PSAR_Horiz+118,PositionY+MultiMeter_Vert+PSAR_Vert+GraphShift+363,"p",20,"Wingdings 3",Lime);
   ObjectDelete("ZPSAR_Value2");
   ObjectSet("ZPSAR_Value1",OBJPROP_COLOR,Lime); 
   }
   if (value==0) 
   {
   objectCreate("ZPSAR_Value2",PositionX+MultiMeter_Horiz+PSAR_Horiz+118,PositionY+MultiMeter_Vert+PSAR_Vert+GraphShift+363,"q",20,"Wingdings 3",Red);
   ObjectDelete("ZPSAR_Value1");
   ObjectSet("ZPSAR_Value2",OBJPROP_COLOR,Red);
   }
   ObjectSet("ZPSAR_Title",OBJPROP_COLOR,C'070,070,060');
   ObjectSet("ZPSAR_Chart",OBJPROP_COLOR,SkyBlue);
   ObjectSet("ZPSAR_Line1",OBJPROP_COLOR,C'070,070,060');
   ObjectSet("ZPSAR_Line2",OBJPROP_COLOR,C'070,070,060');
   ObjectSet("ZPSAR_Line3",OBJPROP_COLOR,C'070,070,060');
   }
  }
  
    // MACD Graphs -------------------
    void paintMACD(int value)
  {int GraphShift,MACDShiftVert,MACDShiftHoriz; if (DisplayCompact){GraphShift=-156; MACDShiftVert=202; MACDShiftHoriz=-3;} else {GraphShift=0; MACDShiftVert=0; MACDShiftHoriz=0;}
   if (value==3) 
   {
   objectCreate("ZMACD_Value1",PositionX+MultiMeter_Horiz+MACD_Horiz+MACDShiftHoriz+118,PositionY+MultiMeter_Vert+MACD_Vert+GraphShift+MACDShiftVert+427,"p",20,"Wingdings 3",Lime);
   ObjectDelete("ZMACD_Value2");
   ObjectDelete("ZMACD_Value3");
   ObjectDelete("ZMACD_Value4");
   ObjectDelete("ZMACD_Value5");
   ObjectDelete("ZMACD_Value6");
   ObjectSet("ZMACD_Value1",OBJPROP_COLOR,Lime);
   }
   if (value==2) 
   {
   objectCreate("ZMACD_Value2",PositionX+MultiMeter_Horiz+MACD_Horiz+MACDShiftHoriz+122,PositionY+MultiMeter_Vert+MACD_Vert+GraphShift+MACDShiftVert+427,"X",20,"Arial",Red);
   ObjectDelete("ZMACD_Value4");
   ObjectDelete("ZMACD_Value3");
   ObjectDelete("ZMACD_Value1");
   ObjectDelete("ZMACD_Value5");
   ObjectDelete("ZMACD_Value6");
   ObjectSet("ZMACD_Value2",OBJPROP_COLOR,Red);
   }
   if (value==1) 
   {
   objectCreate("ZMACD_Value3",PositionX+MultiMeter_Horiz+MACD_Horiz+MACDShiftHoriz+118,PositionY+MultiMeter_Vert+MACD_Vert+GraphShift+MACDShiftVert+427,"q",20,"Wingdings 3",Red);
   ObjectDelete("ZMACD_Value2");
   ObjectDelete("ZMACD_Value4");
   ObjectDelete("ZMACD_Value1");
   ObjectDelete("ZMACD_Value5");
   ObjectDelete("ZMACD_Value6");
   ObjectSet("ZMACD_Value3",OBJPROP_COLOR,Red); 
   }
   if (value==0) 
   {
   objectCreate("ZMACD_Value4",PositionX+MultiMeter_Horiz+MACD_Horiz+MACDShiftHoriz+122,PositionY+MultiMeter_Vert+MACD_Vert+GraphShift+MACDShiftVert+427,"X",20,"Arial",Lime);   
   ObjectDelete("ZMACD_Value2");
   ObjectDelete("ZMACD_Value3");
   ObjectDelete("ZMACD_Value1");
   ObjectDelete("ZMACD_Value5");
   ObjectDelete("ZMACD_Value6");
   ObjectSet("ZMACD_Value4",OBJPROP_COLOR,Lime);
   }
   if (value==4) 
   {
   objectCreate("ZMACD_Value5",PositionX+MultiMeter_Horiz+MACD_Horiz+MACDShiftHoriz+124,PositionY+MultiMeter_Vert+MACD_Vert+GraphShift+MACDShiftVert+427,"0",20,"Arial",Lime);   
   ObjectDelete("ZMACD_Value2");
   ObjectDelete("ZMACD_Value3");
   ObjectDelete("ZMACD_Value1");
   ObjectDelete("ZMACD_Value4");
   ObjectDelete("ZMACD_Value6");
   ObjectSet("ZMACD_Value5",OBJPROP_COLOR,Lime);
   }
   if (value==5) 
   {
   objectCreate("ZMACD_Value6",PositionX+MultiMeter_Horiz+MACD_Horiz+MACDShiftHoriz+124,PositionY+MultiMeter_Vert+MACD_Vert+GraphShift+MACDShiftVert+427,"0",20,"Arial",Red);   
   ObjectDelete("ZMACD_Value2");
   ObjectDelete("ZMACD_Value3");
   ObjectDelete("ZMACD_Value1");
   ObjectDelete("ZMACD_Value4");
   ObjectDelete("ZMACD_Value5");
   ObjectSet("ZMACD_Value6",OBJPROP_COLOR,Red);
   }      
   ObjectSet("ZMACD_Title",OBJPROP_COLOR,C'070,070,060');
   ObjectSet("ZMACD_Chart",OBJPROP_COLOR,SkyBlue);
   ObjectSet("ZMACD_Line1",OBJPROP_COLOR,C'070,070,060');
   ObjectSet("ZMACD_Line2",OBJPROP_COLOR,C'070,070,060');
  }
  
    // MAXover Graphs -------------------
    void paintMAXover(int value)
  {int GraphShift; if (DisplayCompact){GraphShift=-156;} else GraphShift=0;
   if (!DisplayCompact)
   {if (value==1) 
   {
   objectCreate("ZMAXoverValue1",PositionX+MultiMeter_Horiz+MAX_Horiz+67,PositionY+MultiMeter_Vert+MAX_Vert+GraphShift+427,"p",20,"Wingdings 3",Lime);
   ObjectDelete("ZMAXoverValue2");
   ObjectSet("ZMAXoverValue1",OBJPROP_COLOR,Lime); 
   }
   if (value==0) 
   {
   objectCreate("ZMAXoverValue2",PositionX+MultiMeter_Horiz+MAX_Horiz+67,PositionY+MultiMeter_Vert+MAX_Vert+GraphShift+427,"q",20,"Wingdings 3",Red);
   ObjectDelete("ZMAXoverValue1");
   ObjectSet("ZMAXoverValue2",OBJPROP_COLOR,Red);
   }
   ObjectSet("ZMAXoverTitle",OBJPROP_COLOR,C'070,070,060');
   ObjectSet("ZMAXoverChart",OBJPROP_COLOR,SkyBlue);
   ObjectSet("ZMAXoverLine1",OBJPROP_COLOR,C'070,070,060');
   ObjectSet("ZMAXoverLine2",OBJPROP_COLOR,C'070,070,060');
   }
  }
  // BarMeter Graphs -------------------------------
  void paintBar1(double value)
  {
   if (value == 13) ObjectSet("ZBar_1",OBJPROP_COLOR,C'035,000,000');
   if (value == 11) ObjectSet("ZBar_1",OBJPROP_COLOR,C'000,035,000');
   if (value == 12) ObjectSet("ZBar_1",OBJPROP_COLOR,C'000,000,000');
   if (value == 1) ObjectSet("ZBar_1",OBJPROP_COLOR,C'000,255,000');
   if (value == 2) ObjectSet("ZBar_1",OBJPROP_COLOR,C'000,200,000');
   if (value == 3) ObjectSet("ZBar_1",OBJPROP_COLOR,C'000,150,000');
   if (value == 4) ObjectSet("ZBar_1",OBJPROP_COLOR,C'000,100,000');   
   if (value == 5) ObjectSet("ZBar_1",OBJPROP_COLOR,C'000,070,000');
   if (value == 6) ObjectSet("ZBar_1",OBJPROP_COLOR,C'070,000,000');
   if (value == 7) ObjectSet("ZBar_1",OBJPROP_COLOR,C'100,000,000');
   if (value == 8) ObjectSet("ZBar_1",OBJPROP_COLOR,C'150,000,000');   
   if (value == 9) ObjectSet("ZBar_1",OBJPROP_COLOR,C'200,000,000');
   if (value == 10) ObjectSet("ZBar_1",OBJPROP_COLOR,C'255,000,000');
  }  
    void paintBar2(double value)
  {
   if (value == 13) ObjectSet("ZBar_2",OBJPROP_COLOR,C'035,000,000');
   if (value == 11) ObjectSet("ZBar_2",OBJPROP_COLOR,C'000,035,000');
   if (value == 12) ObjectSet("ZBar_2",OBJPROP_COLOR,C'000,000,000');
   if (value == 1) ObjectSet("ZBar_2",OBJPROP_COLOR,C'000,255,000');
   if (value == 2) ObjectSet("ZBar_2",OBJPROP_COLOR,C'000,200,000');
   if (value == 3) ObjectSet("ZBar_2",OBJPROP_COLOR,C'000,150,000');
   if (value == 4) ObjectSet("ZBar_2",OBJPROP_COLOR,C'000,100,000');   
   if (value == 5) ObjectSet("ZBar_2",OBJPROP_COLOR,C'000,070,000');
   if (value == 6) ObjectSet("ZBar_2",OBJPROP_COLOR,C'070,000,000');
   if (value == 7) ObjectSet("ZBar_2",OBJPROP_COLOR,C'100,000,000');
   if (value == 8) ObjectSet("ZBar_2",OBJPROP_COLOR,C'150,000,000');   
   if (value == 9) ObjectSet("ZBar_2",OBJPROP_COLOR,C'200,000,000');
   if (value == 10) ObjectSet("ZBar_2",OBJPROP_COLOR,C'255,000,000');
  }  
    void paintBar3(double value)
  {
   if (value == 13) ObjectSet("ZBar_3",OBJPROP_COLOR,C'035,000,000');
   if (value == 11) ObjectSet("ZBar_3",OBJPROP_COLOR,C'000,035,000');
   if (value == 12) ObjectSet("ZBar_3",OBJPROP_COLOR,C'000,000,000');
   if (value == 1) ObjectSet("ZBar_3",OBJPROP_COLOR,C'000,255,000');
   if (value == 2) ObjectSet("ZBar_3",OBJPROP_COLOR,C'000,200,000');
   if (value == 3) ObjectSet("ZBar_3",OBJPROP_COLOR,C'000,150,000');
   if (value == 4) ObjectSet("ZBar_3",OBJPROP_COLOR,C'000,100,000');   
   if (value == 5) ObjectSet("ZBar_3",OBJPROP_COLOR,C'000,070,000');
   if (value == 6) ObjectSet("ZBar_3",OBJPROP_COLOR,C'070,000,000');
   if (value == 7) ObjectSet("ZBar_3",OBJPROP_COLOR,C'100,000,000');
   if (value == 8) ObjectSet("ZBar_3",OBJPROP_COLOR,C'150,000,000');   
   if (value == 9) ObjectSet("ZBar_3",OBJPROP_COLOR,C'200,000,000');
   if (value == 10) ObjectSet("ZBar_3",OBJPROP_COLOR,C'255,000,000');
  }  
    void paintBar4(double value)
  {
   if (value == 13) ObjectSet("ZBar_4",OBJPROP_COLOR,C'035,000,000');
   if (value == 11) ObjectSet("ZBar_4",OBJPROP_COLOR,C'000,035,000');
   if (value == 12) ObjectSet("ZBar_4",OBJPROP_COLOR,C'000,000,000');
   if (value == 1) ObjectSet("ZBar_4",OBJPROP_COLOR,C'000,255,000');
   if (value == 2) ObjectSet("ZBar_4",OBJPROP_COLOR,C'000,200,000');
   if (value == 3) ObjectSet("ZBar_4",OBJPROP_COLOR,C'000,150,000');
   if (value == 4) ObjectSet("ZBar_4",OBJPROP_COLOR,C'000,100,000');   
   if (value == 5) ObjectSet("ZBar_4",OBJPROP_COLOR,C'000,070,000');
   if (value == 6) ObjectSet("ZBar_4",OBJPROP_COLOR,C'070,000,000');
   if (value == 7) ObjectSet("ZBar_4",OBJPROP_COLOR,C'100,000,000');
   if (value == 8) ObjectSet("ZBar_4",OBJPROP_COLOR,C'150,000,000');   
   if (value == 9) ObjectSet("ZBar_4",OBJPROP_COLOR,C'200,000,000');
   if (value == 10) ObjectSet("ZBar_4",OBJPROP_COLOR,C'255,000,000');
  }  
    void paintBar5(double value)
  {
   if (value == 13) ObjectSet("ZBar_5",OBJPROP_COLOR,C'035,000,000');
   if (value == 11) ObjectSet("ZBar_5",OBJPROP_COLOR,C'000,035,000');
   if (value == 12) ObjectSet("ZBar_5",OBJPROP_COLOR,C'000,000,000');
   if (value == 1) ObjectSet("ZBar_5",OBJPROP_COLOR,C'000,255,000');
   if (value == 2) ObjectSet("ZBar_5",OBJPROP_COLOR,C'000,200,000');
   if (value == 3) ObjectSet("ZBar_5",OBJPROP_COLOR,C'000,150,000');
   if (value == 4) ObjectSet("ZBar_5",OBJPROP_COLOR,C'000,100,000');   
   if (value == 5) ObjectSet("ZBar_5",OBJPROP_COLOR,C'000,070,000');
   if (value == 6) ObjectSet("ZBar_5",OBJPROP_COLOR,C'070,000,000');
   if (value == 7) ObjectSet("ZBar_5",OBJPROP_COLOR,C'100,000,000');
   if (value == 8) ObjectSet("ZBar_5",OBJPROP_COLOR,C'150,000,000');   
   if (value == 9) ObjectSet("ZBar_5",OBJPROP_COLOR,C'200,000,000');
   if (value == 10) ObjectSet("ZBar_5",OBJPROP_COLOR,C'255,000,000');
  }  
   void paintBars()
  {
   ObjectSet("ZBarsLine1",OBJPROP_COLOR,C'070,070,060');
   ObjectSet("ZBarsLine2",OBJPROP_COLOR,C'070,070,060');
   ObjectSet("ZBarsLine3",OBJPROP_COLOR,C'070,070,060');
   ObjectSet("ZBarsTitle",OBJPROP_COLOR,C'070,070,060');
   ObjectSet("ZBarsPercent",OBJPROP_COLOR,Silver);
   ObjectSet("ZBarsDescription",OBJPROP_COLOR,DimGray);
   ObjectSet("ZB_1",OBJPROP_COLOR,SkyBlue);
   ObjectSet("ZB_2",OBJPROP_COLOR,SkyBlue);
   ObjectSet("ZB_3",OBJPROP_COLOR,SkyBlue);
   ObjectSet("ZB_4",OBJPROP_COLOR,SkyBlue);
   ObjectSet("ZB_5",OBJPROP_COLOR,SkyBlue);
  }  
   void paintBarValue1(double value)
  {
  ObjectSetText("ZBar_Value1",DoubleToStr(value,0),8,"Arial Narrow",White);
  }    
  void paintBarValue2(double value)
  {
  ObjectSetText("ZBar_Value2",DoubleToStr(value,0),8,"Arial Narrow",DimGray);
  } 
  void paintBarValue3(double value)
  {
  ObjectSetText("ZBar_Value3",DoubleToStr(value,0),8,"Arial Narrow",DimGray);
  } 
  void paintBarValue4(double value)
  {
  ObjectSetText("ZBar_Value4",DoubleToStr(value,0),8,"Arial Narrow",DimGray);
  } 
  void paintBarValue5(double value)
  {
  ObjectSetText("ZBar_Value5",DoubleToStr(value,0),8,"Arial Narrow",DimGray);
  } 
  void paintBarReading(int value)
  {int GraphShift; if (DisplayCompact){GraphShift=-156;} else GraphShift=0;
   if (value==1) 
   {
   objectCreate("ZBarsStopped",PositionX+MultiMeter_Horiz+BarMeter_Horiz+84,PositionY+MultiMeter_Vert+BarMeter_Vert+GraphShift+521,"Stopped",8,"Arial",Silver);
   ObjectDelete("ZBarsSpeeding");
   ObjectDelete("ZBarsSteady");
   ObjectDelete("ZBarsSlowing");
   ObjectSet("ZBarsStopped",OBJPROP_COLOR,Silver); 
   }
   if (value==2) 
   {
   objectCreate("ZBarsSpeeding",PositionX+MultiMeter_Horiz+BarMeter_Horiz+74,PositionY+MultiMeter_Vert+BarMeter_Vert+GraphShift+521,"Speeding Up",8,"Arial",Silver);
   ObjectDelete("ZBarsStopped");
   ObjectDelete("ZBarsSteady");
   ObjectDelete("ZBarsSlowing");
   ObjectSet("ZBarsSpeeding",OBJPROP_COLOR,Silver);
   }
   if (value==3) 
   {
   objectCreate("ZBarsSteady",PositionX+MultiMeter_Horiz+BarMeter_Horiz+89,PositionY+MultiMeter_Vert+BarMeter_Vert+GraphShift+521,"Steady",8,"Arial",Silver);
   ObjectDelete("ZBarsSpeeding");
   ObjectDelete("ZBarsStopped");
   ObjectDelete("ZBarsSlowing");
   ObjectSet("ZBarsSteady",OBJPROP_COLOR,Silver); 
   }
   if (value==4) 
   {
   objectCreate("ZBarsSlowing",PositionX+MultiMeter_Horiz+BarMeter_Horiz+71,PositionY+MultiMeter_Vert+BarMeter_Vert+GraphShift+521,"Slowing Down",8,"Arial",Silver);
   ObjectDelete("ZBarsSpeeding");
   ObjectDelete("ZBarsSteady");
   ObjectDelete("ZBarsStopped");
   ObjectSet("ZBarsSlowing",OBJPROP_COLOR,Silver);
   }
  }
 
   // Signal Graphs -------------------
    void paintSignal(int value)
  {int GraphShift; if (DisplayCompact){GraphShift=-156;} else GraphShift=0;
   if (value==1) 
   {
   objectCreate("ZSignalDown",PositionX+MultiMeter_Horiz+Signal_Horiz+10,PositionY+MultiMeter_Vert+Signal_Vert+GraphShift+498,"q",28,"Wingdings 3",Red);
   ObjectDelete("ZSignalUp");
   ObjectDelete("ZSignalWait");
   ObjectSet("ZSignalDown",OBJPROP_COLOR,Red); 
   }
   if (value==2) 
   {
   objectCreate("ZSignalUp",PositionX+MultiMeter_Horiz+Signal_Horiz+10,PositionY+MultiMeter_Vert+Signal_Vert+GraphShift+498,"p",28,"Wingdings 3",Lime);
   ObjectDelete("ZSignalDown");
   ObjectDelete("ZSignalWait");
   ObjectSet("ZSignalUp",OBJPROP_COLOR,Lime);
   }
   if (value==0) 
   {
   objectCreate("ZSignalWait",PositionX+MultiMeter_Horiz+Signal_Horiz+17,PositionY+MultiMeter_Vert+Signal_Vert+GraphShift+498,"6",28,"Wingdings",Silver);
   ObjectDelete("ZSignalDown");
   ObjectDelete("ZSignalUp");
   ObjectSet("ZSignalWait",OBJPROP_COLOR,C'070,070,060');
   }
   ObjectSet("ZSignalLine1",OBJPROP_COLOR,C'070,070,060');
   ObjectSet("ZSignalLine2",OBJPROP_COLOR,C'070,070,060');
   ObjectSet("ZSignalTitle",OBJPROP_COLOR,C'070,070,060');
  }
 
    // Trend-O-Graph -------------------
  void paintTrendGraph()   
  {ObjectSet("ZTGraphLine1",OBJPROP_COLOR,C'070,070,060');
   ObjectSet("ZTGraphLine2",OBJPROP_COLOR,C'070,070,060');
   ObjectSet("ZTGraphLine3",OBJPROP_COLOR,C'070,070,060');
   ObjectSet("ZTGraphTitle",OBJPROP_COLOR,C'070,070,060');
   ObjectSet("ZTGM_1",OBJPROP_COLOR,SkyBlue);
   ObjectSet("ZTGM_5",OBJPROP_COLOR,SkyBlue); 
   ObjectSet("ZTGM_15",OBJPROP_COLOR,SkyBlue);
   ObjectSet("ZTGM_30",OBJPROP_COLOR,SkyBlue);
   ObjectSet("ZTGH_1",OBJPROP_COLOR,SkyBlue);
   ObjectSet("ZTGH_4",OBJPROP_COLOR,SkyBlue);
   ObjectSet("ZTGD_1",OBJPROP_COLOR,SkyBlue);
   ObjectSet("ZTGMA_1",OBJPROP_COLOR,SkyBlue);
   ObjectSet("ZTGMA_2",OBJPROP_COLOR,SkyBlue); 
   ObjectSet("ZTGMA_3",OBJPROP_COLOR,SkyBlue);
   ObjectSet("ZTGMA_4",OBJPROP_COLOR,SkyBlue);
   ObjectSet("ZTGMA_5",OBJPROP_COLOR,SkyBlue);
   ObjectSet("ZTGMA_6",OBJPROP_COLOR,SkyBlue);
   ObjectSet("ZTGMA_7",OBJPROP_COLOR,SkyBlue);
   }
    
    void paintTGMA1M1(int value)   
  {if (value==1) {ObjectSet("ZTGM_1_MA1",OBJPROP_COLOR,C'000,200,000');}
   if (value==0) {ObjectSet("ZTGM_1_MA1",OBJPROP_COLOR,C'200,000,000');}}
   
    void paintTGMA1M5(int value)
  {if (value==1) {ObjectSet("ZTGM_5_MA1",OBJPROP_COLOR,C'000,190,000');}
   if (value==0) {ObjectSet("ZTGM_5_MA1",OBJPROP_COLOR,C'190,000,000');}}
   
    void paintTGMA1M15(int value)
  {if (value==1) {ObjectSet("ZTGM_15_MA1",OBJPROP_COLOR,C'000,180,000');}
   if (value==0) {ObjectSet("ZTGM_15_MA1",OBJPROP_COLOR,C'180,000,000');}}
   
    void paintTGMA1M30(int value)
  {if (value==1) {ObjectSet("ZTGM_30_MA1",OBJPROP_COLOR,C'000,170,000');}
   if (value==0) {ObjectSet("ZTGM_30_MA1",OBJPROP_COLOR,C'170,000,000');}}

    void paintTGMA1H1(int value)
  {if (value==1){ObjectSet("ZTGH_1_MA1",OBJPROP_COLOR,C'000,160,000');}
   if (value==0){ObjectSet("ZTGH_1_MA1",OBJPROP_COLOR,C'160,000,000');}}
   
    void paintTGMA1H4(int value)
  {if (value==1) {ObjectSet("ZTGH_4_MA1",OBJPROP_COLOR,C'000,150,000');}
   if (value==0) {ObjectSet("ZTGH_4_MA1",OBJPROP_COLOR,C'150,000,000');}}
   
    void paintTGMA1D1(int value)
  {if (value==1) {ObjectSet("ZTGD_1_MA1",OBJPROP_COLOR,C'000,140,000');}
   if (value==0) {ObjectSet("ZTGD_1_MA1",OBJPROP_COLOR,C'140,000,000');}}              
  // -------------------------------------------------------------- 
    void paintTGMA2M1(int value)
  {if (value==1) {ObjectSet("ZTGM_1_MA2",OBJPROP_COLOR,C'000,190,000');}
   if (value==0) {ObjectSet("ZTGM_1_MA2",OBJPROP_COLOR,C'190,000,000');}}
   
    void paintTGMA2M5(int value)
  {if (value==1) {ObjectSet("ZTGM_5_MA2",OBJPROP_COLOR,C'000,180,000');}
   if (value==0) {ObjectSet("ZTGM_5_MA2",OBJPROP_COLOR,C'180,000,000');}}
   
    void paintTGMA2M15(int value)
  {if (value==1) {ObjectSet("ZTGM_15_MA2",OBJPROP_COLOR,C'000,170,000');}
   if (value==0) {ObjectSet("ZTGM_15_MA2",OBJPROP_COLOR,C'170,000,000');}}
   
    void paintTGMA2M30(int value)
  {if (value==1) {ObjectSet("ZTGM_30_MA2",OBJPROP_COLOR,C'000,160,000');}
   if (value==0) {ObjectSet("ZTGM_30_MA2",OBJPROP_COLOR,C'160,000,000');}}

    void paintTGMA2H1(int value)
  {if (value==1) {ObjectSet("ZTGH_1_MA2",OBJPROP_COLOR,C'000,150,000');}
   if (value==0) {ObjectSet("ZTGH_1_MA2",OBJPROP_COLOR,C'150,000,000');}}
   
    void paintTGMA2H4(int value)
  {if (value==1) {ObjectSet("ZTGH_4_MA2",OBJPROP_COLOR,C'000,140,000');}
   if (value==0) {ObjectSet("ZTGH_4_MA2",OBJPROP_COLOR,C'140,000,000');}}
   
    void paintTGMA2D1(int value)
  {if (value==1) {ObjectSet("ZTGD_1_MA2",OBJPROP_COLOR,C'000,130,000');}
   if (value==0) {ObjectSet("ZTGD_1_MA2",OBJPROP_COLOR,C'130,000,000');}} 
  // -------------------------------------------------------------- 
    void paintTGMA3M1(int value)
  {if (value==1) {ObjectSet("ZTGM_1_MA3",OBJPROP_COLOR,C'000,180,000');}
   if (value==0) {ObjectSet("ZTGM_1_MA3",OBJPROP_COLOR,C'180,000,000');}}
   
    void paintTGMA3M5(int value)
  {if (value==1) {ObjectSet("ZTGM_5_MA3",OBJPROP_COLOR,C'000,170,000');}
   if (value==0) {ObjectSet("ZTGM_5_MA3",OBJPROP_COLOR,C'170,000,000');}}
   
    void paintTGMA3M15(int value)
  {if (value==1) {ObjectSet("ZTGM_15_MA3",OBJPROP_COLOR,C'000,160,000');}
   if (value==0) {ObjectSet("ZTGM_15_MA3",OBJPROP_COLOR,C'160,000,000');}}
   
    void paintTGMA3M30(int value)
  {if (value==1) {ObjectSet("ZTGM_30_MA3",OBJPROP_COLOR,C'000,150,000');}
   if (value==0) {ObjectSet("ZTGM_30_MA3",OBJPROP_COLOR,C'150,000,000');}}

    void paintTGMA3H1(int value)
  {if (value==1) {ObjectSet("ZTGH_1_MA3",OBJPROP_COLOR,C'000,140,000');}
   if (value==0) {ObjectSet("ZTGH_1_MA3",OBJPROP_COLOR,C'140,000,000');}}
   
    void paintTGMA3H4(int value)
  {if (value==1) {ObjectSet("ZTGH_4_MA3",OBJPROP_COLOR,C'000,130,000');}
   if (value==0) {ObjectSet("ZTGH_4_MA3",OBJPROP_COLOR,C'130,000,000');}}
   
    void paintTGMA3D1(int value)
  {if (value==1) {ObjectSet("ZTGD_1_MA3",OBJPROP_COLOR,C'000,120,000');}
   if (value==0) {ObjectSet("ZTGD_1_MA3",OBJPROP_COLOR,C'120,000,000');}}
  // -------------------------------------------------------------- 
    void paintTGMA4M1(int value)
  {if (value==1) {ObjectSet("ZTGM_1_MA4",OBJPROP_COLOR,C'000,170,000');}
   if (value==0) {ObjectSet("ZTGM_1_MA4",OBJPROP_COLOR,C'170,000,000');}}
   
    void paintTGMA4M5(int value)
  {if (value==1) {ObjectSet("ZTGM_5_MA4",OBJPROP_COLOR,C'000,160,000');}
   if (value==0) {ObjectSet("ZTGM_5_MA4",OBJPROP_COLOR,C'160,000,000');}}
   
    void paintTGMA4M15(int value)
  {if (value==1) {ObjectSet("ZTGM_15_MA4",OBJPROP_COLOR,C'000,150,000');}
   if (value==0) {ObjectSet("ZTGM_15_MA4",OBJPROP_COLOR,C'150,000,000');}}
   
    void paintTGMA4M30(int value)
  {if (value==1) {ObjectSet("ZTGM_30_MA4",OBJPROP_COLOR,C'000,140,000');}
   if (value==0) {ObjectSet("ZTGM_30_MA4",OBJPROP_COLOR,C'140,000,000');}}

    void paintTGMA4H1(int value)
  {if (value==1) {ObjectSet("ZTGH_1_MA4",OBJPROP_COLOR,C'000,130,000');}
   if (value==0) {ObjectSet("ZTGH_1_MA4",OBJPROP_COLOR,C'130,000,000');}}
   
    void paintTGMA4H4(int value)
  {if (value==1) {ObjectSet("ZTGH_4_MA4",OBJPROP_COLOR,C'000,120,000');}
   if (value==0) {ObjectSet("ZTGH_4_MA4",OBJPROP_COLOR,C'120,000,000');}}
   
    void paintTGMA4D1(int value)
  {if (value==1) {ObjectSet("ZTGD_1_MA4",OBJPROP_COLOR,C'000,110,000');}
   if (value==0) {ObjectSet("ZTGD_1_MA4",OBJPROP_COLOR,C'110,000,000');}}
  // -------------------------------------------------------------- 
    void paintTGMA5M1(int value)
  {if (value==1) {ObjectSet("ZTGM_1_MA5",OBJPROP_COLOR,C'000,160,000');}
   if (value==0) {ObjectSet("ZTGM_1_MA5",OBJPROP_COLOR,C'160,000,000');}}
   
    void paintTGMA5M5(int value)
  {if (value==1) {ObjectSet("ZTGM_5_MA5",OBJPROP_COLOR,C'000,150,000');}
   if (value==0) {ObjectSet("ZTGM_5_MA5",OBJPROP_COLOR,C'150,000,000');}}
   
    void paintTGMA5M15(int value)
  {if (value==1) {ObjectSet("ZTGM_15_MA5",OBJPROP_COLOR,C'000,140,000');}
   if (value==0) {ObjectSet("ZTGM_15_MA5",OBJPROP_COLOR,C'140,000,000');}}
   
    void paintTGMA5M30(int value)
  {if (value==1) {ObjectSet("ZTGM_30_MA5",OBJPROP_COLOR,C'000,130,000');}
   if (value==0) {ObjectSet("ZTGM_30_MA5",OBJPROP_COLOR,C'130,000,000');}}

    void paintTGMA5H1(int value)
  {if (value==1) {ObjectSet("ZTGH_1_MA5",OBJPROP_COLOR,C'000,120,000');}
   if (value==0) {ObjectSet("ZTGH_1_MA5",OBJPROP_COLOR,C'120,000,000');}}
   
    void paintTGMA5H4(int value)
  {if (value==1) {ObjectSet("ZTGH_4_MA5",OBJPROP_COLOR,C'000,110,000');}
   if (value==0) {ObjectSet("ZTGH_4_MA5",OBJPROP_COLOR,C'110,000,000');}}
   
    void paintTGMA5D1(int value)
  {if (value==1) {ObjectSet("ZTGD_1_MA5",OBJPROP_COLOR,C'000,100,000');}
   if (value==0) {ObjectSet("ZTGD_1_MA5",OBJPROP_COLOR,C'100,000,000');}}
  // -------------------------------------------------------------- 
    void paintTGMA6M1(int value)
  {if (value==1) {ObjectSet("ZTGM_1_MA6",OBJPROP_COLOR,C'000,150,000');}
   if (value==0) {ObjectSet("ZTGM_1_MA6",OBJPROP_COLOR,C'150,000,000');}}
   
    void paintTGMA6M5(int value)
  {if (value==1) {ObjectSet("ZTGM_5_MA6",OBJPROP_COLOR,C'000,140,000');}
   if (value==0){ObjectSet("ZTGM_5_MA6",OBJPROP_COLOR,C'140,000,000');}}
   
    void paintTGMA6M15(int value)
  {if (value==1) {ObjectSet("ZTGM_15_MA6",OBJPROP_COLOR,C'000,130,000');}
   if (value==0) {ObjectSet("ZTGM_15_MA6",OBJPROP_COLOR,C'130,000,000');}}
   
    void paintTGMA6M30(int value)
  {if (value==1) {ObjectSet("ZTGM_30_MA6",OBJPROP_COLOR,C'000,120,000');}
   if (value==0) {ObjectSet("ZTGM_30_MA6",OBJPROP_COLOR,C'120,000,000');}}

    void paintTGMA6H1(int value)
  {if (value==1) {ObjectSet("ZTGH_1_MA6",OBJPROP_COLOR,C'000,110,000');}
   if (value==0) {ObjectSet("ZTGH_1_MA6",OBJPROP_COLOR,C'110,000,000');}}
   
    void paintTGMA6H4(int value)
  {if (value==1) {ObjectSet("ZTGH_4_MA6",OBJPROP_COLOR,C'000,100,000');}
   if (value==0) {ObjectSet("ZTGH_4_MA6",OBJPROP_COLOR,C'100,000,000');}}
   
    void paintTGMA6D1(int value)
  {if (value==1) {ObjectSet("ZTGD_1_MA6",OBJPROP_COLOR,C'000,090,000');}
   if (value==0) {ObjectSet("ZTGD_1_MA6",OBJPROP_COLOR,C'090,000,000');}}
  // -------------------------------------------------------------- 
    void paintTGMA7M1(int value)
  {if (value==1) {ObjectSet("ZTGM_1_MA7",OBJPROP_COLOR,C'000,140,000');}
   if (value==0) {ObjectSet("ZTGM_1_MA7",OBJPROP_COLOR,C'140,000,000');}}
   
    void paintTGMA7M5(int value)
  {if (value==1) {ObjectSet("ZTGM_5_MA7",OBJPROP_COLOR,C'000,130,000');}
   if (value==0) {ObjectSet("ZTGM_5_MA7",OBJPROP_COLOR,C'130,000,000');}}
   
    void paintTGMA7M15(int value)
  {if (value==1) {ObjectSet("ZTGM_15_MA7",OBJPROP_COLOR,C'000,120,000');}
   if (value==0) {ObjectSet("ZTGM_15_MA7",OBJPROP_COLOR,C'120,000,000');}}
   
    void paintTGMA7M30(int value)
  {if (value==1) {ObjectSet("ZTGM_30_MA7",OBJPROP_COLOR,C'000,110,000');}
   if (value==0) {ObjectSet("ZTGM_30_MA7",OBJPROP_COLOR,C'110,000,000');}}

    void paintTGMA7H1(int value)
  {if (value==1) {ObjectSet("ZTGH_1_MA7",OBJPROP_COLOR,C'000,100,000');}
   if (value==0) {ObjectSet("ZTGH_1_MA7",OBJPROP_COLOR,C'100,000,000');}}
   
    void paintTGMA7H4(int value)
  {if (value==1) {ObjectSet("ZTGH_4_MA7",OBJPROP_COLOR,C'000,090,000');}
   if (value==0) {ObjectSet("ZTGH_4_MA7",OBJPROP_COLOR,C'090,000,000');}}
   
    void paintTGMA7D1(int value)
  {if (value==1) {ObjectSet("ZTGD_1_MA7",OBJPROP_COLOR,C'000,080,000');}
   if (value==0) {ObjectSet("ZTGD_1_MA7",OBJPROP_COLOR,C'080,000,000');}}
          
  // B-Band Oscillator --------------------------------------
    void paintBBGraph()   
   {
   ObjectSet("ZBBLine1",OBJPROP_COLOR,C'070,070,060');
   ObjectSet("ZBBLine2",OBJPROP_COLOR,C'070,070,060');
   ObjectSet("ZBBLine3",OBJPROP_COLOR,C'070,070,060');
   ObjectSet("ZBBLine4",OBJPROP_COLOR,C'070,070,060');
   ObjectSet("ZBBLine5",OBJPROP_COLOR,C'070,070,060');
   ObjectSet("ZBBLine6",OBJPROP_COLOR,C'070,070,060');
   ObjectSet("ZBBTitle",OBJPROP_COLOR,C'070,070,060');
   ObjectSet("ZBBM_1",OBJPROP_COLOR,SkyBlue);
   ObjectSet("ZBBM_5",OBJPROP_COLOR,SkyBlue); 
   ObjectSet("ZBBM_15",OBJPROP_COLOR,SkyBlue);
   ObjectSet("ZBBM_30",OBJPROP_COLOR,SkyBlue);
   ObjectSet("ZBBH_1",OBJPROP_COLOR,SkyBlue);
   ObjectSet("ZBBH_4",OBJPROP_COLOR,SkyBlue);
   ObjectSet("ZBBD_1",OBJPROP_COLOR,SkyBlue);
   ObjectSet("ZBBVol",OBJPROP_COLOR,SkyBlue);
   }
   
   void paintBBM1(int value)
  {
   if (value >= 100) {ObjectSet("ZBB_M1_100",OBJPROP_COLOR,Lime); ObjectSet("ZZBBBreakoutUp",OBJPROP_COLOR,Red);} 
   if (value >= 90 && value < 100) ObjectSet("ZBB_M1_90",OBJPROP_COLOR,Lime);
   if (value >= 80 && value < 90) ObjectSet("ZBB_M1_80",OBJPROP_COLOR,Lime);
   if (value >= 70 && value < 80) ObjectSet("ZBB_M1_70",OBJPROP_COLOR,LawnGreen);   
   if (value >= 60 && value < 70) ObjectSet("ZBB_M1_60",OBJPROP_COLOR,GreenYellow);
   if (value > 50 && value < 60) ObjectSet("ZBB_M1_50",OBJPROP_COLOR,Yellow);
   if (value >= 40 && value < 50) ObjectSet("ZBB_M1_40",OBJPROP_COLOR,Gold);
   if (value >= 30 && value < 40) ObjectSet("ZBB_M1_30",OBJPROP_COLOR,Orange);
   if (value >= 20 && value < 30) ObjectSet("ZBB_M1_20",OBJPROP_COLOR,DarkOrange);   
   if (value >= 10 && value < 20) ObjectSet("ZBB_M1_10",OBJPROP_COLOR,OrangeRed);
   if (value > 0 && value < 10) ObjectSet("ZBB_M1_0",OBJPROP_COLOR,Red);
   if (value <= 0) {ObjectSet("ZBB_M1_-0",OBJPROP_COLOR,Red); ObjectSet("ZZBBBreakoutDown",OBJPROP_COLOR,Red);}
   ObjectSet("ZBB_1",OBJPROP_COLOR,SkyBlue);
   ObjectSetText("ZBB_M1p",DoubleToStr(value,0),8,"Arial Narrow",Silver);
  }

void paintBBM5(int value)
  {
   if (value >= 100) {ObjectSet("ZBB_M5_100",OBJPROP_COLOR,Lime); ObjectSet("ZZBBBreakoutUp",OBJPROP_COLOR,Red);}
   if (value >= 90 && value < 100) ObjectSet("ZBB_M5_90",OBJPROP_COLOR,Lime);
   if (value >= 80 && value < 90) ObjectSet("ZBB_M5_80",OBJPROP_COLOR,Lime);
   if (value >= 70 && value < 80) ObjectSet("ZBB_M5_70",OBJPROP_COLOR,LawnGreen);   
   if (value >= 60 && value < 70) ObjectSet("ZBB_M5_60",OBJPROP_COLOR,GreenYellow);
   if (value > 50 && value < 60) ObjectSet("ZBB_M5_50",OBJPROP_COLOR,Yellow);
   if (value >= 40 && value < 50) ObjectSet("ZBB_M5_40",OBJPROP_COLOR,Gold);
   if (value >= 30 && value < 40) ObjectSet("ZBB_M5_30",OBJPROP_COLOR,Orange);
   if (value >= 20 && value < 30) ObjectSet("ZBB_M5_20",OBJPROP_COLOR,DarkOrange);   
   if (value >= 10 && value < 20) ObjectSet("ZBB_M5_10",OBJPROP_COLOR,OrangeRed);
   if (value > 0 && value < 10) ObjectSet("ZBB_M5_0",OBJPROP_COLOR,Red);
   if (value <= 0) {ObjectSet("ZBB_M5_-0",OBJPROP_COLOR,Red); ObjectSet("ZZBBBreakoutDown",OBJPROP_COLOR,Red);}
   ObjectSet("ZBB_5",OBJPROP_COLOR,SkyBlue);
   ObjectSetText("ZBB_M5p",DoubleToStr(value,0),8,"Arial Narrow",Silver);
  }

void paintBBM15(int value)
  {
   if (value >= 100) {ObjectSet("ZBB_M15_100",OBJPROP_COLOR,Lime); ObjectSet("ZZBBBreakoutUp",OBJPROP_COLOR,Red);}
   if (value >= 90 && value < 100) ObjectSet("ZBB_M15_90",OBJPROP_COLOR,Lime);
   if (value >= 80 && value < 90) ObjectSet("ZBB_M15_80",OBJPROP_COLOR,Lime);
   if (value >= 70 && value < 80) ObjectSet("ZBB_M15_70",OBJPROP_COLOR,LawnGreen);   
   if (value >= 60 && value < 70) ObjectSet("ZBB_M15_60",OBJPROP_COLOR,GreenYellow);
   if (value > 50 && value < 60) ObjectSet("ZBB_M15_50",OBJPROP_COLOR,Yellow);
   if (value >= 40 && value < 50) ObjectSet("ZBB_M15_40",OBJPROP_COLOR,Gold);
   if (value >= 30 && value < 40) ObjectSet("ZBB_M15_30",OBJPROP_COLOR,Orange);
   if (value >= 20 && value < 30) ObjectSet("ZBB_M15_20",OBJPROP_COLOR,DarkOrange);   
   if (value >= 10 && value < 20) ObjectSet("ZBB_M15_10",OBJPROP_COLOR,OrangeRed);
   if (value > 0 && value < 10) ObjectSet("ZBB_M15_0",OBJPROP_COLOR,Red); 
   if (value <= 0) {ObjectSet("ZBB_M15_-0",OBJPROP_COLOR,Red); ObjectSet("ZZBBBreakoutDown",OBJPROP_COLOR,Red);}
   ObjectSet("ZBB_15",OBJPROP_COLOR,SkyBlue);
   ObjectSetText("ZBB_M15p",DoubleToStr(value,0),8,"Arial Narrow",Silver);
  }

void paintBBM30(int value)
  {
   if (value >= 100) {ObjectSet("ZBB_M30_100",OBJPROP_COLOR,Lime); ObjectSet("ZZBBBreakoutUp",OBJPROP_COLOR,Red);}
   if (value >= 90 && value < 100) ObjectSet("ZBB_M30_90",OBJPROP_COLOR,Lime);
   if (value >= 80 && value < 90) ObjectSet("ZBB_M30_80",OBJPROP_COLOR,Lime);
   if (value >= 70 && value < 80) ObjectSet("ZBB_M30_70",OBJPROP_COLOR,LawnGreen);   
   if (value >= 60 && value < 70) ObjectSet("ZBB_M30_60",OBJPROP_COLOR,GreenYellow);
   if (value > 50 && value < 60) ObjectSet("ZBB_M30_50",OBJPROP_COLOR,Yellow);
   if (value >= 40 && value < 50) ObjectSet("ZBB_M30_40",OBJPROP_COLOR,Gold);
   if (value >= 30 && value < 40) ObjectSet("ZBB_M30_30",OBJPROP_COLOR,Orange);
   if (value >= 20 && value < 30) ObjectSet("ZBB_M30_20",OBJPROP_COLOR,DarkOrange);   
   if (value >= 10 && value < 20) ObjectSet("ZBB_M30_10",OBJPROP_COLOR,OrangeRed);
   if (value > 0 && value < 10) ObjectSet("ZBB_M30_0",OBJPROP_COLOR,Red);
   if (value <= 0) {ObjectSet("ZBB_M30_-0",OBJPROP_COLOR,Red); ObjectSet("ZZBBBreakoutDown",OBJPROP_COLOR,Red);}
   ObjectSet("ZBB_30",OBJPROP_COLOR,SkyBlue);
   ObjectSetText("ZBB_M30p",DoubleToStr(value,0),8,"Arial Narrow",Silver);
  }

void paintBBH1(int value)
  {
   if (value >= 100) {ObjectSet("ZBB_H1_100",OBJPROP_COLOR,Lime); ObjectSet("ZZBBBreakoutUp",OBJPROP_COLOR,Red);}
   if (value >= 90 && value < 100) ObjectSet("ZBB_H1_90",OBJPROP_COLOR,Lime);
   if (value >= 80 && value < 90) ObjectSet("ZBB_H1_80",OBJPROP_COLOR,Lime);
   if (value >= 70 && value < 80) ObjectSet("ZBB_H1_70",OBJPROP_COLOR,LawnGreen);   
   if (value >= 60 && value < 70) ObjectSet("ZBB_H1_60",OBJPROP_COLOR,GreenYellow);
   if (value > 50 && value < 60) ObjectSet("ZBB_H1_50",OBJPROP_COLOR,Yellow);
   if (value >= 40 && value < 50) ObjectSet("ZBB_H1_40",OBJPROP_COLOR,Gold);
   if (value >= 30 && value < 40) ObjectSet("ZBB_H1_30",OBJPROP_COLOR,Orange);
   if (value >= 20 && value < 30) ObjectSet("ZBB_H1_20",OBJPROP_COLOR,DarkOrange);   
   if (value >= 10 && value < 20) ObjectSet("ZBB_H1_10",OBJPROP_COLOR,OrangeRed);
   if (value > 0 && value < 10) ObjectSet("ZBB_H1_0",OBJPROP_COLOR,Red);
   if (value <= 0) {ObjectSet("ZBB_H1_-0",OBJPROP_COLOR,Red); ObjectSet("ZZBBBreakoutDown",OBJPROP_COLOR,Red);}
   ObjectSet("ZH_1",OBJPROP_COLOR,SkyBlue);
   ObjectSetText("ZBB_H1p",DoubleToStr(value,0),8,"Arial Narrow",Silver);
  }

void paintBBH4(int value)
  {
   if (value >= 100) {ObjectSet("ZBB_H4_100",OBJPROP_COLOR,Lime); ObjectSet("ZZBBBreakoutUp",OBJPROP_COLOR,Red);}
   if (value >= 90 && value < 100) ObjectSet("ZBB_H4_90",OBJPROP_COLOR,Lime);
   if (value >= 80 && value < 90) ObjectSet("ZBB_H4_80",OBJPROP_COLOR,Lime);
   if (value >= 70 && value < 80) ObjectSet("ZBB_H4_70",OBJPROP_COLOR,LawnGreen);   
   if (value >= 60 && value < 70) ObjectSet("ZBB_H4_60",OBJPROP_COLOR,GreenYellow);
   if (value > 50 && value < 60) ObjectSet("ZBB_H4_50",OBJPROP_COLOR,Yellow);
   if (value >= 40 && value < 50) ObjectSet("ZBB_H4_40",OBJPROP_COLOR,Gold);
   if (value >= 30 && value < 40) ObjectSet("ZBB_H4_30",OBJPROP_COLOR,Orange);
   if (value >= 20 && value < 30) ObjectSet("ZBB_H4_20",OBJPROP_COLOR,DarkOrange);   
   if (value >= 10 && value < 20) ObjectSet("ZBB_H4_10",OBJPROP_COLOR,OrangeRed);
   if (value > 0 && value < 10) ObjectSet("ZBB_H4_0",OBJPROP_COLOR,Red);
   if (value <= 0) {ObjectSet("ZBB_H4_-0",OBJPROP_COLOR,Red); ObjectSet("ZZBBBreakoutDown",OBJPROP_COLOR,Red);}
   ObjectSet("ZH_4",OBJPROP_COLOR,SkyBlue);
   ObjectSetText("ZBB_H4p",DoubleToStr(value,0),8,"Arial Narrow",Silver);
  }

void paintBBD1(int value)
  {
   if (value >= 100) {ObjectSet("ZBB_D1_100",OBJPROP_COLOR,Lime); ObjectSet("ZZBBBreakoutUp",OBJPROP_COLOR,Red);}
   if (value >= 90 && value < 100) ObjectSet("ZBB_D1_90",OBJPROP_COLOR,Lime);
   if (value >= 80 && value < 90) ObjectSet("ZBB_D1_80",OBJPROP_COLOR,Lime);
   if (value >= 70 && value < 80) ObjectSet("ZBB_D1_70",OBJPROP_COLOR,LawnGreen);   
   if (value >= 60 && value < 70) ObjectSet("ZBB_D1_60",OBJPROP_COLOR,GreenYellow);
   if (value > 50 && value < 60) ObjectSet("ZBB_D1_50",OBJPROP_COLOR,Yellow);
   if (value >= 40 && value < 50) ObjectSet("ZBB_D1_40",OBJPROP_COLOR,Gold);
   if (value >= 30 && value < 40) ObjectSet("ZBB_D1_30",OBJPROP_COLOR,Orange);
   if (value >= 20 && value < 30) ObjectSet("ZBB_D1_20",OBJPROP_COLOR,DarkOrange);   
   if (value >= 10 && value < 20) ObjectSet("ZBB_D1_10",OBJPROP_COLOR,OrangeRed);
   if (value > 0 && value < 10) ObjectSet("ZBB_D1_0",OBJPROP_COLOR,Red);
   if (value <= 0) {ObjectSet("ZBB_D1_-0",OBJPROP_COLOR,Red); ObjectSet("ZZBBBreakoutDown",OBJPROP_COLOR,Red);}
   ObjectSet("ZD_1",OBJPROP_COLOR,SkyBlue);
   ObjectSetText("ZBB_D1p",DoubleToStr(value,0),8,"Arial Narrow",Silver);
  }         
    
  //Display Price/Currency/Chart -----------------------
  void paintCurrentPrice(int value)
  {int GraphShift; if (DisplayCompact){GraphShift=-156;} else GraphShift=0;
  double Price = Close[value+0];
  //if (DisplayPriceInfo)
  if (Digits==2)
  {objectCreate("ZCurrentPrice",PositionX+MultiMeter_Horiz+Price_Horiz+10,PositionY+MultiMeter_Vert+Price_Vert+GraphShift+574,DoubleToStr(Price,2),20,"Digiface",PriceColor);
  ObjectSetText("ZCurrentPrice",DoubleToStr(Price,2),20,"Digiface",PriceColor);}  
  if (Digits==3)
  {objectCreate("ZCurrentPrice",PositionX+MultiMeter_Horiz+Price_Horiz+10,PositionY+MultiMeter_Vert+Price_Vert+GraphShift+574,DoubleToStr(Price,3),20,"Digiface",PriceColor);
  ObjectSetText("ZCurrentPrice",DoubleToStr(Price,3),20,"Digiface",PriceColor);}
  if (Digits==4)
  {objectCreate("ZCurrentPrice",PositionX+MultiMeter_Horiz+Price_Horiz+10,PositionY+MultiMeter_Vert+Price_Vert+GraphShift+574,DoubleToStr(Price,4),20,"Digiface",PriceColor);
  ObjectSetText("ZCurrentPrice",DoubleToStr(Price,4),20,"Digiface",PriceColor);}
  if (Digits==5)
  {objectCreate("ZCurrentPrice",PositionX+MultiMeter_Horiz+Price_Horiz+10,PositionY+MultiMeter_Vert+Price_Vert+GraphShift+574,DoubleToStr(Price,5),20,"Digiface",PriceColor);
  ObjectSetText("ZCurrentPrice",DoubleToStr(Price,5),20,"Digiface",PriceColor);}  
  if (Digits==6)
  {objectCreate("ZCurrentPrice",PositionX+MultiMeter_Horiz+Price_Horiz+10,PositionY+MultiMeter_Vert+Price_Vert+GraphShift+574,DoubleToStr(Price,5),20,"Digiface",PriceColor);
  ObjectSetText("ZCurrentPrice",DoubleToStr(Price,5),20,"Digiface",PriceColor);}  
  objectCreate("ZCurrentPair",PositionX+MultiMeter_Horiz+Pair_Horiz+60,PositionY+MultiMeter_Vert+Pair_Vert+GraphShift+403,Symbol(),11,"Times",C'070,070,060');
  ObjectSet("CZurrentPair",OBJPROP_COLOR,C'070,070,060');
  objectCreate("ZCurrentChart",PositionX+MultiMeter_Horiz+Chart_Horiz+10,PositionY+MultiMeter_Vert+Chart_Vert+GraphShift+555,"",11,"Times",C'070,070,060');
  if (Period() == PERIOD_M1) ObjectSetText("ZCurrentChart","M1");
  if (Period() == PERIOD_M5) ObjectSetText("ZCurrentChart","M5");
  if (Period() == PERIOD_M15) ObjectSetText("ZCurrentChart","M15");
  if (Period() == PERIOD_M30) ObjectSetText("ZCurrentChart","M30");
  if (Period() == PERIOD_H1) ObjectSetText("ZCurrentChart","H1");
  if (Period() == PERIOD_H4) ObjectSetText("ZCurrentChart","H4");
  if (Period() == PERIOD_D1) ObjectSetText("ZCurrentChart","D1");
  if (Period() == PERIOD_W1) ObjectSetText("ZCurrentChart","W1");
  if (Period() == PERIOD_MN1) ObjectSetText("ZCurrentChart","MN");
  ObjectSet("ZCurrentChart",OBJPROP_COLOR,C'070,070,060'); 
  objectCreate("ZFXMultimeter",PositionX+MultiMeter_Horiz+Title_Horiz+(-68),PositionY+MultiMeter_Vert+Title_Vert+GraphShift+405,"FX Multi-Meter",11,"Times",C'070,070,060');
  ObjectSet("ZFXMultimeter",OBJPROP_COLOR,C'060,060,050');
  objectCreate("ZV3",PositionX+MultiMeter_Horiz+Title_Horiz+(-66),PositionY+MultiMeter_Vert+Title_Vert+GraphShift+392,"www.fxtools.info",9,"Times",C'070,070,060');
  ObjectSet("ZV3",OBJPROP_COLOR,C'060,060,050');
  }
  // Buyers/Sellers VU Meter
  void paintVUMeter()
  {
  if (BlueScreen)
  {ObjectSet("ZVUMeterBkgnd",OBJPROP_COLOR,C'060,130,160');
  ObjectSet("ZVUMeterBkgndShdw",OBJPROP_COLOR,C'030,0100,130');
  }
  else {ObjectSet("ZVUMeterBkgnd",OBJPROP_COLOR,C'179,110,040');
  ObjectSet("ZVUMeterBkgndShdw",OBJPROP_COLOR,C'150,080,010');
  }
  ObjectSet("ZVUMeterScaleLeft",OBJPROP_COLOR,FireBrick);
  ObjectSet("ZVUMeterScaleRight",OBJPROP_COLOR,C'000,070,000');
  ObjectSet("ZVUMeterZFarLeft",OBJPROP_COLOR,Black);
  ObjectSet("ZVUMeterZFarRight",OBJPROP_COLOR,Black);
  ObjectSet("ZVUMeterScaleCentre",OBJPROP_COLOR,Black);
  ObjectSet("ZVUMeterScale-100",OBJPROP_COLOR,FireBrick);
  ObjectSet("ZVUMeterScale0",OBJPROP_COLOR,Black);
  ObjectSet("ZVUMeterScale100",OBJPROP_COLOR,C'000,070,000');
  ObjectSet("ZVUMeterZBears",OBJPROP_COLOR,Black);
  ObjectSet("ZVUMeterZBulls",OBJPROP_COLOR,Black);
  ObjectSet("ZVUMeterZ%Left",OBJPROP_COLOR,Black);
  ObjectSet("ZVUMeterZ%Right",OBJPROP_COLOR,Black);
  ObjectSet("ZVUMeterZPivot",OBJPROP_COLOR,Black);
  if (BarsToAverage==1 || BarsToAverage==0)
  {ObjectDelete("ZVUMeterStatus2");
  ObjectDelete("ZVUMeterStatus3");
  ObjectDelete("ZVUMeterStatus4");
  ObjectDelete("ZVUMeterStatus5");
  ObjectSet("ZVUMeterStatus1",OBJPROP_COLOR,Black);}
  if (BarsToAverage==2)
  {ObjectDelete("ZVUMeterStatus1");
  ObjectDelete("ZVUMeterStatus3");
  ObjectDelete("ZVUMeterStatus4");
  ObjectDelete("ZVUMeterStatus5");
  ObjectSet("ZVUMeterStatus2",OBJPROP_COLOR,Black);}
  if (BarsToAverage==3)
  {ObjectDelete("ZVUMeterStatus1");
  ObjectDelete("ZVUMeterStatus2");
  ObjectDelete("ZVUMeterStatus4");
  ObjectDelete("ZVUMeterStatus5");
  ObjectSet("ZVUMeterStatus3",OBJPROP_COLOR,Black);}
  if (BarsToAverage==4)
  {ObjectDelete("ZVUMeterStatus1");
  ObjectDelete("ZVUMeterStatus2");
  ObjectDelete("ZVUMeterStatus3");
  ObjectDelete("ZVUMeterStatus5");
  ObjectSet("ZVUMeterStatus4",OBJPROP_COLOR,Black);}
  if (BarsToAverage>=5)
  {ObjectDelete("ZVUMeterStatus1");
  ObjectDelete("ZVUMeterStatus2");
  ObjectDelete("ZVUMeterStatus3");
  ObjectDelete("ZVUMeterStatus4");
  ObjectSet("ZVUMeterStatus5",OBJPROP_COLOR,Black);}
  }
  void paintBearsNeedle(double value)
  {
  if (value == 100) ObjectSet("ZVUMeterPos1",OBJPROP_COLOR,Black);
  if (value >= 95 && value < 100) ObjectSet("ZVUMeterPos2",OBJPROP_COLOR,Black);
  if (value >= 90 && value < 95) ObjectSet("ZVUMeterPos3",OBJPROP_COLOR,Black);
  if (value >= 85 && value < 90) ObjectSet("ZVUMeterPos4",OBJPROP_COLOR,Black);
  if (value >= 80 && value < 85) ObjectSet("ZVUMeterPos5",OBJPROP_COLOR,Black);
  if (value >= 75 && value < 80) ObjectSet("ZVUMeterPos6",OBJPROP_COLOR,Black);
  if (value >= 70 && value < 75) ObjectSet("ZVUMeterPos7",OBJPROP_COLOR,Black);
  if (value >= 65 && value < 70) ObjectSet("ZVUMeterPos8",OBJPROP_COLOR,Black);
  if (value >= 60 && value < 65) ObjectSet("ZVUMeterPos9",OBJPROP_COLOR,Black);
  if (value >= 55 && value < 60) ObjectSet("ZVUMeterPos10",OBJPROP_COLOR,Black);
  }
  
  void paintCentreNeedle(double value)
  {
  if (value > 45 && value < 55) ObjectSet("ZVUMeterPos11",OBJPROP_COLOR,Black);
  }
  
  void paintBullsNeedle(double value)
  {
  if (value == 100) ObjectSet("ZVUMeterPos21",OBJPROP_COLOR,Black);
  if (value >= 95 && value < 100) ObjectSet("ZVUMeterPos20",OBJPROP_COLOR,Black);
  if (value >= 90 && value < 95) ObjectSet("ZVUMeterPos19",OBJPROP_COLOR,Black);
  if (value >= 85 && value < 90) ObjectSet("ZVUMeterPos18",OBJPROP_COLOR,Black);
  if (value >= 80 && value < 85) ObjectSet("ZVUMeterPos17",OBJPROP_COLOR,Black);
  if (value >= 75 && value < 80) ObjectSet("ZVUMeterPos16",OBJPROP_COLOR,Black);
  if (value >= 70 && value < 75) ObjectSet("ZVUMeterPos15",OBJPROP_COLOR,Black);
  if (value >= 65 && value < 70) ObjectSet("ZVUMeterPos14",OBJPROP_COLOR,Black);
  if (value >= 60 && value < 65) ObjectSet("ZVUMeterPos13",OBJPROP_COLOR,Black);
  if (value >= 55 && value < 60) ObjectSet("ZVUMeterPos12",OBJPROP_COLOR,Black);
  }
  
  void paintBearsPercent(double value)
  {
  ObjectSetText("ZVUMeterZBearsPercent",DoubleToStr(value,0),12,"Arial Narrow",Black);
  }
  
  void paintBullsPercent(double value)
  {
  ObjectSetText("ZVUMeterZBullsPercent",DoubleToStr(value,0),12,"Arial Narrow",Black);
  }

  return(0);
  